/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.JlrhJws.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;
import org.springblade.modules.JlrhJws.vo.JlrhJwsVOS;

import java.util.List;

/**
 * 警务室 实体类
 *
 * @author BladeX
 * @since 2023-07-07
 */
@Data
@TableName("jlrh_jws")
@ApiModel(value = "JlrhJws对象", description = "警务室")
@EqualsAndHashCode(callSuper = true)
public class JlrhJwsEntity extends BaseEntity {

	/**
	 * 所属分局
	 */
	@ApiModelProperty(value = "所属分局")
	private String ssfj;
	/**
	 * 所属分局编码
	 */
	@ApiModelProperty(value = "所属分局编码")
	private Long ssfjBm;
	/**
	 * 所属派出所
	 */
	@ApiModelProperty(value = "所属派出所")
	private String ssbm;
	/**
	 * 所属派出所编码
	 */
	@ApiModelProperty(value = "所属派出所编码")
	private Long ssbmBm;
	/**
	 * 所属社区
	 */
	@ApiModelProperty(value = "所属社区")
	private String sssq;
	/**
	 * 所属社区编码
	 */
	@ApiModelProperty(value = "所属社区编码")
	private Long sssqBm;
	/**
	 * 警务室（站）名称
	 */
	@ApiModelProperty(value = "警务室（站）名称")
	private String jwsmc;
	/**
	 * 室站类别
	 */
	@ApiModelProperty(value = "室站类别")
	private String szlb;
	/**
	 * 警务室类型
	 */
	@ApiModelProperty(value = "警务室类型")
	private String jwslx;
	/**
	 * 警务室（站）所在地
	 */
	@ApiModelProperty(value = "警务室（站）所在地")
	private String szd;
	/**
	 * 管理民警
	 */
	@ApiModelProperty(value = "管理民警")
	private String glmj;
	/**
	 * 管理民警电话
	 */
	@ApiModelProperty(value = "管理民警电话")
	private String glmjdh;
	/**
	 * 警务站责任人
	 */
	@ApiModelProperty(value = "警务站责任人")
	private String jwzzrr;
	/**
	 * 是否警务助理
	 */
	@ApiModelProperty(value = "是否警务助理")
	private String sfjwzl;
	/**
	 * 责任人联系电话
	 */
	@ApiModelProperty(value = "责任人联系电话")
	private String zrrlxdh;
	/**
	 * 警务站照片
	 */
	@ApiModelProperty(value = "警务站照片")
	private String jwzzp;
	/**
	 * 警务站精度
	 */
	@ApiModelProperty(value = "警务站精度")
	private String jwzjd;
	/**
	 * 警务站纬度
	 */
	@ApiModelProperty(value = "警务站纬度")
	private String jwzwd;
	/**
	 * 警务站地址
	 */
	@ApiModelProperty(value = "警务站地址")
	private String jwzdz;
	/**
	 * 警务站简介
	 */
	@ApiModelProperty(value = "警务站简介")
	private String jwzjj;
	/**
	 * 地图经度
	 */
	@ApiModelProperty(value = "地图经度")
	private String dtJd;
	/**
	 * 警务站地址
	 */
	@ApiModelProperty(value = "地图纬度")
	private String dtWd;
	/**
	 * 警务站简介
	 */
	@ApiModelProperty(value = "地图地址")
	private String dtDz;

	@TableField(exist = false)
	private String deptName;
	@TableField(exist = false)
	private String jwssl;
	@TableField(exist = false)
	private List<JlrhJwsVOS> children;
}
