package org.springblade.modules.JlrhJws.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/**
 * 警务室 Excel实体类
 *
 * @author BladeX
 * @since 2023-07-07
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class JlrhJwsExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 所属部门
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属部门")
	private String ssbm;
	/**
	 * 警务室（站）名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("警务室（站）名称")
	private String jwsmc;
	/**
	 * 室站类别
	 */
	@ColumnWidth(20)
	@ExcelProperty("室站类别")
	private String szlb;
	/**
	 * 警务室类型
	 */
	@ColumnWidth(20)
	@ExcelProperty("警务室类型")
	private String jwslx;
	/**
	 * 警务室（站）所在地
	 */
	@ColumnWidth(20)
	@ExcelProperty("警务室（站）所在地")
	private String szd;
	/**
	 * 管理民警
	 */
	@ColumnWidth(20)
	@ExcelProperty("管理民警")
	private String glmj;
	/**
	 * 管理民警电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("管理民警电话")
	private String glmjdh;
	/**
	 * 警务站责任人
	 */
	@ColumnWidth(20)
	@ExcelProperty("警务站责任人")
	private String jwzzrr;
	/**
	 * 是否警务助理
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否警务助理")
	private String sfjwzl;
	/**
	 * 责任人联系电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("责任人联系电话")
	private String zrrlxdh;
	/**
	 * 警务站地址
	 */
	@ColumnWidth(20)
	@ExcelProperty("警务站地址")
	private String jwzdz;
	/**
	 * 警务站简介
	 */
	@ColumnWidth(20)
	@ExcelProperty("警务站简介")
	private String jwzjj;
}
