/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.JlrhJws.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.JlrhJws.entity.JlrhJwsEntity;
import org.springblade.modules.JlrhJws.vo.JlrhJwsVO;
import java.util.Objects;

/**
 * 警务室 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-07-07
 */
public class JlrhJwsWrapper extends BaseEntityWrapper<JlrhJwsEntity, JlrhJwsVO>  {

	public static JlrhJwsWrapper build() {
		return new JlrhJwsWrapper();
 	}

	@Override
	public JlrhJwsVO entityVO(JlrhJwsEntity JlrhJws) {
		JlrhJwsVO JlrhJwsVO = Objects.requireNonNull(BeanUtil.copy(JlrhJws, JlrhJwsVO.class));

		//User createUser = UserCache.getUser(JlrhJws.getCreateUser());
		//User updateUser = UserCache.getUser(JlrhJws.getUpdateUser());
		//JlrhJwsVO.setCreateUserName(createUser.getName());
		//JlrhJwsVO.setUpdateUserName(updateUser.getName());

		return JlrhJwsVO;
	}


}
