package org.springblade.modules.appmenu.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 实体类
 *
 * @author BladeX
 * @since 2022-11-21
 */
@Data
@TableName("ydjw_app_menu")
@ApiModel(value = "AppMenu对象", description = "AppMenu对象")
public class AppMenu implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * app菜单编号
	 */
	@ApiModelProperty(value = "app菜单编号")
	@TableId(value = "app_id", type = IdType.ASSIGN_ID)
	private String appId;
	/**
	 * 用户id
	 */
	@ApiModelProperty(value = "用户账号")
	private String userId;
	/**
	 * app名称
	 */
	@ApiModelProperty(value = "app名称")
	private String appmc;
	/**
	 * 排序
	 */
	@ApiModelProperty(value = "排序")
	private String px;
	/**
	 * 权限标识
	 */
	@ApiModelProperty(value = "权限标识")
	private String qxbs;
	/**
	 * 可见
	 */
	@ApiModelProperty(value = "可见")
	private String sfkj;
	/**
	 * 备注
	 */
	@ApiModelProperty(value = "备注")
	private String bzxx;
	/**
	 * 删除标记
	 */
	@ApiModelProperty(value = "删除标记")
	private String scbj;
	/**
	 * app图标
	 */
	@ApiModelProperty(value = "app图标")
	private String apptb;
	/**
	 * 模块编码
	 */
	@ApiModelProperty(value = "模块编码")
	private String mkbm;
	/**
	 * 所属类别
	 */
	@ApiModelProperty(value = "所属类别")
	private String sslb;
	/**
	 * 包名
	 */
	@ApiModelProperty(value = "包名")
	private String bm;
	/**
	 * 启动路径
	 */
	@ApiModelProperty(value = "启动路径")
	private String qdlj;
	/**
	 * app版本号
	 */
	@ApiModelProperty(value = "app版本号")
	private String appbbh;
	/**
	 * 下载路径
	 */
	@ApiModelProperty(value = "下载路径")
	private String appUrl;
	/**
	 * 所属警种
	 */
	@ApiModelProperty(value = "所属警种")
	private String ssjz;
	/**
	 * 所属公司
	 */
	@ApiModelProperty(value = "所属公司")
	private String ssgs;

}
