package org.springblade.modules.bq.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/**
 * 标签表 Excel实体类
 *
 * @author wth
 * @since 2024-11-25
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class BqInfoExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 标签类型 1=人口标签
	 */
	@ColumnWidth(20)
	@ExcelProperty("标签类型 1=人口标签")
	private Integer bqlx;
	/**
	 * 上级id
	 */
	@ColumnWidth(20)
	@ExcelProperty("上级id")
	private Long parentId;
	/**
	 * 标签名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("标签名称")
	private String name;
	/**
	 * 新增状态 0=待审批 1=已通过 2=已拒绝
	 */
	@ColumnWidth(20)
	@ExcelProperty("新增状态 0=待审批 1=已通过 2=已拒绝")
	private Integer xzzt;

}
