package org.springblade.modules.bq.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/**
 * 标签_审批 Excel实体类
 *
 * @author wth
 * @since 2024-11-25
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class BqSpExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * bq_info表id
	 */
	@ColumnWidth(20)
	@ExcelProperty("bq_info表id")
	private Long bqId;
	/**
	 * 审批类型1=新增 2=删除
	 */
	@ColumnWidth(20)
	@ExcelProperty("审批类型1=新增 2=删除")
	private Integer splx;
	/**
	 * 审批结果 0=待审批 1=已同意 2=已拒绝
	 */
	@ColumnWidth(20)
	@ExcelProperty("审批结果 0=待审批 1=已同意 2=已拒绝")
	private Integer spjg;

}
