package org.springblade.modules.bq.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.bq.excel.BqInfoExcel;
import org.springblade.modules.bq.pojo.entity.BqInfoEntity;
import org.springblade.modules.bq.pojo.vo.BqInfoVO;

import java.util.List;
import java.util.Map;

/**
 * 标签表 Mapper 接口
 *
 * @author wth
 * @since 2024-11-25
 */
public interface BqInfoMapper extends BaseMapper<BqInfoEntity> {

	/**
	 * 自定义分页
	 *
	 * @param params   分页参数
	 * @param params 查询参数
	 * @return List<BqInfoVO>
	 */
	List<BqInfoVO> selectBqInfoPage(@Param("params") Map<String, Object> params);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<BqInfoExcel>
	 */
	List<BqInfoExcel> exportBqInfo(@Param("ew") Wrapper<BqInfoEntity> queryWrapper);

}
