package org.springblade.modules.bq.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.bq.excel.BqSpExcel;
import org.springblade.modules.bq.pojo.entity.BqSpEntity;
import org.springblade.modules.bq.pojo.vo.BqSpVO;

import java.util.List;

/**
 * 标签_审批 Mapper 接口
 *
 * @author wth
 * @since 2024-11-25
 */
public interface BqSpMapper extends BaseMapper<BqSpEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param bqSp 查询参数
	 * @return List<BqSpVO>
	 */
	List<BqSpVO> selectBqSpPage(IPage page, BqSpVO bqSp);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<BqSpExcel>
	 */
	List<BqSpExcel> exportBqSp(@Param("ew") Wrapper<BqSpEntity> queryWrapper);

}
