package org.springblade.modules.bq.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;


/**
 * 标签表 实体类
 *
 * @author wth
 * @since 2024-11-25
 */
@Data
@TableName("bq.bq_info")
@EqualsAndHashCode(callSuper = true)
public class BqInfoEntity extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	 * 标签类型 1=人口标签
	 */
	@ApiModelProperty(value = "标签类型 1=人口标签")
	private Integer bqlx;
	/**
	 * 上级id
	 */
	@ApiModelProperty(value = "上级id")
	private Long parentId;
	/**
	 * 标签名称
	 */
	@ApiModelProperty(value = "标签名称")
	private String name;
	/**
	 * 新增状态 0=待审批 1=已通过 2=已拒绝
	 */
	@ApiModelProperty(value = "新增状态 0=待审批 1=已通过 2=已拒绝")
	private Integer xzzt;
	/**
	 * 标签等级 1=1级标签 2=2级标签 3=3级标签
	 */
	@ApiModelProperty(value = "标签等级 1=1级标签 2=2级标签 3=3级标签")
	private Integer bqdj;
}
