package org.springblade.modules.bq.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.bq.excel.BqInfoExcel;
import org.springblade.modules.bq.pojo.entity.BqInfoEntity;
import org.springblade.modules.bq.pojo.vo.BqInfoVO;

import java.util.List;
import java.util.Map;

/**
 * 标签表 服务类
 *
 * @author wth
 * @since 2024-11-25
 */
public interface IBqInfoService extends BaseService<BqInfoEntity> {
	/**
	 * 自定义分页
	 *
	 * @param params   分页参数
	 * @param params 查询参数
	 * @return IPage<BqInfoVO>
	 */
	List<BqInfoVO> selectBqInfoPage(Map<String, Object> params);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<BqInfoExcel>
	 */
	List<BqInfoExcel> exportBqInfo(Wrapper<BqInfoEntity> queryWrapper);

}
