package org.springblade.modules.bq.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.bq.excel.BqSpExcel;
import org.springblade.modules.bq.pojo.entity.BqSpEntity;
import org.springblade.modules.bq.pojo.vo.BqSpVO;

import java.util.List;

/**
 * 标签_审批 服务类
 *
 * @author wth
 * @since 2024-11-25
 */
public interface IBqSpService extends BaseService<BqSpEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param bqSp 查询参数
	 * @return IPage<BqSpVO>
	 */
	IPage<BqSpVO> selectBqSpPage(IPage<BqSpVO> page, BqSpVO bqSp);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<BqSpExcel>
	 */
	List<BqSpExcel> exportBqSp(Wrapper<BqSpEntity> queryWrapper);

}
