/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.byMonth.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 月评分确认 实体类
 *
 * @author BladeX
 * @since 2023-07-18
 */
@Data
@TableName("pfqr_by_month")
@ApiModel(value = "ByMonth对象", description = "月评分确认")
@EqualsAndHashCode(callSuper = true)
public class ByMonthEntity extends BaseEntity {

	/**
	 * 用户id
	 */
	@ApiModelProperty(value = "用户id")
	private Long userId;
	/**
	 * 部门id
	 */
	@ApiModelProperty(value = "部门id")
	private Long deptId;
	/**
	 * 手机号码
	 */
	@ApiModelProperty(value = "手机号码")
	private String sjhm;
	/**
	 * 月份 yyyy-MM
	 */
	@ApiModelProperty(value = "月份 yyyy-MM")
	private String yf;
	/**
	 * 党建工作_分数
	 */
	@ApiModelProperty(value = "党建工作_分数")
	private String djgzFs;
	/**
	 * 党建工作_打分原因
	 */
	@ApiModelProperty(value = "党建工作_打分原因")
	private String djgzYy;
	/**
	 * 出勤考勤_分数
	 */
	@ApiModelProperty(value = "出勤考勤_分数")
	private String cqkqYy;
	/**
	 * 出勤考勤_打分原因
	 */
	@ApiModelProperty(value = "出勤考勤_打分原因")
	private String cqkqFs;
	/**
	 * 工作纪律_分数
	 */
	@ApiModelProperty(value = "工作纪律_分数")
	private String gzjlFs;
	/**
	 * 工作纪律_打分原因
	 */
	@ApiModelProperty(value = "工作纪律_打分原因")
	private String gzjlYy;
	/**
	 * 是否已确认 0=未确认 1=已确认
	 */
	@ApiModelProperty(value = "是否已确认 0=未确认 1=已确认")
	private Integer isConfirm;

	@TableField(exist = false)
	private String password;

	@TableField(exist = false)
	private Integer ybshfs = 10;
	@TableField(exist = false)
	private Integer zdryfs = 10;
	@TableField(exist = false)
	private Integer xxyfs = 5;
	@TableField(exist = false)
	private Integer dljtfs = 5;
	@TableField(exist = false)
	private Integer xfjdfs = 5;
	@TableField(exist = false)
	private Integer mdjffs = 10;
	@TableField(exist = false)
	private Integer fxyjfs = 5;
	@TableField(exist = false)
	private Integer qfqzfs = 5;
	@TableField(exist = false)
	private Integer sqmjfs = 5;
	@TableField(exist = false)
	private Integer tjfs = 0;
	@TableField(exist = false)
	private Integer pyfs = 0;
	@TableField(exist = false)
	private Integer fwgafs = 0;
	@TableField(exist = false)
	private Integer dzfs = 0;
}
