/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.byMonth.excel;


import lombok.Data;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 月评分确认 Excel实体类
 *
 * @author BladeX
 * @since 2023-07-18
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class ByMonthExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 用户id
	 */
	@ColumnWidth(20)
	@ExcelProperty("用户id")
	private Long userId;
	/**
	 * 部门id
	 */
	@ColumnWidth(20)
	@ExcelProperty("部门id")
	private Long deptId;
	/**
	 * 手机号码
	 */
	@ColumnWidth(20)
	@ExcelProperty("手机号码")
	private String sjhm;
	/**
	 * 月份 yyyy-MM
	 */
	@ColumnWidth(20)
	@ExcelProperty("月份 yyyy-MM")
	private String yf;
	/**
	 * 党支部活动
	 */
	@ColumnWidth(20)
	@ExcelProperty("党支部活动")
	private String djgz1Fs;
	/**
	 * "四联四促"活动
	 */
	@ColumnWidth(20)
	@ExcelProperty("四联四促活动")
	private String djgz2Fs;
	/**
	 * 旷工
	 */
	@ColumnWidth(20)
	@ExcelProperty("旷工")
	private String cqkq1Fs;
	/**
	 * 请假
	 */
	@ColumnWidth(20)
	@ExcelProperty("请假")
	private String cqkq2Fs;
	/**
	 * 不服从派出所工作安排和管理
	 */
	@ColumnWidth(20)
	@ExcelProperty("不服从派出所工作安排和管理")
	private String gzjl1Fs;
	/**
	 * 群众有理投诉或被上级部门通报
	 */
	@ColumnWidth(20)
	@ExcelProperty("群众有理投诉或被上级部门通报")
	private String gzjl2Fs;
	/**
	 * 是否已确认 0=未确认 1=已确认
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否已确认 0=未确认 1=已确认")
	private Integer isConfirm;

}
