/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.byMonth.service.impl;

import org.springblade.modules.byMonth.entity.ByMonthEntity;
import org.springblade.modules.byMonth.vo.ByMonthVO;
import org.springblade.modules.byMonth.excel.ByMonthExcel;
import org.springblade.modules.byMonth.mapper.ByMonthMapper;
import org.springblade.modules.byMonth.service.IByMonthService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;
import java.util.Map;

/**
 * 月评分确认 服务实现类
 *
 * @author BladeX
 * @since 2023-07-18
 */
@Service
public class ByMonthServiceImpl extends BaseServiceImpl<ByMonthMapper, ByMonthEntity> implements IByMonthService {

	@Override
	public IPage<ByMonthVO> selectByMonthPage(IPage<ByMonthVO> page, Map<String, Object> params) {
		return page.setRecords(baseMapper.selectByMonthPage(page, params));
	}


	@Override
	public List<ByMonthExcel> exportByMonth(Wrapper<ByMonthEntity> queryWrapper) {
		List<ByMonthExcel> byMonthList = baseMapper.exportByMonth(queryWrapper);
		//byMonthList.forEach(byMonth -> {
		//	byMonth.setTypeName(DictCache.getValue(DictEnum.YES_NO, ByMonth.getType()));
		//});
		return byMonthList;
	}

	@Override
	public boolean updateIsconfirm(ByMonthEntity byMonth) {
		return baseMapper.updateIsconfirm(byMonth);
	}

}
