/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.bzdz.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 楼栋标准地址 实体类
 *
 * @author BladeX
 * @since 2023-12-22
 */
@Data
@TableName("ld_bzdz")
@ApiModel(value = "Bzdz对象", description = "楼栋标准地址")
@EqualsAndHashCode(callSuper = true)
public class BzdzEntity extends BaseEntity {

	/**
	 * 地址编码
	 */
	@ApiModelProperty(value = "地址编码")
	private String dzbm;
	/**
	 * 地址名称
	 */
	@ApiModelProperty(value = "地址名称")
	private String dzmc;
	/**
	 * 地图_地址名称
	 */
	@ApiModelProperty(value = "地图_地址名称")
	private String dzmcDt;
	/**
	 * 所属省份代码
	 */
	@ApiModelProperty(value = "所属省份代码")
	private Long sssfdm;
	/**
	 * 所属省份名称
	 */
	@ApiModelProperty(value = "所属省份名称")
	private String sssfmc;
	/**
	 * 所属地市代码
	 */
	@ApiModelProperty(value = "所属地市代码")
	private Long ssdsdm;
	/**
	 * 所属地市名称
	 */
	@ApiModelProperty(value = "所属地市名称")
	private String ssdsmc;
	/**
	 * 所属县区代码
	 */
	@ApiModelProperty(value = "所属县区代码")
	private Long ssxqdm;
	/**
	 * 所属县区名称
	 */
	@ApiModelProperty(value = "所属县区名称")
	private String ssxqmc;
	/**
	 * 乡镇（街道）代码
	 */
	@ApiModelProperty(value = "乡镇（街道）代码")
	private Long xzjddm;
	/**
	 * 乡镇（街道）名称
	 */
	@ApiModelProperty(value = "乡镇（街道）名称")
	private String xzjdmc;
	/**
	 * 社区/居（村）委会代码
	 */
	@ApiModelProperty(value = "社区/居（村）委会代码")
	private Long sqjcwhdm;
	/**
	 * 社区/居（村）委会名称
	 */
	@ApiModelProperty(value = "社区/居（村）委会名称")
	private String sqjcwhmc;
	/**
	 * 街路巷名称
	 */
	@ApiModelProperty(value = "街路巷名称")
	private String jlxxqzdzrcmc;
	/**
	 * 门（楼）牌号
	 */
	@ApiModelProperty(value = "门（楼）牌号")
	private String mlph;
	/**
	 * 小区名称
	 */
	@ApiModelProperty(value = "小区名称")
	private String xqmc;
	/**
	 * 楼栋牌号
	 */
	@ApiModelProperty(value = "楼栋牌号")
	private String ldph;
	/**
	 * 楼栋牌号后缀
	 */
	@ApiModelProperty(value = "楼栋牌号后缀")
	private String ldphSuffix;
	/**
	 * 地址经度
	 */
	@ApiModelProperty(value = "地址经度")
	private String dzjd;
	/**
	 * 地址纬度
	 */
	@ApiModelProperty(value = "地址纬度")
	private String dzwd;
	/**
	 * 楼栋类型 1=城镇 2=乡村
	 */
	@ApiModelProperty(value = "楼栋类型 1=城镇 2=乡村")
	private Integer ldType;
	/**
	 * 楼栋名称
	 */
	@TableField(exist = false)
	private String ldMc;
}
