/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.bzdz.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 楼栋标准地址 Excel实体类
 *
 * @author BladeX
 * @since 2023-12-22
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class BzdzExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 地址编码
	 */
	@ColumnWidth(20)
	@ExcelProperty("地址编码")
	private String dzbm;
	/**
	 * 地址名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("地址名称")
	private String dzmc;
	/**
	 * 地图_地址名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("地图_地址名称")
	private String dzmcDt;
	/**
	 * 所属省份代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属省份代码")
	private String sssfdm;
	/**
	 * 所属省份名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属省份名称")
	private String sssfmc;
	/**
	 * 所属地市代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属地市代码")
	private String ssdsdm;
	/**
	 * 所属地市名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属地市名称")
	private String ssdsmc;
	/**
	 * 所属县区代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属县区代码")
	private String ssxqdm;
	/**
	 * 所属县区名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属县区名称")
	private String ssxqmc;
	/**
	 * 乡镇（街道）代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("乡镇（街道）代码")
	private String xzjddm;
	/**
	 * 乡镇（街道）名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("乡镇（街道）名称")
	private String xzjdmc;
	/**
	 * 社区/居（村）委会代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("社区/居（村）委会代码")
	private String sqjcwhdm;
	/**
	 * 社区/居（村）委会名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("社区/居（村）委会名称")
	private String sqjcwhmc;
	/**
	 * 地址经度
	 */
	@ColumnWidth(20)
	@ExcelProperty("地址经度")
	private String dzjd;
	/**
	 * 地址纬度
	 */
	@ColumnWidth(20)
	@ExcelProperty("地址纬度")
	private String dzwd;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Integer isDeleted;
	/**
	 * 楼栋类型 1=城镇 2=乡村
	 */
	@ColumnWidth(20)
	@ExcelProperty("楼栋类型 1=城镇 2=乡村")
	private Integer ldType;

}
