/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.bzdz.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.bzdz.entity.BzdzEntity;
import org.springblade.modules.bzdz.vo.BzdzVO;
import java.util.Objects;

/**
 * 楼栋标准地址 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-12-22
 */
public class BzdzWrapper extends BaseEntityWrapper<BzdzEntity, BzdzVO>  {

	public static BzdzWrapper build() {
		return new BzdzWrapper();
 	}

	@Override
	public BzdzVO entityVO(BzdzEntity bzdz) {
		BzdzVO bzdzVO = Objects.requireNonNull(BeanUtil.copy(bzdz, BzdzVO.class));

		//User createUser = UserCache.getUser(bzdz.getCreateUser());
		//User updateUser = UserCache.getUser(bzdz.getUpdateUser());
		//bzdzVO.setCreateUserName(createUser.getName());
		//bzdzVO.setUpdateUserName(updateUser.getName());

		return bzdzVO;
	}


}
