/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.cdglinfos.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 菜单信息表 实体类
 *
 * @author ldx
 * @since 2023-08-14
 */
@Data
@TableName("cd_glinfo")
@ApiModel(value = "GlInfo对象", description = "菜单信息表")
@EqualsAndHashCode(callSuper = true)
public class GlInfoEntity extends BaseEntity {

	/**
	 * 菜单名称
	 */
	@ApiModelProperty(value = "菜单名称")
	private String name;
	/**
	 * 菜单排序
	 */
	@ApiModelProperty(value = "菜单排序")
	private Integer sort;
	/**
	 * 菜单标识
	 */
	@ApiModelProperty(value = "菜单标识")
	private String flag;
	/**
	 * 菜单图标
	 */
	@ApiModelProperty(value = "菜单图标")
	private String img;

	@TableField(exist = false)
	private String[] roleName;

	private String roles;
	private String ssbm;
	private String yylx;

}
