/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.cdglinfos.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 菜单信息表 Excel实体类
 *
 * @author ldx
 * @since 2023-08-14
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class GlInfoExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 菜单名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("菜单名称")
	private String name;
	/**
	 * 菜单排序
	 */
	@ColumnWidth(20)
	@ExcelProperty("菜单排序")
	private Integer sort;
	/**
	 * 菜单标识
	 */
	@ColumnWidth(20)
	@ExcelProperty("菜单标识")
	private String flag;
	/**
	 * 菜单图标
	 */
	@ColumnWidth(20)
	@ExcelProperty("菜单图标")
	private String img;
	/**
	 * 是否已删除
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否已删除")
	private Integer isDeleted;

}
