/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.cdglinfos.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.cdglinfos.entity.GlInfoEntity;
import org.springblade.modules.cdglinfos.vo.GlInfoVO;
import java.util.Objects;

/**
 * 菜单信息表 包装类,返回视图层所需的字段
 *
 * @author ldx
 * @since 2023-08-14
 */
public class GlInfoWrapper extends BaseEntityWrapper<GlInfoEntity, GlInfoVO>  {

	public static GlInfoWrapper build() {
		return new GlInfoWrapper();
 	}

	@Override
	public GlInfoVO entityVO(GlInfoEntity glinfo) {
		GlInfoVO glinfoVO = Objects.requireNonNull(BeanUtil.copy(glinfo, GlInfoVO.class));

		//User createUser = UserCache.getUser(glinfo.getCreateUser());
		//User updateUser = UserCache.getUser(glinfo.getUpdateUser());
		//glinfoVO.setCreateUserName(createUser.getName());
		//glinfoVO.setUpdateUserName(updateUser.getName());

		return glinfoVO;
	}


}
