package org.springblade.modules.csInfo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.modules.csInfo.vo.CsInfoVOS;

import java.math.BigDecimal;
import java.util.List;

/**
 * 场所 实体类
 *
 * @author BladeX
 * @since 2023-07-21
 */
@Data
@TableName("cs_info")
@ApiModel(value = "Info对象", description = "场所")
@EqualsAndHashCode(callSuper = true)
public class CsInfoEntity extends BaseEntity {

	/**
	 * 单位/场所名称
	 */
	@ApiModelProperty(value = "单位/场所名称")
	private String csmc;
	/**
	 * 法定代表人/主要负责人
	 */
	@ApiModelProperty(value = "法定代表人/主要负责人")
	private String fzr;
	/**
	 * 法定代表人/主要负责人电话
	 */
	@ApiModelProperty(value = "法定代表人/主要负责人")
	private String fzrDh;
	/**
	 * 地址
	 */
	@ApiModelProperty(value = "地址")
	private String dz;
	/**
	 * 单位类别
	 */
	@ApiModelProperty(value = "单位类别")
	private String dwlb;
	/**
	 * 使用的建筑面积(㎡)
	 */
	@ApiModelProperty(value = "使用的建筑面积(㎡)")
	private String jzmj;
	/**
	 * 使用的建筑具体层数
	 */
	@ApiModelProperty(value = "使用的建筑具体层数")
	private String jzcs;
	/**
	 * 所在建筑高度(m)
	 */
	@ApiModelProperty(value = "所在建筑高度(m)")
	private String gd;

	private Long ssfjBm;
	private String ssfjMc;

	private Long sspcsBm;
	private String sspcsMc;

	private Long sssqBm;
	private String sssqMc;

	private String dwxl;
	private String tyxydm;
	private String zczb;
	private String clrq;
	private String jyqx;
	private String jyfw;
	private String djjg;
	private String djrq;
	private String fwlx;
	private String cjsj;
	private String cjdw;
	private String cjr;
	private String xffzr;
	private String xffzrsfzh;
	private String xffzrlxdh;
	private String jd;
	private String wd;
	private Long jgId;
	private Long ldphxlh;
	private Integer yyzt;
	private Long jcId;
	@TableField(exist = false)
	private String qqyy;
	@TableField(exist = false)
	private String deptName;
	@TableField(exist = false)
	private BigDecimal cssl;
	@TableField(exist = false)
	private BigDecimal jcsl;
	@TableField(exist = false)
	private BigDecimal wcl;
	@TableField(exist = false)
	private String ssfjName;
	@TableField(exist = false)
	private String sspcsName;
	@TableField(exist = false)
	private String sssqName;
	@TableField(exist = false)
	private String datetime;
	@TableField(exist = false)
	private List<CsInfoVOS> children;
	@TableField(exist = false)
	private String csId;
	@TableField(exist = false)
	private Long sbdw;
	@TableField(exist = false)
	private String idss;
	@TableField(exist = false)
	private String sbzt;
	@TableField(exist = false)
	private String[] csIds;
	@TableField(exist = false)
	private String[] ids;
}
