package org.springblade.modules.csInfo.excel;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serializable;

/**
 * 场所 Excel实体类
 *
 * @author BladeX
 * @since 2023-07-21
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class CsInfoExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 考核场所
	 */
	@ColumnWidth(20)
	@ExcelProperty("考核场所")
	private String sfkh;
	/**
	 * 营业状态
	 */
	@ColumnWidth(20)
	@ExcelProperty("营业状态")
	private String yyzt;
	/**
	 * 单位/场所名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("单位/场所名称")
	private String csmc;
	/**
	 * 单位类别
	 */
	@ColumnWidth(20)
	@ExcelProperty("单位类别")
	private String dwlb;
	/**
	 * 地址
	 */
	@ColumnWidth(20)
	@ExcelProperty("地址")
	private String dz;
	/**
	 * 法人
	 */
	@ColumnWidth(20)
	@ExcelProperty("检查状态")
	private String jczt;
	/**
	 * 法人
	 */
	@ColumnWidth(20)
	@ExcelProperty("限期整改日期")
	private String zgqx;
	/**
	 * 法人
	 */
	@ColumnWidth(20)
	@ExcelProperty("法人")
	private String fzr;
	/**
	 * 法人电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("法人电话")
	private String fzrDh;
	/**
	 * 消防负责人
	 */
	@ColumnWidth(20)
	@ExcelProperty("消防负责人")
	private String xffzr;
	/**
	 * 消防负责人身份证
	 */
	@ColumnWidth(20)
	@ExcelProperty("消防负责人身份证")
	private String xffzrsfzh;
	/**
	 * 消防负责人电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("消防负责人电话")
	private String xffzrlxdh;
	/**
	 * 房屋类型
	 */
	@ColumnWidth(20)
	@ExcelProperty("房屋类型")
	private String fwlx;
	/**
	 * 建筑面积
	 */
	@ColumnWidth(20)
	@ExcelProperty("建筑面积")
	private String jzmj;
	/**
	 * 具体层数
	 */
	@ColumnWidth(20)
	@ExcelProperty("具体层数")
	private String jzcs;
	/**
	 * 建筑高度
	 */
	@ColumnWidth(20)
	@ExcelProperty("建筑高度")
	private String gd;
	/**
	 * 注册资本
	 */
	@ColumnWidth(20)
	@ExcelProperty("注册资本")
	private String zczb;
	/**
	 * 成立日期
	 */
	@ColumnWidth(20)
	@ExcelProperty("成立日期")
	private String clrq;
	/**
	 * 经营期限
	 */
	@ColumnWidth(20)
	@ExcelProperty("经营期限")
	private String jyqx;
	/**
	 * 经营范围
	 */
	@ColumnWidth(20)
	@ExcelProperty("经营范围")
	private String jyfw;
	/**
	 * 工商登记机关
	 */
	@ColumnWidth(20)
	@ExcelProperty("工商登记机关")
	private String djjg;
	/**
	 * 工商登记日期
	 */
	@ColumnWidth(20)
	@ExcelProperty("工商登记日期")
	private String djrq;
	/**
	 * 所属分局
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属分局")
	private String ssfjName;
	/**
	 * 所属派出所
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属派出所")
	private String sspcsName;
	/**
	 * 所属社区
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属社区")
	private String sssqName;
	/**
	 * 检查时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("检查时间")
	private String time;

	@ExcelIgnore
	@TableField(exist = false)
	private Long ssfjBm;
	@ExcelIgnore
	@TableField(exist = false)
	private Long sspcsBm;
	@ExcelIgnore
	@TableField(exist = false)
	private Long sssqBm;
}
