package org.springblade.modules.csjcInfo.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/**
 * 场所检查 Excel实体类
 *
 * @author BladeX
 * @since 2023-07-21
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class CsjcInfoExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	@ColumnWidth(20)
	@ExcelProperty("检查时间")
	private String time;
	@ColumnWidth(20)
	@ExcelProperty("场所名称")
	private String csmc;
	@ColumnWidth(20)
	@ExcelProperty("场所类别")
	private String dwlb;
	@ColumnWidth(20)
	@ExcelProperty("检查部门")
	private String deptName;
	@ColumnWidth(20)
	@ExcelProperty("检查人")
	private String realName;
	@ColumnWidth(20)
	@ExcelProperty("检查人手机号")
	private String phone;
	@ColumnWidth(20)
	@ExcelProperty("随同人员")
	private String stry;
	@ColumnWidth(20)
	@ExcelProperty("整改状态")
	private String zgzts;
	@ColumnWidth(20)
	@ExcelProperty("整改期限")
	private String zgqx;
//	@ColumnWidth(20)
//	@ExcelProperty("报告事由")
//	private String bgsy;
	@ColumnWidth(20)
	@ExcelProperty("消防安全制度")
	private String aqzd;
	@ColumnWidth(20)
	@ExcelProperty("员工消防安全教育培训")
	private String aqjypx;
	@ColumnWidth(20)
	@ExcelProperty("防火检查")
	private String fhjc;
	@ColumnWidth(20)
	@ExcelProperty("灭火和应急疏散预案")
	private String ssya;
	@ColumnWidth(20)
	@ExcelProperty("消防演练")
	private String xfyl;
	@ColumnWidth(20)
	@ExcelProperty("其他情况")
	private String xfaqglQtqk;
	@ColumnWidth(20)
	@ExcelProperty("消防车通道")
	private String xfctd;
	@ColumnWidth(20)
	@ExcelProperty("疏散通道")
	private String sstd;
	@ColumnWidth(20)
	@ExcelProperty("安全出口")
	private String aqck;
	@ColumnWidth(20)
	@ExcelProperty("防火门")
	private String fhm;
	@ColumnWidth(20)
	@ExcelProperty("疏散指示标志")
	private String sszsbz;
	@ColumnWidth(20)
	@ExcelProperty("应急照明")
	private String yjzm;
	@ColumnWidth(20)
	@ExcelProperty("外墙门窗上是否设置影响逃生、灭火救援的障碍物")
	private String zaw;
	@ColumnWidth(20)
	@ExcelProperty("建筑防火-其他情况")
	private String jzfhQtqk;
	@ColumnWidth(20)
	@ExcelProperty("室内消火栓")
	private String snxhs;
	@ColumnWidth(20)
	@ExcelProperty("灭火器")
	private String mhq;
	@ColumnWidth(20)
	@ExcelProperty("建筑消防设施")
	private String jzxfss;
	@ColumnWidth(20)
	@ExcelProperty("是否存在违反规定使用明火作业或在具有火灾、爆炸危险的场所吸烟、使用明火")
	private String mh;
	@ColumnWidth(20)
	@ExcelProperty("是否存在违反消防安全规定进入生产、储存易燃易爆危险品场所")
	private String wxpcs;
	@ColumnWidth(20)
	@ExcelProperty("生产、储存、经营易燃易爆危险品的场所是否与居住场所设置在同建筑物内")
	private String jzcs;
	@ColumnWidth(20)
	@ExcelProperty("备注")
	private String bz;
	@ColumnWidth(20)
	@ExcelProperty("所属分局")
	private String ssfjName;
	@ColumnWidth(20)
	@ExcelProperty("所属派出所")
	private String sspcsName;
	@ColumnWidth(20)
	@ExcelProperty("所属社区")
	private String sssqName;
}
