package org.springblade.modules.csjcInfo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 场所检查 视图实体类
 *
 * @author BladeX
 * @since 2023-07-21
 */
@Data
public class CsjcInfoVO {
	private static final long serialVersionUID = 1L;
	private Long id;
	private Long csId; // cs_info表主键
	private String aqzd; // 消防安全制度 (有/无)
	private String aqjypx; // 员工消防安全教育培训 (组织开展/未组织开展)
	private String fhjc; // 防火检查 (组织开展/未组织开展)
	private String ssya; // 灭火和应急疏散预案 (有/无)
	private String xfyl; // 消防演练 (组织/未组织)
	private String xfaqglQtqk; // 消防安全管理-其他情况
	private String xfctd; // 消防车通道 (畅通/被堵塞、占用/无)
	private String sstd; // 疏散通道 (畅通/堵塞/锁闭)
	private String aqck; // 安全出口 (畅通/堵塞/锁闭/缺少)
	private String fhm; // 防火门 (完好有效/常闭式防火门常开/损坏/不涉及)
	private String sszsbz; // 疏散指示标志 (完好有效/损坏/缺少/无)
	private String yjzm; // 应急照明(完好有效/损坏/缺少/无)
	private String zaw; // 外墙门窗上是否设置影响逃生、灭火救援的障碍物 (否/是/不涉及)
	private String jzfhQtqk; // 建筑防火-其他情况
	private String snxhs; // 室内消火栓 (未设置/完好有效/损坏/无水/配件不齐/被遮挡、圈占/不涉及)
	private String mhq; // 灭火器 (未配置/完好有效/失效/缺少/配置类型错误/设置地点不当)
	private String jzxfss; // 建筑消防设施 (定期维修保养并记录/无记录/未定期维修保养/不涉及)
	private String mh; // 是否存在违反规定使用明火作业或在具有火灾、爆炸危险的场所吸烟、使用明火 (否/是/不涉及)
	private String wxpcs; // 是否存在违反消防安全规定进入生产、储存易燃易爆危险品场所 (否/是/不涉及)
	private String jzcs; // 生产、储存、经营易燃易爆危险品的场所是否与居住场所设置在同-口否 口是 口不涉及建筑物内 (否/是/不涉及)
	private String bz; // 备注
	private String zp; // 照片
	private String zgzt; // 整改状态 0=不需要整改 1=现场整改 2=限期整改
	private String stry; // 随同人员
	private String createTime; // 上报时间
	private String updateTime; // 上报时间
	private String realName; // 上报人
	private String deptName; // 上报人单位
	private String phone; // 上报人手机号
	private String jd; // 经度
	private String wd; // 纬度
	private Long yjdw; // 移交单位
	private String yjdwName; // 移交单位名称
	private String bgsy; // 报告事由
	private String csmc; // 场所名称
	private String dz; // 场所地址
	private String dwlb; // 单位类别
	private String jzmj; // 建筑面积
	private String jzjtcs; // 建筑具体层数
	private String gd; // 建筑高度
	private String xffzr; // 消防负责人
	private String xffzrlxdh; // 消防责任人联系电话
	private int yjzt; // 移交状态
	private int thzt; // 退回状态
	private String yjrq; // 移交日期
	private String fkjg; // 反馈结果
	private String fkzp; // 反馈照片
	private String fkrq; // 反馈日期
	private String thyy; //退回原因
	private String deptNames;
	private String yjzts;
	private String zgzts;
	private String zgqx; // 整改期限
	private String zgtsdzp; // 整改提示单照片
	private String yhsp; // 隐患视频
	private String wmzp; // 单位（场所）外貌照片
	private String snzp; // 室内全貌照片
	private String aqglzp; // 消防安全管理照片
	private String jzfhzp; // 建筑防火照片
	private String xfsszp; // 消防设施照片
	private String wxpglzp; // 危险品管理照片
	private String fzrqz; // 消防负责人签字照片
	private String bjcdwstry;
	private int fjlzzt; // 分局流转状态
	private int xjwlzzt; // 消救委流转状态
	private String fjlzzts; // 分局流转状态
	private String xjwlzzts; // 消救委流转状态
	private Long name; // 检查单位
	private String jcdw; // 检查单位
	private String ssfjName;
	private String sspcsName;
	private String sssqName;
	private String sssjName;
	private String tyxydm;
	private String jcdId;
	/**
	 * 评价
	 */
	@ApiModelProperty(value = "评价")
	private String pj;

	/**
	 * 评价理由
	 */
	@ApiModelProperty(value = "评价理由")
	private String pjly;

	/**
	 * 评价时间
	 */
	@ApiModelProperty(value = "评价时间")
	private Date pjsj;

	/**
	 * 评价人
	 */
	@ApiModelProperty(value = "评价人")
	private String pjr;
}
