/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.csjcInfo.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.csjcInfo.entity.CsjcInfoEntity;
import org.springblade.modules.csjcInfo.vo.CsjcInfoVO;
import java.util.Objects;

/**
 * 场所检查 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-07-21
 */
public class CsjcInfoWrapper extends BaseEntityWrapper<CsjcInfoEntity, CsjcInfoVO>  {

	public static CsjcInfoWrapper build() {
		return new CsjcInfoWrapper();
 	}

	@Override
	public CsjcInfoVO entityVO(CsjcInfoEntity info) {
		CsjcInfoVO infoVO = Objects.requireNonNull(BeanUtil.copy(info, CsjcInfoVO.class));

		//User createUser = UserCache.getUser(info.getCreateUser());
		//User updateUser = UserCache.getUser(info.getUpdateUser());
		//infoVO.setCreateUserName(createUser.getName());
		//infoVO.setUpdateUserName(updateUser.getName());

		return infoVO;
	}


}
