package org.springblade.modules.dateConf.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;


/**
 * DateConf Excel实体类
 *
 * @author BladeX
 * @since 2023-10-08
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class DateConfExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 日期
	 */
	@ColumnWidth(20)
	@ExcelProperty("日期")
	private String rq;

	/**
	 * 日期类型 1=上班日 2=休息日
	 */
	@ColumnWidth(20)
	@ExcelProperty("日期类型 上班日/休息日")
	private String rqType;
}
