package org.springblade.modules.dateConf.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.dateConf.entity.DateConfEntity;
import org.springblade.modules.dateConf.excel.DateConfExcel;
import org.springblade.modules.dateConf.vo.DateConfVO;

import java.util.List;
import java.util.Map;

/**
 * DateConf Mapper 接口
 *
 * @author BladeX
 * @since 2023-10-08
 */
public interface DateConfMapper extends BaseMapper<DateConfEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param params
	 * @return
	 */
	List<DateConfVO> selectDateConfPage(IPage page, @Param("params") Map<String, Object> params);

	/**
	 * 获取导出数据
	 *
	 * @param params
	 * @return
	 */
	List<DateConfExcel> exportDateConf(@Param("params") Map<String, Object> params);

	int isExist(String rq);

	void updateByRq(DateConfExcel dateConfExcel);
}
