package org.springblade.modules.dateConf.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.dateConf.entity.DateConfEntity;
import org.springblade.modules.dateConf.excel.DateConfExcel;
import org.springblade.modules.dateConf.vo.DateConfVO;

import java.util.List;
import java.util.Map;

/**
 * DateConf 服务类
 *
 * @author BladeX
 * @since 2023-10-08
 */
public interface IDateConfService extends BaseService<DateConfEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param params
	 * @return
	 */
	IPage<DateConfVO> selectDateConfPage(IPage<DateConfVO> page, Map<String, Object> params);

	/**
	 * 导出数据
	 *
	 * @param params
	 * @return
	 */
	List<DateConfExcel> exportDateConf(Map<String, Object> params);

	int isExist(String rq);

	void updateByRq(DateConfExcel dateConfExcel);
}
