/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.dictBszn.excel;


import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;


/**
 *  Excel实体类
 *
 * @author BladeX
 * @since 2024-10-31
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class DictBsznExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Long parentId;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private String dictValue;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private String sxlx;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private String xzcj;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private String fdsx;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private String cnsx;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private String bjlx;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private String spjglx;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private String spjgmc;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private String sltj;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private String sdyj;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private String sfsf;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private String sfbz;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private String sfyj;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private String sqcl;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private String bllc;

}
