/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.dictBszn.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.dictBszn.excel.DictBsznExcel;
import org.springblade.modules.dictBszn.mapper.DictBsznMapper;
import org.springblade.modules.dictBszn.pojo.entity.DictBsznEntity;
import org.springblade.modules.dictBszn.pojo.vo.BsznVO;
import org.springblade.modules.dictBszn.pojo.vo.DictBsznVO;
import org.springblade.modules.dictBszn.service.IDictBsznService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  服务实现类
 *
 * @author BladeX
 * @since 2024-10-31
 */
@Service
public class DictBsznServiceImpl extends BaseServiceImpl<DictBsznMapper, DictBsznEntity> implements IDictBsznService {

	@Override
	public IPage<DictBsznVO> selectDictBsznPage(IPage<DictBsznVO> page, DictBsznVO dictBszn) {
		return page.setRecords(baseMapper.selectDictBsznPage(page, dictBszn));
	}

	@Override
	public List<DictBsznExcel> exportDictBszn(Wrapper<DictBsznEntity> queryWrapper) {
		List<DictBsznExcel> dictBsznList = baseMapper.exportDictBszn(queryWrapper);
		//dictBsznList.forEach(dictBszn -> {
		//	dictBszn.setTypeName(DictCache.getValue(DictEnum.YES_NO, DictBsznEntity.getType()));
		//});
		return dictBsznList;
	}

	@Override
	public List<DictBsznEntity> selectListByMc(String dictValue) {
		return baseMapper.selectListByMc(dictValue);
	}

	@Override
	public DictBsznEntity detailById(Long id) {
		return baseMapper.detailById(id);
	}

	@Override
	public List<BsznVO> selectTop() {
		return baseMapper.selectTop();
	}

	@Override
	public List<BsznVO> selectOneList(String value) {
		return baseMapper.selectOneList(value);
	}

}
