package org.springblade.modules.externalLog.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 对外日志 实体类
 *
 * @author BladeX
 * @since 2024-01-10
 */
@Data
@TableName("public.external_log")
@ApiModel(value = "ExtemalLog对象", description = "对外日志")
@EqualsAndHashCode(callSuper = true)
public class ExternalLogEntity extends BaseEntity {

	/**
	 * 操作方式
	 */
	@ApiModelProperty(value = "操作方式")
	private String method;
	/**
	 * 操作提交的数据
	 */
	@ApiModelProperty(value = "操作提交的数据")
	private String requestParams;
	/**
	 * 操作响应的数据
	 */
	@ApiModelProperty(value = "操作响应的数据")
	private String responseBody;

}
