package org.springblade.modules.externalLog.excel;

import lombok.Data;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;

import java.io.Serializable;

/**
 * 对外日志 Excel实体类
 *
 * @author BladeX
 * @since 2024-01-10
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class ExternalLogExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 操作方式
	 */
	@ColumnWidth(20)
	@ExcelProperty("操作方式")
	private String method;

	/**
	 * 操作提交的数据
	 */
	@ColumnWidth(20)
	@ExcelProperty("操作提交的数据")
	private String requestParams;

	/**
	 * 操作响应的数据
	 */
	@ColumnWidth(20)
	@ExcelProperty("操作响应的数据")
	private String responseBody;

}
