package org.springblade.modules.externalLog.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.externalLog.entity.ExternalLogEntity;
import org.springblade.modules.externalLog.excel.ExternalLogExcel;
import org.springblade.modules.externalLog.vo.ExternalLogVO;

import java.util.List;

/**
 * 对外日志 Mapper 接口
 *
 * @author BladeX
 * @since 2024-01-10
 */
public interface ExternalLogMapper extends BaseMapper<ExternalLogEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param extemalLog
	 * @return
	 */
	List<ExternalLogVO> selectExtemalLogPage(IPage page, ExternalLogVO extemalLog);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<ExternalLogExcel> exportExtemalLog(@Param("ew") Wrapper<ExternalLogEntity> queryWrapper);

}
