package org.springblade.modules.externalLog.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.externalLog.entity.ExternalLogEntity;
import org.springblade.modules.externalLog.excel.ExternalLogExcel;
import org.springblade.modules.externalLog.vo.ExternalLogVO;

import java.util.List;

/**
 * 对外日志 服务类
 *
 * @author BladeX
 * @since 2024-01-10
 */
public interface IExternalLogService extends BaseService<ExternalLogEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param extemalLog
	 * @return
	 */
	IPage<ExternalLogVO> selectExtemalLogPage(IPage<ExternalLogVO> page, ExternalLogVO extemalLog);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<ExternalLogExcel> exportExtemalLog(Wrapper<ExternalLogEntity> queryWrapper);

}
