/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.fjInfo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 辅警管理 实体类
 *
 * @author BladeX
 * @since 2024-03-18
 */
@Data
@TableName("blade_mj_fj")
@ApiModel(value = "FjInfo对象", description = "辅警管理")
@EqualsAndHashCode(callSuper = true)
public class FjInfoEntity extends BaseEntity {

	/**
	 * 民警id
	 */
	@ApiModelProperty(value = "民警id")
	private Long mjId;

	/**
	 * 辅警id
	 */
	@ApiModelProperty(value = "辅警id")
	private Long fjId;
	@TableField(exist = false)
	private Long userId;
}
