/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.fjInfo.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.fjInfo.entity.FjInfoEntity;
import org.springblade.modules.fjInfo.excel.FjInfoExcel;
import org.springblade.modules.fjInfo.vo.FjInfoVO;
import org.springblade.modules.system.entity.User;

import java.util.List;

/**
 * 辅警管理 服务类
 *
 * @author BladeX
 * @since 2024-03-18
 */
public interface IFjInfoService extends BaseService<FjInfoEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param fjInfo
	 * @return
	 */
	IPage<FjInfoVO> selectFjInfoPage(IPage<FjInfoVO> page, FjInfoVO fjInfo);


	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<FjInfoExcel> exportFjInfo(Wrapper<FjInfoEntity> queryWrapper);

    boolean updateStatusQy(FjInfoEntity fjInfo);

    boolean updateStatusTy(FjInfoEntity fjInfo);

	FjInfoEntity selectMjFj(Long mjId, Long id);

	boolean deleteFj(Long id);

	User getMjId(Long userId);
}
