/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.fwbzdz.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 标准地址 实体类
 *
 * @author BladeX
 * @since 2023-12-17
 */
@Data
@TableName("fw_bzdz")
@ApiModel(value = "fwBzdz对象", description = "标准地址")
@EqualsAndHashCode(callSuper = true)
public class fwBzdzEntity extends BaseEntity {

	/**
	 * 唯一标识
	 */
	@ApiModelProperty(value = "唯一标识")
	private String mdId;
	/**
	 * 序列号_信息编号
	 */
	@ApiModelProperty(value = "序列号_信息编号")
	private String xlh;
	/**
	 * 地址_状态_信息代码
	 */
	@ApiModelProperty(value = "地址_状态_信息代码")
	private String dzzt;
	/**
	 * 操作_日期时间
	 */
	@ApiModelProperty(value = "操作_日期时间")
	private String czsj;
	/**
	 * 原_更新时间
	 */
	@ApiModelProperty(value = "原_更新时间")
	private String gxsj;
	/**
	 * 操作_用户_信息编号
	 */
	@ApiModelProperty(value = "操作_用户_信息编号")
	private String czyh;
	/**
	 * 操作_用户_姓名
	 */
	@ApiModelProperty(value = "操作_用户_姓名")
	private String czym;
	/**
	 * 地区_行政区划代码
	 */
	@ApiModelProperty(value = "地区_行政区划代码")
	private String dqm;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String dzbm;
	/**
	 * 地址_类别_信息代码
	 */
	@ApiModelProperty(value = "地址_类别_信息代码")
	private String dzlb;
	/**
	 * 省市县_行政区划代码
	 */
	@ApiModelProperty(value = "省市县_行政区划代码")
	private String ssxq;
	/**
	 * 门楼_详细_地址名称
	 */
	@ApiModelProperty(value = "门楼_详细_地址名称")
	private String xz;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String xzjddm;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String xzjdmc;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String sqjcwhdm;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String sqjcwhmc;
	/**
	 * 居民组_信息代码
	 */
	@ApiModelProperty(value = "居民组_信息代码")
	private String jmzdm;
	/**
	 * 居民组_名称
	 */
	@ApiModelProperty(value = "居民组_名称")
	private String jmzmc;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String jlxdm;
	/**
	 * 街路巷名称
	 */
	@ApiModelProperty(value = "街路巷名称")
	private String jlxmc;
	/**
	 * 门牌号_序列号_信息编号
	 */
	@ApiModelProperty(value = "门牌号_序列号_信息编号")
	private String mphxlh;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String mph;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String mlph;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String mlxz;
	/**
	 * 楼栋牌号_序列号_信息编号
	 */
	@ApiModelProperty(value = "楼栋牌号_序列号_信息编号")
	private String ldphxlh;
	/**
	 * 楼栋_单元_序列号_信息编号
	 */
	@ApiModelProperty(value = "楼栋_单元_序列号_信息编号")
	private String lddyxlh;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String ldph;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String dyh;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String lch;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String lcnpmh;
	/**
	 * 地球经度
	 */
	@ApiModelProperty(value = "地球经度")
	private String pointx;
	/**
	 * 地球纬度
	 */
	@ApiModelProperty(value = "地球纬度")
	private String pointy;
	/**
	 * 乡镇_信息代码
	 */
	@ApiModelProperty(value = "乡镇_信息代码")
	private String xzdm;
	/**
	 * 乡镇_名称
	 */
	@ApiModelProperty(value = "乡镇_名称")
	private String xzmc;
	/**
	 * 村屯_信息代码
	 */
	@ApiModelProperty(value = "村屯_信息代码")
	private String ctdm;
	/**
	 * 村屯_名称
	 */
	@ApiModelProperty(value = "村屯_名称")
	private String ctmc;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String dysxh;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String fjsxh;
	/**
	 * 分县局_信息代码
	 */
	@ApiModelProperty(value = "分县局_信息代码")
	private String fxjdm;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String xjgajgjgdm;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String xjgajgjgmc;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String pcsjgdm;
	/**
	 * 派出所_信息代码
	 */
	@ApiModelProperty(value = "派出所_信息代码")
	private String pcsdm;
	/**
	 * 派出所_机构_名称
	 */
	@ApiModelProperty(value = "派出所_机构_名称")
	private String pcsjgmc;
	/**
	 * 警务区_信息代码
	 */
	@ApiModelProperty(value = "警务区_信息代码")
	private String jwqdm;
	/**
	 * 警务区_名称
	 */
	@ApiModelProperty(value = "警务区_名称")
	private String jwqmc;
	/**
	 * 责任区_信息代码
	 */
	@ApiModelProperty(value = "责任区_信息代码")
	private String zrqdm;
	/**
	 * 责任区_名称
	 */
	@ApiModelProperty(value = "责任区_名称")
	private String zrqmc;
	/**
	 * 警务责任区_信息代码
	 */
	@ApiModelProperty(value = "警务责任区_信息代码")
	private String jwzrqdm;
	/**
	 * 警务责任区_名称
	 */
	@ApiModelProperty(value = "警务责任区_名称")
	private String jwzrqmc;
	/**
	 * 数据_归属单位_信息代码
	 */
	@ApiModelProperty(value = "数据_归属单位_信息代码")
	private String sjgsdwdm;
	/**
	 * 数据_归属单位_名称
	 */
	@ApiModelProperty(value = "数据_归属单位_名称")
	private String sjgsdwmc;
	/**
	 * 登记_公安机关机构代码
	 */
	@ApiModelProperty(value = "登记_公安机关机构代码")
	private String djdwjgdm;
	/**
	 * 登记_公安机关_名称
	 */
	@ApiModelProperty(value = "登记_公安机关_名称")
	private String djdwmc;
	/**
	 * 登记时间
	 */
	@ApiModelProperty(value = "登记时间")
	private String djsj;
	/**
	 * 简要情况
	 */
	@ApiModelProperty(value = "简要情况")
	private String djrjh;
	/**
	 * 登记人_姓名
	 */
	@ApiModelProperty(value = "登记人_姓名")
	private String djrxm;
	/**
	 * 核查单位_名称
	 */
	@ApiModelProperty(value = "核查单位_名称")
	private String hcdw;
	/**
	 * 核查_日期时间
	 */
	@ApiModelProperty(value = "核查_日期时间")
	private String hcsj;
	/**
	 * 核查_用户_简要情况
	 */
	@ApiModelProperty(value = "核查_用户_简要情况")
	private String hcyh;
	/**
	 * 核查_标志_信息代码
	 */
	@ApiModelProperty(value = "核查_标志_信息代码")
	private String hcbz;
	/**
	 * 住址_是否存在_信息代码
	 */
	@ApiModelProperty(value = "住址_是否存在_信息代码")
	private String dzsfcz;
	/**
	 * 住址_是否在用_信息代码
	 */
	@ApiModelProperty(value = "住址_是否在用_信息代码")
	private String dzsfzy;
	/**
	 * 住址_登记日期
	 */
	@ApiModelProperty(value = "住址_登记日期")
	private String dzdjsj;
	/**
	 * 住址_停用_日期
	 */
	@ApiModelProperty(value = "住址_停用_日期")
	private String dztysj;
	/**
	 * 社会资源_电力_账号
	 */
	@ApiModelProperty(value = "社会资源_电力_账号")
	private String dlConsNo;
	/**
	 * 社会资源_电力_名称
	 */
	@ApiModelProperty(value = "社会资源_电力_名称")
	private String contactName;
	/**
	 * 社会资源_电力_联系电话
	 */
	@ApiModelProperty(value = "社会资源_电力_联系电话")
	private String mobile;
	/**
	 * 社会资源_电力_地址名称
	 */
	@ApiModelProperty(value = "社会资源_电力_地址名称")
	private String csaName;
	/**
	 * 社会资源_电力_备注
	 */
	@ApiModelProperty(value = "社会资源_电力_备注")
	private String dlBz;
	/**
	 * 标准版_人口_序列号_信息编号
	 */
	@ApiModelProperty(value = "标准版_人口_序列号_信息编号")
	private String serialNo;
	/**
	 * 公安部_统一_地址编码
	 */
	@ApiModelProperty(value = "公安部_统一_地址编码")
	private String dzbmGuid;
	/**
	 * 地址_标识_信息代码
	 */
	@ApiModelProperty(value = "地址_标识_信息代码")
	private String dzbs;
	/**
	 * 一_简要情况
	 */
	@ApiModelProperty(value = "一_简要情况")
	private String szdqm;
	/**
	 * 地址_房屋_名称
	 */
	@ApiModelProperty(value = "地址_房屋_名称")
	private String dzfwmc;
	/**
	 * 别称俗称_名称
	 */
	@ApiModelProperty(value = "别称俗称_名称")
	private String bcsc;
	/**
	 * 楼盘_名称
	 */
	@ApiModelProperty(value = "楼盘_名称")
	private String lpmc;
	/**
	 * 房屋_状态_信息代码
	 */
	@ApiModelProperty(value = "房屋_状态_信息代码")
	private String fwzt;
	/**
	 * 房主_公民身份号码
	 */
	@ApiModelProperty(value = "房主_公民身份号码")
	private String fzgmsfhm;
	/**
	 * 房主_姓名
	 */
	@ApiModelProperty(value = "房主_姓名")
	private String fzxm;
	/**
	 * 门院_门（楼）牌号
	 */
	@ApiModelProperty(value = "门院_门（楼）牌号")
	private String mphBh;
	/**
	 * 门牌号_前缀_门（楼）牌号
	 */
	@ApiModelProperty(value = "门牌号_前缀_门（楼）牌号")
	private String mphQz;
	/**
	 * 门院_楼栋_附加_备注
	 */
	@ApiModelProperty(value = "门院_楼栋_附加_备注")
	private String mphfjsm;
	/**
	 * 楼栋牌号_信息编号
	 */
	@ApiModelProperty(value = "楼栋牌号_信息编号")
	private String ldphbh;
	/**
	 * 楼栋牌号_门（楼）牌号
	 */
	@ApiModelProperty(value = "楼栋牌号_门（楼）牌号")
	private String ldphBh;
	/**
	 * 楼栋_前缀_门（楼）牌号
	 */
	@ApiModelProperty(value = "楼栋_前缀_门（楼）牌号")
	private String ldphQz;
	/**
	 * 单元号
	 */
	@ApiModelProperty(value = "单元号")
	private String dyhBh;
	/**
	 * 前缀_单元号
	 */
	@ApiModelProperty(value = "前缀_单元号")
	private String dyhQz;
	/**
	 * 房间号
	 */
	@ApiModelProperty(value = "房间号")
	private String lcnpmhBh;
	/**
	 * 前缀_房间号
	 */
	@ApiModelProperty(value = "前缀_房间号")
	private String lcnpmhQz;
	/**
	 * 地址_详细程度_分类_信息代码
	 */
	@ApiModelProperty(value = "地址_详细程度_分类_信息代码")
	private String dzxxcd;
	/**
	 * 父_地址编码
	 */
	@ApiModelProperty(value = "父_地址编码")
	private String fdzbm;
	/**
	 * 副号_信息编号
	 */
	@ApiModelProperty(value = "副号_信息编号")
	private String fhBh;
	/**
	 * 领证_日期时间
	 */
	@ApiModelProperty(value = "领证_日期时间")
	private String lzrq;
	/**
	 * 批准_日期时间
	 */
	@ApiModelProperty(value = "批准_日期时间")
	private String pzrq;
	/**
	 * 最后_更新_日期时间
	 */
	@ApiModelProperty(value = "最后_更新_日期时间")
	private String zhgxrq;
	/**
	 * 启用_日期时间
	 */
	@ApiModelProperty(value = "启用_日期时间")
	private String qyrq;
	/**
	 * 所属最低一级行政区域_信息ID
	 */
	@ApiModelProperty(value = "所属最低一级行政区域_信息ID")
	private String sszdyjxzqyid;
	/**
	 * 所属街路巷（小区）_信息ID
	 */
	@ApiModelProperty(value = "所属街路巷（小区）_信息ID")
	private String ssjlxid;
	/**
	 * 所属建筑物_信息ID
	 */
	@ApiModelProperty(value = "所属建筑物_信息ID")
	private String ssjzwid;
	/**
	 * 所属地址_信息ID
	 */
	@ApiModelProperty(value = "所属地址_信息ID")
	private String ssdzid;
	/**
	 * 原_街路巷_信息代码
	 */
	@ApiModelProperty(value = "原_街路巷_信息代码")
	private String yjlxdm;
	/**
	 * 原_门（楼）牌号
	 */
	@ApiModelProperty(value = "原_门（楼）牌号")
	private String ymlph;
	/**
	 * 原_门（楼）详细地址
	 */
	@ApiModelProperty(value = "原_门（楼）详细地址")
	private String ymlxz;
	/**
	 * 地址_元素_信息代码
	 */
	@ApiModelProperty(value = "地址_元素_信息代码")
	private String dzyslx;
	/**
	 * 上级_地址_元素_信息代码
	 */
	@ApiModelProperty(value = "上级_地址_元素_信息代码")
	private String sjdzyslx;
	/**
	 * 详细地址_生成_方式_信息代码
	 */
	@ApiModelProperty(value = "详细地址_生成_方式_信息代码")
	private String xzscfs;
	/**
	 * 默认值_信息代码
	 */
	@ApiModelProperty(value = "默认值_信息代码")
	private String tmpbs;
	/**
	 * 地址_检索_简要情况
	 */
	@ApiModelProperty(value = "地址_检索_简要情况")
	private String dzjs;
	/**
	 * 全文_检索_字段_简要情况
	 */
	@ApiModelProperty(value = "全文_检索_字段_简要情况")
	private String xzz;
	/**
	 * 坐标_简要情况
	 */
	@ApiModelProperty(value = "坐标_简要情况")
	private String zb;
	/**
	 * 治安_联络员_姓名
	 */
	@ApiModelProperty(value = "治安_联络员_姓名")
	private String zallr;
	/**
	 * 二_简要情况
	 */
	@ApiModelProperty(value = "二_简要情况")
	private String fjhcbz;
	/**
	 * 房屋产权_信息编号
	 */
	@ApiModelProperty(value = "房屋产权_信息编号")
	private String fwcqh;
	/**
	 * 不动产_单元号
	 */
	@ApiModelProperty(value = "不动产_单元号")
	private String fwcqBdcdyh;
	/**
	 * 不动产权证书号_信息编号
	 */
	@ApiModelProperty(value = "不动产权证书号_信息编号")
	private String fwcqBdcqzh;
	/**
	 * 房地坐落_简要情况
	 */
	@ApiModelProperty(value = "房地坐落_简要情况")
	private String fwcqFdzl;
	/**
	 * 权利人_姓名
	 */
	@ApiModelProperty(value = "权利人_姓名")
	private String fwcqQlrmc;
	/**
	 * 证件号码
	 */
	@ApiModelProperty(value = "证件号码")
	private String fwcqZjh;
	/**
	 * 联系电话
	 */
	@ApiModelProperty(value = "联系电话")
	private String fwcqDh;
	/**
	 * 建筑物_关键字_简要情况
	 */
	@ApiModelProperty(value = "建筑物_关键字_简要情况")
	private String gjz;
	/**
	 * 户籍_地址编码
	 */
	@ApiModelProperty(value = "户籍_地址编码")
	private String hjDzbm;
	/**
	 * 户籍_详细地址_地址名称
	 */
	@ApiModelProperty(value = "户籍_详细地址_地址名称")
	private String hjXz;
	/**
	 * 户籍地址_街路巷_地址名称
	 */
	@ApiModelProperty(value = "户籍地址_街路巷_地址名称")
	private String hjJlxdm;
	/**
	 * 户籍_街路巷代码
	 */
	@ApiModelProperty(value = "户籍_街路巷代码")
	private String hjJlxmc;
	/**
	 * 户籍地址_门（楼）牌号
	 */
	@ApiModelProperty(value = "户籍地址_门（楼）牌号")
	private String hjMlph;
	/**
	 * 户籍地址_门（楼）详细地址
	 */
	@ApiModelProperty(value = "户籍地址_门（楼）详细地址")
	private String hjMlxz;
	/**
	 * 户籍地址_地区_行政区划代码
	 */
	@ApiModelProperty(value = "户籍地址_地区_行政区划代码")
	private String hjDqm;
	/**
	 * 户籍地址_所属县区_名称
	 */
	@ApiModelProperty(value = "户籍地址_所属县区_名称")
	private String hjSsxq;
	/**
	 * 户籍地派出所_机构_名称
	 */
	@ApiModelProperty(value = "户籍地派出所_机构_名称")
	private String hjPcsjgmc;
	/**
	 * 户籍地派出所_信息代码
	 */
	@ApiModelProperty(value = "户籍地派出所_信息代码")
	private String hjPcsdm;
	/**
	 * 户籍_乡镇_信息代码
	 */
	@ApiModelProperty(value = "户籍_乡镇_信息代码")
	private String hjXzjddm;
	/**
	 * 户籍_乡镇（街道）名称
	 */
	@ApiModelProperty(value = "户籍_乡镇（街道）名称")
	private String hjXzjdmc;
	/**
	 * 户籍_社区/居（村）委会_信息代码
	 */
	@ApiModelProperty(value = "户籍_社区/居（村）委会_信息代码")
	private String hjSqjcwhdm;
	/**
	 * 户籍_社区/居（村）委会名称
	 */
	@ApiModelProperty(value = "户籍_社区/居（村）委会名称")
	private String hjSqjcwhmc;
	/**
	 * 户籍_居民组_信息代码
	 */
	@ApiModelProperty(value = "户籍_居民组_信息代码")
	private String hjJmzdm;
	/**
	 * 户籍_居民组_名称
	 */
	@ApiModelProperty(value = "户籍_居民组_名称")
	private String hjJmzmc;
	/**
	 * 历史_序列号_信息编号
	 */
	@ApiModelProperty(value = "历史_序列号_信息编号")
	private String oldXlh;
	/**
	 * 历史_门牌号_序列号_信息编号
	 */
	@ApiModelProperty(value = "历史_门牌号_序列号_信息编号")
	private String oldMphxlh;
	/**
	 * 历史_楼栋牌号_序列号_信息编号
	 */
	@ApiModelProperty(value = "历史_楼栋牌号_序列号_信息编号")
	private String oldLdpxlh;
	/**
	 * 历史_楼栋单元_序列号_信息编号
	 */
	@ApiModelProperty(value = "历史_楼栋单元_序列号_信息编号")
	private String oldLddyxlh;
	/**
	 * 三_简要情况
	 */
	@ApiModelProperty(value = "三_简要情况")
	private String oldPcsdm;
	/**
	 * 四_简要情况
	 */
	@ApiModelProperty(value = "四_简要情况")
	private String dzCzrk;
	/**
	 * 五_简要情况
	 */
	@ApiModelProperty(value = "五_简要情况")
	private String dzZzrk;
	/**
	 * 六_简要情况
	 */
	@ApiModelProperty(value = "六_简要情况")
	private String dzWlck;
	/**
	 * 七_简要情况
	 */
	@ApiModelProperty(value = "七_简要情况")
	private String dzJwry;
	/**
	 * 八_简要情况
	 */
	@ApiModelProperty(value = "八_简要情况")
	private String oldDzbm;
	/**
	 * 入库时间
	 */
	@ApiModelProperty(value = "入库时间")
	private Long fhRksj;
	/**
	 * jlxmc + mlph + ldph
	 */
	@ApiModelProperty(value = "jlxmc + mlph + ldph")
	private String bName;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String xxzjbh;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String sssfdm;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String ssxqdm;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String wzxxdz;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String jlxxqzdzrcmc;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String dzjd;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String dzwd;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String djhxgdwdm;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String djhxgdwmc;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String dzmc;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String sssfmc;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String ssdsdm;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String ssdsmc;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String ssxqmc;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String xzbmjc;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String sqbmjc;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String jlxbmjc;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String jzwxxdz;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String jzwBmjc;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String dylcxxdz;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String dylcDzmc;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String dtzbx;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String sjgxbj;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String sjgxsj;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String sjlyBujz;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String djhxgrxm;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String djhxgrzh;
}
