/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.fwbzdz.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.fwbzdz.entity.fwBzdzEntity;
import org.springblade.modules.fwbzdz.excel.fwBzdzExcel;
import org.springblade.modules.fwbzdz.mapper.fwBzdzMapper;
import org.springblade.modules.fwbzdz.service.IfwBzdzService;
import org.springblade.modules.fwbzdz.vo.fwBzdzVO;
import org.springblade.modules.system.entity.Bzdz;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 标准地址 服务实现类
 *
 * @author BladeX
 * @since 2023-12-17
 */
@Service
public class fwBzdzServiceImpl extends BaseServiceImpl<fwBzdzMapper, fwBzdzEntity> implements IfwBzdzService {

	@Override
	public IPage<Bzdz> selectfwBzdzPage(IPage<Bzdz> page, Bzdz fwbzdz) {
		return page.setRecords(baseMapper.selectfwBzdzPage(page, fwbzdz));
	}


	@Override
	public List<fwBzdzExcel> exportfwBzdz(Wrapper<fwBzdzEntity> queryWrapper) {
		List<fwBzdzExcel> fwbzdzList = baseMapper.exportfwBzdz(queryWrapper);
		//fwbzdzList.forEach(fwbzdz -> {
		//	fwbzdz.setTypeName(DictCache.getValue(DictEnum.YES_NO, fwBzdz.getType()));
		//});
		return fwbzdzList;
	}

}
