/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.fwbzdz.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.fwbzdz.entity.fwBzdzEntity;
import org.springblade.modules.fwbzdz.vo.fwBzdzVO;
import java.util.Objects;

/**
 * 标准地址 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-12-17
 */
public class fwBzdzWrapper extends BaseEntityWrapper<fwBzdzEntity, fwBzdzVO>  {

	public static fwBzdzWrapper build() {
		return new fwBzdzWrapper();
 	}

	@Override
	public fwBzdzVO entityVO(fwBzdzEntity fwbzdz) {
		fwBzdzVO fwbzdzVO = Objects.requireNonNull(BeanUtil.copy(fwbzdz, fwBzdzVO.class));

		//User createUser = UserCache.getUser(fwbzdz.getCreateUser());
		//User updateUser = UserCache.getUser(fwbzdz.getUpdateUser());
		//fwbzdzVO.setCreateUserName(createUser.getName());
		//fwbzdzVO.setUpdateUserName(updateUser.getName());

		return fwbzdzVO;
	}


}
