/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.fxpc.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 风险排查 实体类
 *
 * @author BladeX
 * @since 2024-05-20
 */
@Data
@TableName("jdrh_fxpc")
@ApiModel(value = "Fxpc对象", description = "风险排查")
@EqualsAndHashCode(callSuper = true)
public class FxpcEntity extends BaseEntity {

	/**
	 * 企业名称
	 */
	@ApiModelProperty(value = "企业名称")
	private String qymc;
	/**
	 * 社会统一信用代码
	 */
	@ApiModelProperty(value = "社会统一信用代码")
	private String shtyxydm;
	/**
	 * 现场负责人
	 */
	@ApiModelProperty(value = "现场负责人")
	private String xcfzr;
	/**
	 * 电话号码
	 */
	@ApiModelProperty(value = "电话号码")
	private String dhhm;
	/**
	 * 企业详细地址
	 */
	@ApiModelProperty(value = "企业详细地址")
	private String qyxxdz;
	/**
	 * 公司经营模式
	 */
	@ApiModelProperty(value = "公司经营模式")
	private String gsjyms;
	/**
	 * 公司日常经营情况
	 */
	@ApiModelProperty(value = "公司日常经营情况")
	private String gsrcjyqk;
	/**
	 * 公司违法违规情况
	 */
	@ApiModelProperty(value = "公司违法违规情况")
	private String gswfwgqk;
	/**
	 * 所属市局编码
	 */
	@ApiModelProperty(value = "所属市局编码")
	private Long sssjBm;
	/**
	 * 所属市局名称
	 */
	@ApiModelProperty(value = "所属市局名称")
	private String sssjMc;
	/**
	 * 所属分局编码
	 */
	@ApiModelProperty(value = "所属分局编码")
	private Long ssfjBm;
	/**
	 * 所属分局名称
	 */
	@ApiModelProperty(value = "所属分局名称")
	private String ssfjMc;
	/**
	 * 所属派出所编码
	 */
	@ApiModelProperty(value = "所属派出所编码")
	private Long sspcsBm;
	/**
	 * 所属派出所名称
	 */
	@ApiModelProperty(value = "所属派出所名称")
	private String sspcsMc;
	/**
	 * 所属社区编码
	 */
	@ApiModelProperty(value = "所属社区编码")
	private Long sssqBm;
	/**
	 * 所属社区名称
	 */
	@ApiModelProperty(value = "所属社区名称")
	private String sssqMc;
	/**
	 * 照片
	 */
	@ApiModelProperty(value = "反馈结果")
	private String fkjg;


	@ApiModelProperty(value = "照片")
	private String zp;
	@TableField(exist = false)
	private String gsjymsname;
	@TableField(exist = false)
	private String gsrcjyqkname;
}
