/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.fxpc.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 风险排查 Excel实体类
 *
 * @author BladeX
 * @since 2024-05-20
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class FxpcExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 场所名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("场所名称")
	private String csmc;
	/**
	 * 社会统一信用代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("社会统一信用代码")
	private String shtyxydm;
	/**
	 * 现场负责人
	 */
	@ColumnWidth(20)
	@ExcelProperty("现场负责人")
	private String xcfzr;
	/**
	 * 电话号码
	 */
	@ColumnWidth(20)
	@ExcelProperty("电话号码")
	private String dhhm;
	/**
	 * 企业详细地址
	 */
	@ColumnWidth(20)
	@ExcelProperty("企业详细地址")
	private String qyxxdz;
	/**
	 * 公司经营模式
	 */
	@ColumnWidth(20)
	@ExcelProperty("公司经营模式")
	private String gsjyms;
	/**
	 * 公司日常经营情况
	 */
	@ColumnWidth(20)
	@ExcelProperty("公司日常经营情况")
	private String gsrcjyqk;
	/**
	 * 公司违法违规情况
	 */
	@ColumnWidth(20)
	@ExcelProperty("公司违法违规情况")
	private String gswfwgqk;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Integer isDeleted;

}
