/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.fxpc.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.modules.fxpc.entity.FxpcEntity;
import org.springblade.modules.fxpc.vo.FxpcVO;
import org.springblade.modules.fxpc.excel.FxpcExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import java.util.List;
import java.util.Map;

/**
 * 风险排查 服务类
 *
 * @author BladeX
 * @since 2024-05-20
 */
public interface IFxpcService extends BaseService<FxpcEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @return
	 */
	IPage<FxpcEntity> selectFxpcPage(IPage<FxpcEntity> page, Map<String, Object> params);


	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<FxpcExcel> exportFxpc(Wrapper<FxpcEntity> queryWrapper);

}
