/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.fxpc.service.impl;

import org.springblade.modules.fxpc.entity.FxpcEntity;
import org.springblade.modules.fxpc.vo.FxpcVO;
import org.springblade.modules.fxpc.excel.FxpcExcel;
import org.springblade.modules.fxpc.mapper.FxpcMapper;
import org.springblade.modules.fxpc.service.IFxpcService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;
import java.util.Map;

/**
 * 风险排查 服务实现类
 *
 * @author BladeX
 * @since 2024-05-20
 */
@Service
public class FxpcServiceImpl extends BaseServiceImpl<FxpcMapper, FxpcEntity> implements IFxpcService {

	@Override
	public IPage<FxpcEntity> selectFxpcPage(IPage<FxpcEntity> page, Map<String, Object> params) {
		return page.setRecords(baseMapper.selectFxpcPage(page, params));
	}


	@Override
	public List<FxpcExcel> exportFxpc(Wrapper<FxpcEntity> queryWrapper) {
		List<FxpcExcel> fxpcList = baseMapper.exportFxpc(queryWrapper);
		//fxpcList.forEach(fxpc -> {
		//	fxpc.setTypeName(DictCache.getValue(DictEnum.YES_NO, Fxpc.getType()));
		//});
		return fxpcList;
	}

}
