/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.fxpc.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.fxpc.entity.FxpcEntity;
import org.springblade.modules.fxpc.vo.FxpcVO;
import java.util.Objects;

/**
 * 风险排查 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-05-20
 */
public class FxpcWrapper extends BaseEntityWrapper<FxpcEntity, FxpcVO>  {

	public static FxpcWrapper build() {
		return new FxpcWrapper();
 	}

	@Override
	public FxpcVO entityVO(FxpcEntity fxpc) {
		FxpcVO fxpcVO = Objects.requireNonNull(BeanUtil.copy(fxpc, FxpcVO.class));

		//User createUser = UserCache.getUser(fxpc.getCreateUser());
		//User updateUser = UserCache.getUser(fxpc.getUpdateUser());
		//fxpcVO.setCreateUserName(createUser.getName());
		//fxpcVO.setUpdateUserName(updateUser.getName());

		return fxpcVO;
	}


}
