/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.gsdrsjb.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * gsdrsjb 实体类
 *
 * @author BladeX
 * @since 2024-01-21
 */
@Data
@TableName("public.gsdrsjb")
@ApiModel(value = "Gsdrsjb对象", description = "gsdrsjb")
public class GsdrsjbEntity implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 社会统一编码
	 */
	@TableId(value = "shty_bm", type = IdType.INPUT)
	@ApiModelProperty(value = "社会统一编码")
	private String shtyBm;
	/**
	 * 增加时间
	 */
	@ApiModelProperty(value = "增加时间")
	private String zjSj;
	/**
	 * 修改时间
	 */
	@ApiModelProperty(value = "修改时间")
	private String xgSj;
	/**
	 * 变更机构
	 */
	@ApiModelProperty(value = "变更机构")
	private String bgjgMc;
	/**
	 * 变更日期
	 */
	@ApiModelProperty(value = "变更日期")
	private String bgRq;
	/**
	 * 变更信息描述
	 */
	@ApiModelProperty(value = "变更信息描述")
	private String bgxxMs;
	/**
	 * 企业地址
	 */
	@ApiModelProperty(value = "企业地址")
	private String qyDzmc;
	/**
	 * 企业名称
	 */
	@ApiModelProperty(value = "企业名称")
	private String qyMc;
	/**
	 * 单位名称
	 */
	@ApiModelProperty(value = "单位名称")
	private String dwmc;
	/**
	 * 单位类型描述
	 */
	@ApiModelProperty(value = "单位类型描述")
	private String dwlxMs;
	/**
	 * 法人联系电话
	 */
	@ApiModelProperty(value = "法人联系电话")
	private String frLxdh;
	/**
	 * 法人姓名
	 */
	@ApiModelProperty(value = "法人姓名")
	private String frXm;
	/**
	 * 法人证件号
	 */
	@ApiModelProperty(value = "法人证件号")
	private String feZjhm;
	/**
	 * 法人证件类型描述
	 */
	@ApiModelProperty(value = "法人证件类型描述")
	private String frzjlxMs;
	/**
	 * 股东
	 */
	@ApiModelProperty(value = "股东")
	private String gdXm;
	/**
	 * 股东信息描述
	 */
	@ApiModelProperty(value = "股东信息描述")
	private String gdxxMs;
	/**
	 * 工商操作标记
	 */
	@ApiModelProperty(value = "工商操作标记")
	private String gsCzbs;
	/**
	 * 工商登记机构
	 */
	@ApiModelProperty(value = "工商登记机构")
	private String gsdjjgMs;
	/**
	 * 工商注册号码
	 */
	@ApiModelProperty(value = "工商注册号码")
	private String gszchm;
	/**
	 * 经营范围
	 */
	@ApiModelProperty(value = "经营范围")
	private String jyfwzy;
	/**
	 * 经营状态
	 */
	@ApiModelProperty(value = "经营状态")
	private String jyZt;
	/**
	 * 开户名称
	 */
	@ApiModelProperty(value = "开户名称")
	private String khmc;
	/**
	 * 银行账号
	 */
	@ApiModelProperty(value = "银行账号")
	private String yhzh;
	/**
	 * 日志编号
	 */
	@ApiModelProperty(value = "日志编号")
	private BigDecimal rzBh;
	/**
	 * 日志类型
	 */
	@ApiModelProperty(value = "日志类型")
	private BigDecimal rzLx;

	/**
	 * 社会统一编码
	 */
	@ApiModelProperty(value = "社会统一编码")
	private String qyhyMs;
	/**
	 * 所属行政区划
	 */
	@ApiModelProperty(value = "所属行政区划")
	private String ssXzqhmc;
	/**
	 * 注册日期
	 */
	@ApiModelProperty(value = "注册日期")
	private String zcrq;
	/**
	 * 组成形式
	 */
	@ApiModelProperty(value = "组成形式")
	private String zcxsMs;
	/**
	 * 注册资金
	 */
	@ApiModelProperty(value = "注册资金")
	private String zczjSz;
	/**
	 * 职工人数
	 */
	@ApiModelProperty(value = "职工人数")
	private String zgRs;
	/**
	 * 资金币种描述
	 */
	@ApiModelProperty(value = "资金币种描述")
	private String zjbzMs;
	/**
	 * 工商上传编码
	 */
	@ApiModelProperty(value = "工商上传编码")
	private String gsscBm;
	/**
	 * 入共享库时间
	 */
	@ApiModelProperty(value = "入共享库时间")
	private Date rgxksj;
	/**
	 * 企业名称分词
	 */
	@ApiModelProperty(value = "企业名称分词")
	private String tsqyMc;

	@ApiModelProperty("创建人")
	private Long createUser;
	@JsonSerialize(
		using = ToStringSerializer.class
	)
	@ApiModelProperty("创建部门")
	private Long createDept;
	@DateTimeFormat(
		pattern = "yyyy-MM-dd HH:mm:ss"
	)
	@JsonFormat(
		pattern = "yyyy-MM-dd HH:mm:ss"
	)
	@ApiModelProperty("创建时间")
	private Date createTime;
	@JsonSerialize(
		using = ToStringSerializer.class
	)
	@ApiModelProperty("更新人")
	private Long updateUser;
	@DateTimeFormat(
		pattern = "yyyy-MM-dd HH:mm:ss"
	)
	@JsonFormat(
		pattern = "yyyy-MM-dd HH:mm:ss"
	)
	@ApiModelProperty("更新时间")
	private Date updateTime;
	@ApiModelProperty("业务状态")
	private Integer status;
	@ApiModelProperty("是否已删除")
	private Integer isDeleted;
}
