/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.gsdrsjb.excel;


import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * gsdrsjb Excel实体类
 *
 * @author BladeX
 * @since 2024-01-21
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class GsdrsjbExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 增加时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("增加时间")
	private String zjSj;
	/**
	 * 修改时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("修改时间")
	private String xgSj;
	/**
	 * 变更机构
	 */
	@ColumnWidth(20)
	@ExcelProperty("变更机构")
	private String bgjgMc;
	/**
	 * 变更日期
	 */
	@ColumnWidth(20)
	@ExcelProperty("变更日期")
	private String bgRq;
	/**
	 * 变更信息描述
	 */
	@ColumnWidth(20)
	@ExcelProperty("变更信息描述")
	private String bgxxMs;
	/**
	 * 企业地址
	 */
	@ColumnWidth(20)
	@ExcelProperty("企业地址")
	private String qyDzmc;
	/**
	 * 企业名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("企业名称")
	private String qyMc;
	/**
	 * 单位名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("单位名称")
	private String dwmc;
	/**
	 * 单位类型描述
	 */
	@ColumnWidth(20)
	@ExcelProperty("单位类型描述")
	private String dwlxMs;
	/**
	 * 法人联系电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("法人联系电话")
	private String frLxdh;
	/**
	 * 法人姓名
	 */
	@ColumnWidth(20)
	@ExcelProperty("法人姓名")
	private String frXm;
	/**
	 * 法人证件号
	 */
	@ColumnWidth(20)
	@ExcelProperty("法人证件号")
	private String feZjhm;
	/**
	 * 法人证件类型描述
	 */
	@ColumnWidth(20)
	@ExcelProperty("法人证件类型描述")
	private String frzjlxMs;
	/**
	 * 股东
	 */
	@ColumnWidth(20)
	@ExcelProperty("股东")
	private String gdXm;
	/**
	 * 股东信息描述
	 */
	@ColumnWidth(20)
	@ExcelProperty("股东信息描述")
	private String gdxxMs;
	/**
	 * 工商操作标记
	 */
	@ColumnWidth(20)
	@ExcelProperty("工商操作标记")
	private String gsCzbs;
	/**
	 * 工商登记机构
	 */
	@ColumnWidth(20)
	@ExcelProperty("工商登记机构")
	private String gsdjjgMs;
	/**
	 * 工商注册号码
	 */
	@ColumnWidth(20)
	@ExcelProperty("工商注册号码")
	private String gszchm;
	/**
	 * 经营范围
	 */
	@ColumnWidth(20)
	@ExcelProperty("经营范围")
	private String jyfwzy;
	/**
	 * 经营状态
	 */
	@ColumnWidth(20)
	@ExcelProperty("经营状态")
	private String jyZt;
	/**
	 * 开户名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("开户名称")
	private String khmc;
	/**
	 * 银行账号
	 */
	@ColumnWidth(20)
	@ExcelProperty("银行账号")
	private String yhzh;
	/**
	 * 日志编号
	 */
	@ColumnWidth(20)
	@ExcelProperty("日志编号")
	private BigDecimal rzBh;
	/**
	 * 日志类型
	 */
	@ColumnWidth(20)
	@ExcelProperty("日志类型")
	private BigDecimal rzLx;
	/**
	 * 社会统一编码
	 */
	@ColumnWidth(20)
	@ExcelProperty("社会统一编码")
	private String shtyBm;
	/**
	 * 社会统一编码
	 */
	@ColumnWidth(20)
	@ExcelProperty("社会统一编码2")
	private String qyhyMs;
	/**
	 * 所属行政区划
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属行政区划")
	private String ssXzqhmc;
	/**
	 * 注册日期
	 */
	@ColumnWidth(20)
	@ExcelProperty("注册日期")
	private String zcrq;
	/**
	 * 组成形式
	 */
	@ColumnWidth(20)
	@ExcelProperty("组成形式")
	private String zcxsMs;
	/**
	 * 注册资金
	 */
	@ColumnWidth(20)
	@ExcelProperty("注册资金")
	private String zczjSz;
	/**
	 * 职工人数
	 */
	@ColumnWidth(20)
	@ExcelProperty("职工人数")
	private String zgRs;
	/**
	 * 资金币种描述
	 */
	@ColumnWidth(20)
	@ExcelProperty("资金币种描述")
	private String zjbzMs;
	/**
	 * 工商上传编码
	 */
	@ColumnWidth(20)
	@ExcelProperty("工商上传编码")
	private String gsscBm;
	/**
	 * 入共享库时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("入共享库时间")
	private Date rgxksj;
	/**
	 * 企业名称分词
	 */
	@ColumnWidth(20)
	@ExcelProperty("企业名称分词")
	private String tsqyMc;

}
