/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.gsdrsjb.mapper;

import org.springblade.core.datascope.annotation.DataAuth;
import org.springblade.core.datascope.enums.DataScopeEnum;
import org.springblade.modules.gsdrsjb.entity.GsdrsjbEntity;
import org.springblade.modules.gsdrsjb.vo.GsdrsjbVO;
import org.springblade.modules.gsdrsjb.excel.GsdrsjbExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import java.util.List;

/**
 * gsdrsjb Mapper 接口
 *
 * @author BladeX
 * @since 2024-01-21
 */
public interface GsdrsjbMapper extends BaseMapper<GsdrsjbEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param gsdrsjb
	 * @return
	 */
	@DataAuth(type = DataScopeEnum.OWN_DEPT_CHILD)
	List<GsdrsjbVO> selectGsdrsjbPage(IPage page, @Param("gsdrsjb") GsdrsjbVO gsdrsjb);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<GsdrsjbExcel> exportGsdrsjb(@Param("ew") Wrapper<GsdrsjbEntity> queryWrapper);

}
