/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.gsdrsjb.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.core.secure.utils.AuthUtil;
import org.springblade.modules.gsdrsjb.entity.GsdrsjbEntity;
import org.springblade.modules.gsdrsjb.vo.GsdrsjbVO;
import org.springblade.modules.gsdrsjb.excel.GsdrsjbExcel;
import org.springblade.modules.gsdrsjb.mapper.GsdrsjbMapper;
import org.springblade.modules.gsdrsjb.service.IGsdrsjbService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * gsdrsjb 服务实现类
 *
 * @author BladeX
 * @since 2024-01-21
 */
@Service
public class GsdrsjbServiceImpl extends ServiceImpl<GsdrsjbMapper, GsdrsjbEntity> implements IGsdrsjbService {

	@Override
	public IPage<GsdrsjbVO> selectGsdrsjbPage(IPage<GsdrsjbVO> page, GsdrsjbVO gsdrsjb) {
		gsdrsjb.setCreateDept(Long.valueOf(AuthUtil.getDeptId()));
		return page.setRecords(baseMapper.selectGsdrsjbPage(page, gsdrsjb));
	}


	@Override
	public List<GsdrsjbExcel> exportGsdrsjb(Wrapper<GsdrsjbEntity> queryWrapper) {
		List<GsdrsjbExcel> gsdrsjbList = baseMapper.exportGsdrsjb(queryWrapper);
		//gsdrsjbList.forEach(gsdrsjb -> {
		//	gsdrsjb.setTypeName(DictCache.getValue(DictEnum.YES_NO, Gsdrsjb.getType()));
		//});
		return gsdrsjbList;
	}

}
