/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.gsdrsjb.vo;

import io.swagger.annotations.ApiModelProperty;
import org.springblade.modules.gsdrsjb.entity.GsdrsjbEntity;
import org.springblade.core.tool.node.INode;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * gsdrsjb 视图实体类
 *
 * @author BladeX
 * @since 2024-01-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class GsdrsjbVO extends GsdrsjbEntity {
	private static final long serialVersionUID = 1L;

	//1、导入，2、下发
//	private String sjly;

	/**
	 * 核查-状态
	 */
	@ApiModelProperty(value = "核查-状态")
	private String inspectionStatus;

	/**
	 * 核查-任务批次
	 */
	@ApiModelProperty(value = "核查-任务批次")
	private String inspectionBatch;

	/**
	 * 是否下发（与批次）
	 */
	private Integer isDistribution;

	/**
	 * APP
	 */
	private String isApp;
}
