/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.gsdrsjb.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.gsdrsjb.entity.GsdrsjbEntity;
import org.springblade.modules.gsdrsjb.vo.GsdrsjbVO;
import java.util.Objects;

/**
 * gsdrsjb 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-01-21
 */
public class GsdrsjbWrapper extends BaseEntityWrapper<GsdrsjbEntity, GsdrsjbVO>  {

	public static GsdrsjbWrapper build() {
		return new GsdrsjbWrapper();
 	}

	@Override
	public GsdrsjbVO entityVO(GsdrsjbEntity gsdrsjb) {
		GsdrsjbVO gsdrsjbVO = Objects.requireNonNull(BeanUtil.copy(gsdrsjb, GsdrsjbVO.class));

		//User createUser = UserCache.getUser(gsdrsjb.getCreateUser());
		//User updateUser = UserCache.getUser(gsdrsjb.getUpdateUser());
		//gsdrsjbVO.setCreateUserName(createUser.getName());
		//gsdrsjbVO.setUpdateUserName(updateUser.getName());

		return gsdrsjbVO;
	}


}
