/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.gzInfo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;
import org.springblade.modules.gzInfo.vo.Base64;

import java.util.List;

/**
 * gz_info 实体类
 *
 * @author BladeX
 * @since 2023-07-07
 */
@Data
@TableName("gz_info")
@ApiModel(value = "Info对象", description = "gz_info")
@EqualsAndHashCode(callSuper = true)
public class InfoEntity extends BaseEntity {


	/**
	 * 工作类型
	 */
	@TableField(exist = false)
	private List<String> gzlxList;
	/**
	 * 工作类别
	 */
	@ApiModelProperty(value = "工作类别")
	private String lb;
	/**
	 * 项目
	 */
	@ApiModelProperty(value = "项目")
	private String xm;
	/**
	 * 评分项
	 */
	@ApiModelProperty(value = "评分项")
	private String pfx;
	/**
	 * 工作内容
	 */
	@ApiModelProperty(value = "工作内容")
	private String gznr;
	/**
	 * 照片
	 */
	@ApiModelProperty(value = "照片")
	private String zp0;
	/**
	 * 照片
	 */
	@ApiModelProperty(value = "照片2")
	private String zp1;
	/**
	 * 照片
	 */
	@ApiModelProperty(value = "照片3")
	private String zp2;
	/**
	 * 照片
	 */
	@ApiModelProperty(value = "照片4")
	private String zp3;
	/**
	 * 用户id
	 */
	@ApiModelProperty(value = "用户id")
	private Long userId;

	@TableField(exist = false)
	private String name;
}
