/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.gzInfo.mapper;

import org.springblade.modules.gzInfo.entity.InfoEntity;
import org.springblade.modules.gzInfo.vo.InfoVO;
import org.springblade.modules.gzInfo.excel.InfoExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * gz_info Mapper 接口
 *
 * @author BladeX
 * @since 2023-07-07
 */
public interface InfoMapper extends BaseMapper<InfoEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @return
	 */
	List<InfoVO> selectInfoPage(IPage page, @Param("params") Map<String, Object> params);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<InfoExcel> exportInfo(@Param("ew") Wrapper<InfoEntity> queryWrapper);

	InfoVO getDetailById(Long id);

    boolean insertGz(InfoEntity info);

	int getDzbhdCs(@Param("params") Map<String, Object> params);
}
