/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.gzInfo.service.impl;

import org.springblade.modules.gzInfo.entity.InfoEntity;
import org.springblade.modules.gzInfo.vo.InfoVO;
import org.springblade.modules.gzInfo.excel.InfoExcel;
import org.springblade.modules.gzInfo.mapper.InfoMapper;
import org.springblade.modules.gzInfo.service.IInfoService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;
import java.util.Map;

/**
 * gz_info 服务实现类
 *
 * @author BladeX
 * @since 2023-07-07
 */
@Service
public class InfoServiceImpl extends BaseServiceImpl<InfoMapper, InfoEntity> implements IInfoService {

	@Override
	public IPage<InfoVO> selectInfoPage(IPage<InfoVO> page, Map<String, Object> params) {
		return page.setRecords(baseMapper.selectInfoPage(page, params));
	}


	@Override
	public List<InfoExcel> exportInfo(Wrapper<InfoEntity> queryWrapper) {
		List<InfoExcel> infoList = baseMapper.exportInfo(queryWrapper);
		//infoList.forEach(info -> {
		//	info.setTypeName(DictCache.getValue(DictEnum.YES_NO, Info.getType()));
		//});
		return infoList;
	}

	@Override
	public InfoVO getDetailById(Long id) {
		return baseMapper.getDetailById(id);
	}

	@Override
	public boolean insertGz(InfoEntity info) {
		return baseMapper.insertGz(info);
	}

	@Override
	public int getDzbhdCs(Map<String, Object> params) {
		return baseMapper.getDzbhdCs(params);
	}

}
