/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.hcrwb.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 核查任务表 实体类
 *
 * @author BladeX
 * @since 2024-01-29
 */
@Data
@TableName("public.hcrwb")
@ApiModel(value = "Hcrwb对象", description = "核查任务表")
@EqualsAndHashCode(callSuper = true)
public class HcrwbEntity extends BaseEntity {

	/**
	 * 关联主键
	 */
	@ApiModelProperty(value = "关联主键")
	private String sid;
	/**
	 * 核查-执行单位
	 */
	@ApiModelProperty(value = "核查-执行单位")
	private Long executionUnit;

	/**
	 * 核查-任务批次
	 */
	@ApiModelProperty(value = "核查-任务批次")
	private String inspectionBatch;
	/**
	 * 核查-截止时间
	 */
	@ApiModelProperty(value = "核查-截止时间")
	private Date inspectionDeadline;
	/**
	 * 核查任务-内容描述
	 */
	@ApiModelProperty(value = "核查任务-内容描述")
	private String inspectionDescription;
	/**
	 * 核查-检查人
	 */
	@ApiModelProperty(value = "核查-检查人")
	private Long inspector;
	/**
	 * 核查-检查时间
	 */
	@ApiModelProperty(value = "核查-检查时间")
	private Date inspectionTime;
	/**
	 * 核查-方式
	 */
	@ApiModelProperty(value = "核查-方式")
	private String inspectionMethod;
	/**
	 * 核查-状态
	 */
	@ApiModelProperty(value = "核查-状态")
	private String inspectionStatus;
	/**
	 * 核查-结果
	 */
	@ApiModelProperty(value = "核查-结果")
	private String inspectionResult;
	/**
	 * 核查-企业状态
	 */
	@ApiModelProperty(value = "核查-企业状态")
	private String companyStatus;
	/**
	 * 核查-企业情况描述
	 */
	@ApiModelProperty(value = "核查-企业情况描述")
	private String companyDescription;
	/**
	 * 核查-企业照片
	 */
	@ApiModelProperty(value = "核查-企业照片")
	private String companyPhoto;
	/**
	 * 核查-备注
	 */
	@ApiModelProperty(value = "核查-备注")
	private String remark;

}
