/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.hcrwb.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 核查任务表 Excel实体类
 *
 * @author BladeX
 * @since 2024-01-29
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class HcrwbExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 关联主键
	 */
	@ColumnWidth(20)
	@ExcelProperty("关联主键")
	private String sid;
	/**
	 * 核查-执行单位
	 */
	@ColumnWidth(20)
	@ExcelProperty("核查-执行单位")
	private Long executionUnit;
	/**
	 * 核查-截止时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("核查-截止时间")
	private Date inspectionDeadline;
	/**
	 * 核查任务-内容描述
	 */
	@ColumnWidth(20)
	@ExcelProperty("核查任务-内容描述")
	private String inspectionDescription;
	/**
	 * 核查-检查人
	 */
	@ColumnWidth(20)
	@ExcelProperty("核查-检查人")
	private Long inspector;
	/**
	 * 核查-检查时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("核查-检查时间")
	private Date inspectionTime;
	/**
	 * 核查-方式
	 */
	@ColumnWidth(20)
	@ExcelProperty("核查-方式")
	private String inspectionMethod;
	/**
	 * 核查-状态
	 */
	@ColumnWidth(20)
	@ExcelProperty("核查-状态")
	private String inspectionStatus;
	/**
	 * 核查-结果
	 */
	@ColumnWidth(20)
	@ExcelProperty("核查-结果")
	private String inspectionResult;
	/**
	 * 核查-企业状态
	 */
	@ColumnWidth(20)
	@ExcelProperty("核查-企业状态")
	private String companyStatus;
	/**
	 * 核查-企业情况描述
	 */
	@ColumnWidth(20)
	@ExcelProperty("核查-企业情况描述")
	private String companyDescription;
	/**
	 * 核查-企业照片
	 */
	@ColumnWidth(20)
	@ExcelProperty("核查-企业照片")
	private String companyPhoto;
	/**
	 * 核查-备注
	 */
	@ColumnWidth(20)
	@ExcelProperty("核查-备注")
	private String remark;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Integer isDeleted;

}
