/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.hcrwb.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import liquibase.pro.packaged.R;
import org.springblade.core.tool.constant.BladeConstant;
import org.springblade.modules.hcrwb.entity.HcrwbEntity;
import org.springblade.modules.hcrwb.vo.HcrwbVO;
import org.springblade.modules.hcrwb.excel.HcrwbExcel;
import org.springblade.modules.hcrwb.mapper.HcrwbMapper;
import org.springblade.modules.hcrwb.service.IHcrwbService;
import org.springblade.modules.system.entity.Dept;
import org.springblade.modules.system.service.IDeptService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;

import java.util.ArrayList;
import java.util.List;

/**
 * 核查任务表 服务实现类
 *
 * @author BladeX
 * @since 2024-01-29
 */
@Service
public class HcrwbServiceImpl extends BaseServiceImpl<HcrwbMapper, HcrwbEntity> implements IHcrwbService {

	@Autowired
	private IDeptService deptService;

	@Override
	public IPage<HcrwbVO> selectHcrwbPage(IPage<HcrwbVO> page, HcrwbVO hcrwb) {
		return page.setRecords(baseMapper.selectHcrwbPage(page, hcrwb));
	}


	@Override
	public List<HcrwbExcel> exportHcrwb(Wrapper<HcrwbEntity> queryWrapper) {
		List<HcrwbExcel> hcrwbList = baseMapper.exportHcrwb(queryWrapper);
		//hcrwbList.forEach(hcrwb -> {
		//	hcrwb.setTypeName(DictCache.getValue(DictEnum.YES_NO, Hcrwb.getType()));
		//});
		return hcrwbList;
	}

}
