/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.infoSb.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 场所上报 实体类
 *
 * @author BladeX
 * @since 2024-03-07
 */
@Data
@TableName("cs_info_sb")
@ApiModel(value = "InfoSb对象", description = "场所上报")
@EqualsAndHashCode(callSuper = true)
public class InfoSbEntity extends BaseEntity {

	/**
	 * 场所id
	 */
	@ApiModelProperty(value = "场所id")
	private Long csId;
	/**
	 * 上报单位
	 */
	@ApiModelProperty(value = "上报单位")
	private Long sbdw;
	/**
	 * 上报派出所
	 */
	@ApiModelProperty(value = "上报派出所")
	private Long sbpcs;
	/**
	 * 上报状态 0-未下发 1-已下发
	 */
	@ApiModelProperty(value = "上报状态 0-未下发 1-已下发")
	private String sbzt;

}
