/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.infoSb.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 场所上报 Excel实体类
 *
 * @author BladeX
 * @since 2024-03-07
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class InfoSbExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 场所id
	 */
	@ColumnWidth(20)
	@ExcelProperty("场所id")
	private String csId;
	/**
	 * 上报单位
	 */
	@ColumnWidth(20)
	@ExcelProperty("上报单位")
	private Long sbdw;
	/**
	 * 上报状态 0-未下发 1-已下发
	 */
	@ColumnWidth(20)
	@ExcelProperty("上报状态 0-未下发 1-已下发")
	private String sbzt;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Integer isDeleted;

}
