/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.infoSb.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.modules.infoSb.entity.InfoSbEntity;
import org.springblade.modules.infoSb.vo.InfoSbVO;
import org.springblade.modules.infoSb.excel.InfoSbExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import java.util.List;

/**
 * 场所上报 服务类
 *
 * @author BladeX
 * @since 2024-03-07
 */
public interface IInfoSbService extends BaseService<InfoSbEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param infoSb
	 * @return
	 */
	IPage<InfoSbVO> selectInfoSbPage(IPage<InfoSbVO> page, InfoSbVO infoSb);


	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<InfoSbExcel> exportInfoSb(Wrapper<InfoSbEntity> queryWrapper);

    boolean updateByCsId(InfoSbEntity info);
}
