/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.infoSb.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.infoSb.entity.InfoSbEntity;
import org.springblade.modules.infoSb.vo.InfoSbVO;
import java.util.Objects;

/**
 * 场所上报 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-03-07
 */
public class InfoSbWrapper extends BaseEntityWrapper<InfoSbEntity, InfoSbVO>  {

	public static InfoSbWrapper build() {
		return new InfoSbWrapper();
 	}

	@Override
	public InfoSbVO entityVO(InfoSbEntity infoSb) {
		InfoSbVO infoSbVO = Objects.requireNonNull(BeanUtil.copy(infoSb, InfoSbVO.class));

		//User createUser = UserCache.getUser(infoSb.getCreateUser());
		//User updateUser = UserCache.getUser(infoSb.getUpdateUser());
		//infoSbVO.setCreateUserName(createUser.getName());
		//infoSbVO.setUpdateUserName(updateUser.getName());

		return infoSbVO;
	}


}
