package org.springblade.modules.jgInfo.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/**
 * 警格 Excel实体类
 *
 * @author BladeX
 * @since 2023-11-06
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class JgInfoExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 警格名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("警格名称")
	private String jgMc;
	/**
	 * 社区id
	 */
	@ColumnWidth(20)
	@ExcelProperty("社区id")
	private Long sqId;
	/**
	 * 社区名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("社区名称")
	private String sqMc;
	/**
	 * 派出所id
	 */
	@ColumnWidth(20)
	@ExcelProperty("派出所id")
	private Long pcsId;
	/**
	 * 派出所名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("派出所名称")
	private String pcsMc;
	/**
	 * 分局id
	 */
	@ColumnWidth(20)
	@ExcelProperty("分局id")
	private Long fjId;
	/**
	 * 分局名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("分局名称")
	private String fjMc;
	/**
	 * 警员id
	 */
	@ColumnWidth(20)
	@ExcelProperty("警员id")
	private Long jyId;
	/**
	 * 警员名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("警员名称")
	private String jyMc;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Integer isDeleted;

}
