/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.jgInfo.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.jgInfo.entity.JgInfoEntity;
import org.springblade.modules.jgInfo.vo.JgInfoVO;

import java.util.Objects;

/**
 * 警格 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-11-06
 */
public class JgInfoWrapper extends BaseEntityWrapper<JgInfoEntity, JgInfoVO>  {

	public static JgInfoWrapper build() {
		return new JgInfoWrapper();
 	}

	@Override
	public JgInfoVO entityVO(JgInfoEntity jgInfo) {
		JgInfoVO jgInfoVO = Objects.requireNonNull(BeanUtil.copy(jgInfo, JgInfoVO.class));

		//User createUser = UserCache.getUser(jgInfo.getCreateUser());
		//User updateUser = UserCache.getUser(jgInfo.getUpdateUser());
		//jgInfoVO.setCreateUserName(createUser.getName());
		//jgInfoVO.setUpdateUserName(updateUser.getName());

		return jgInfoVO;
	}


}
