/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.jjdb.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import java.util.Date;

/**
 * 接警处置 实体类
 *
 * @author ldx
 * @since 2023-09-08
 */
@Data
@TableName("public.jjdb_xw")
@ApiModel(value = "Jjdb对象", description = "接警处置")
@EqualsAndHashCode(callSuper = true)
public class JjdbEntity extends BaseEntity {


	private String sjdbh;
	/**
	 * 报警时间
	 */
	@ApiModelProperty(value = "报警时间")
	private String bjsj;

	/**
	 * 报警人_姓名
	 */
	@ApiModelProperty(value = "报警人_姓名")
	private String bjrxm;

	/**
	 * 报警人_联系电话
	 */
	@ApiModelProperty(value = "报警人_联系电话")
	private String lxdh;

	/**
	 * 案发地点_简要情况
	 */
	@ApiModelProperty(value = "案发地点_简要情况")
	private String afdd;

	/**
	 * 报警内容_简要情况
	 */
	@ApiModelProperty(value = "报警内容_简要情况")
	private String bjnr;

	/**
	 * 报警_类别_信息代码
	 */
	@ApiModelProperty(value = "报警_类别_信息代码")
	private String bjlbdm;
	/**
	 * 反馈时间
	 */
	@ApiModelProperty(value = "反馈时间")
	private String fksj;
	/**
	 * 反馈单位代码
	 */
	@ApiModelProperty(value = "反馈单位代码")
	private String fkdwdm;
	/**
	 * 出警人姓名
	 */
	@ApiModelProperty(value = "出警人姓名")
	private String cjrxm;
	/**
	 * 出警情况
	 */
	@ApiModelProperty(value = "出警情况")
	private String cjqk;
	/**
	 * 处理结果代码
	 */
	@ApiModelProperty(value = "处理结果代码")
	private String cljgdm;
	/**
	 * 接警数据_更新时间
	 */
	@ApiModelProperty(value = "接警数据_更新时间 ")
	private Date jjSjgxsj;
	/**
	 * 反馈数据_更新时间
	 */
	@ApiModelProperty(value = "反馈数据_更新时间")
	private Date fkSjgxsj;

	/**
	 * 是否处置
	 */
	@ApiModelProperty(value = "是否处置")
	private String sfcz;
	/**
	 * 是否确定为矛盾纠纷
	 */
	@ApiModelProperty(value = "是否确定为矛盾纠纷")
	private String sfmdjf;
	/**
	 * 转至社区
	 */
	@ApiModelProperty(value = "转至社区")
	private String zzsq;
	/**
	 * 判定理由
	 */
	@ApiModelProperty(value = "判定理由")
	private String pdly;

	/**
	 * 是否已调解
	 */
	@TableField(exist = false)
	@ApiModelProperty(value = "是否已调解")
	private String sfytj;
	/**
	 * 甲方人员
	 */
	@TableField(exist = false)
	private String jfry;
	/**
	 * 乙方人员
	 */
	@TableField(exist = false)
	/**
	 * 甲方人员联系电话
	 */
	private String jfrylxdh;
	@TableField(exist = false)
	/**
	 * 乙方人员
	 */
	private String yfry;
	/**
	 * 乙方人员联系电话
	 */
	@TableField(exist = false)
	private String yfrylxdh;
	@TableField(exist = false)
	private String jfrysfzh;
	@TableField(exist = false)
	private String yfrysfzh;
	@TableField(exist = false)
	private String jfmc;
	@TableField(exist = false)
	private String jflx;
	@TableField(exist = false)
	private String bz;
	@TableField(exist = false)
	private String jfly;
}
