/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.jjdb.excel;


import lombok.Data;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 接警处置 Excel实体类
 *
 * @author ldx
 * @since 2023-09-08
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class JjdbExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 唯一标识
	 */
	@ColumnWidth(20)
	@ExcelProperty("唯一标识")
	private String mdId;
	/**
	 * 行政区划代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("行政区划代码")
	private String xzqh;
	/**
	 * 接警单_信息编号
	 */
	@ColumnWidth(20)
	@ExcelProperty("接警单_信息编号")
	private String jjdbh;
	/**
	 * 事件单_信息编号
	 */
	@ColumnWidth(20)
	@ExcelProperty("事件单_信息编号")
	private String sjdbh;
	/**
	 * 报警方式代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("报警方式代码")
	private String bjfsdm;
	/**
	 * 接警类型代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("接警类型代码")
	private String jjlxdm;
	/**
	 * 处理类型代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("处理类型代码")
	private String cllxdm;
	/**
	 * 接警单位_公安机关机构代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("接警单位_公安机关机构代码")
	private String jjdwdm;
	/**
	 * 接警人_信息编号
	 */
	@ColumnWidth(20)
	@ExcelProperty("接警人_信息编号")
	private String jjygh;
	/**
	 * 接警人_姓名
	 */
	@ColumnWidth(20)
	@ExcelProperty("接警人_姓名")
	private String jjyxm;
	/**
	 * 接警台_信息编号
	 */
	@ColumnWidth(20)
	@ExcelProperty("接警台_信息编号")
	private String jjtbh;
	/**
	 * 接警台_IP地址
	 */
	@ColumnWidth(20)
	@ExcelProperty("接警台_IP地址")
	private String jjtip;
	/**
	 * 呼入_日期时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("呼入_日期时间")
	private String hrsj;
	/**
	 * 报警时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("报警时间")
	private String bjsj;
	/**
	 * 话终_日期时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("话终_日期时间")
	private String hzsj;
	/**
	 * 报警_联系电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("报警_联系电话")
	private String bjdh;
	/**
	 * 用户_姓名
	 */
	@ColumnWidth(20)
	@ExcelProperty("用户_姓名")
	private String yhxm;
	/**
	 * 用户_地址名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("用户_地址名称")
	private String yhdz;
	/**
	 * 接警_录音_信息编号
	 */
	@ColumnWidth(20)
	@ExcelProperty("接警_录音_信息编号")
	private String jjlyh;
	/**
	 * 报警人_姓名
	 */
	@ColumnWidth(20)
	@ExcelProperty("报警人_姓名")
	private String bjrxm;
	/**
	 * 报警人_性别_信息代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("报警人_性别_信息代码")
	private String bjrxb;
	/**
	 * 报警人_联系电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("报警人_联系电话")
	private String lxdh;
	/**
	 * 报警人_联系地址_简要情况
	 */
	@ColumnWidth(20)
	@ExcelProperty("报警人_联系地址_简要情况")
	private String lxdz;
	/**
	 * 案发地点_简要情况
	 */
	@ColumnWidth(20)
	@ExcelProperty("案发地点_简要情况")
	private String afdd;
	/**
	 * 水源信息_简要情况
	 */
	@ColumnWidth(20)
	@ExcelProperty("水源信息_简要情况")
	private String syxx;
	/**
	 * 周边信息_简要情况
	 */
	@ColumnWidth(20)
	@ExcelProperty("周边信息_简要情况")
	private String zbxx;
	/**
	 * 报警内容_简要情况
	 */
	@ColumnWidth(20)
	@ExcelProperty("报警内容_简要情况")
	private String bjnr;
	/**
	 * 管辖单位_公安机关机构代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("管辖单位_公安机关机构代码")
	private String gxdwdm;
	/**
	 * 报警_类别_信息代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("报警_类别_信息代码")
	private String bjlbdm;
	/**
	 * 报警_类型_信息代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("报警_类型_信息代码")
	private String bjlxdm;
	/**
	 * 报警_细类_信息代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("报警_细类_信息代码")
	private String bjxldm;
	/**
	 * 报警车_机动车号牌种类代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("报警车_机动车号牌种类代码")
	private String bjchpzldm;
	/**
	 * 报警车_机动车号牌号码
	 */
	@ColumnWidth(20)
	@ExcelProperty("报警车_机动车号牌号码")
	private String bjcph;
	/**
	 * 被困_人数
	 */
	@ColumnWidth(20)
	@ExcelProperty("被困_人数")
	private String bkrs;
	/**
	 * 受伤_人数
	 */
	@ColumnWidth(20)
	@ExcelProperty("受伤_人数")
	private String ssrs;
	/**
	 * 死亡_人数
	 */
	@ColumnWidth(20)
	@ExcelProperty("死亡_人数")
	private String swrs;
	/**
	 * 起火_建筑类别代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("起火_建筑类别代码")
	private String qhjzlbdm;
	/**
	 * 起火部位_类型_信息代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("起火部位_类型_信息代码")
	private String qhbwlxdm;
	/**
	 * 起火_建筑结构代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("起火_建筑结构代码")
	private String qhjzjgdm;
	/**
	 * 起火_楼层号
	 */
	@ColumnWidth(20)
	@ExcelProperty("起火_楼层号")
	private String qhlc;
	/**
	 * 燃烧物质_信息代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("燃烧物质_信息代码")
	private String rswzdm;
	/**
	 * 是否有危险品_简要情况
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否有危险品_简要情况")
	private String yfwxp;
	/**
	 * 警情_级别_信息代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("警情_级别_信息代码")
	private String jqjbdm;
	/**
	 * 灾害等级_信息代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("灾害等级_信息代码")
	private String zhdjdm;
	/**
	 * 地球经度
	 */
	@ColumnWidth(20)
	@ExcelProperty("地球经度")
	private String xzb;
	/**
	 * 地球纬度
	 */
	@ColumnWidth(20)
	@ExcelProperty("地球纬度")
	private String yzb;
	/**
	 * 数据_更新时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("数据_更新时间")
	private String sjgxsj;
	/**
	 * 市局_行政区划代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("市局_行政区划代码")
	private String sjxzqh;
	/**
	 * 一_简要情况
	 */
	@ColumnWidth(20)
	@ExcelProperty("一_简要情况")
	private String bdlajbz;
	/**
	 * 二_简要情况
	 */
	@ColumnWidth(20)
	@ExcelProperty("二_简要情况")
	private String rksj;
	/**
	 * 三_简要情况
	 */
	@ColumnWidth(20)
	@ExcelProperty("三_简要情况")
	private String bjzldm;
	/**
	 * 省厅_规范验证_信息代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("省厅_规范验证_信息代码")
	private String stgfyz;
	/**
	 * 四_简要情况
	 */
	@ColumnWidth(20)
	@ExcelProperty("四_简要情况")
	private String jbbh;
	/**
	 * 入库时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("入库时间")
	private String fhRksj;

}
