/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.jjdb.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.jjdb.entity.JjdbEntity;
import org.springblade.modules.jjdb.vo.JjdbVO;
import org.springblade.modules.system.vo.SqVO;

import java.util.List;
import java.util.Map;

/**
 * 接警处置 Mapper 接口
 *
 * @author ldx
 * @since 2023-09-08
 */
public interface JjdbMapper extends BaseMapper<JjdbEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @return
	 */
	List<JjdbVO> selectJjdbPage(IPage page, @Param("params") Map<String, Object> params);


	/**
	 * 详情
	 *
	 * @return
	 */
	JjdbEntity getDetail(String sjdbh);


	void updateBySjdbh(JjdbEntity jjdbEntity);

	List<SqVO> getSq(@Param("params") Map<String, Object> params);
}
