/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.jjdb.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.jjdb.entity.JjdbEntity;
import org.springblade.modules.jjdb.vo.JjdbVO;
import java.util.Objects;

/**
 * 接警处置 包装类,返回视图层所需的字段
 *
 * @author ldx
 * @since 2023-09-08
 */
public class JjdbWrapper extends BaseEntityWrapper<JjdbEntity, JjdbVO>  {

	public static JjdbWrapper build() {
		return new JjdbWrapper();
 	}

	@Override
	public JjdbVO entityVO(JjdbEntity jjdb) {
		JjdbVO jjdbVO = Objects.requireNonNull(BeanUtil.copy(jjdb, JjdbVO.class));
		if("92".equals(jjdbVO.getBjlbdm())){
			jjdbVO.setBjlbdm("纠纷");
		}
		//User createUser = UserCache.getUser(jjdb.getCreateUser());
		//User updateUser = UserCache.getUser(jjdb.getUpdateUser());
		//jjdbVO.setCreateUserName(createUser.getName());
		//jjdbVO.setUpdateUserName(updateUser.getName());

		return jjdbVO;
	}


}
