/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.jyxpgxb.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 警员下派关系表 实体类
 *
 * @author BladeX
 * @since 2023-07-07
 */
@Data
@TableName("jlrh_jyxpgxb")
@ApiModel(value = "Jyxpgxb对象", description = "警员下派关系表")
@EqualsAndHashCode(callSuper = true)
public class JyxpgxbEntity extends BaseEntity {

	/**
	 * 下派民警id
	 */
	@ApiModelProperty(value = "下派民警id")
	private Long xpmjid;
	/**
	 * 结对民警id
	 */
	@ApiModelProperty(value = "结对民警id")
	private Long jdmjid;
	/**
	 * 下派警务室id
	 */
	@ApiModelProperty(value = "下派警务室id")
	private Long xpjwsid;
	/**
	 * 下派派出所id
	 */
	@ApiModelProperty(value = "下派派出所id")
	private Long xppcsid;
	/**
	 * 下派截止日期
	 */
	@ApiModelProperty(value = "下派截止日期")
	private Date xpqx;

}
