/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.jyxpgxb.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 警员下派关系表 Excel实体类
 *
 * @author BladeX
 * @since 2023-07-07
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class JyxpgxbExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 下派民警id
	 */
	@ColumnWidth(20)
	@ExcelProperty("下派民警id")
	private Long xpmjid;
	/**
	 * 结对民警id
	 */
	@ColumnWidth(20)
	@ExcelProperty("结对民警id")
	private Long jdmjid;
	/**
	 * 下派派出所id
	 */
	@ColumnWidth(20)
	@ExcelProperty("下派派出所id")
	private Long xppcsid;
	/**
	 * 是否已删除
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否已删除")
	private Integer isDeleted;
	/**
	 * 下派截止日期
	 */
	@ColumnWidth(20)
	@ExcelProperty("下派截止日期")
	private Date xpqx;

}
