/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.jyxpgxb.service.impl;

import org.springblade.modules.jyxpgxb.entity.JyxpgxbEntity;
import org.springblade.modules.jyxpgxb.vo.JyxpgxbVO;
import org.springblade.modules.jyxpgxb.excel.JyxpgxbExcel;
import org.springblade.modules.jyxpgxb.mapper.JyxpgxbMapper;
import org.springblade.modules.jyxpgxb.service.IJyxpgxbService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 警员下派关系表 服务实现类
 *
 * @author BladeX
 * @since 2023-07-07
 */
@Service
public class JyxpgxbServiceImpl extends BaseServiceImpl<JyxpgxbMapper, JyxpgxbEntity> implements IJyxpgxbService {

	@Override
	public IPage<JyxpgxbVO> selectJyxpgxbPage(IPage<JyxpgxbVO> page, JyxpgxbVO Jyxpgxb) {
		return page.setRecords(baseMapper.selectJyxpgxbPage(page, Jyxpgxb));
	}


	@Override
	public List<JyxpgxbExcel> exportJyxpgxb(Wrapper<JyxpgxbEntity> queryWrapper) {
		List<JyxpgxbExcel> JyxpgxbList = baseMapper.exportJyxpgxb(queryWrapper);
		//JyxpgxbList.forEach(Jyxpgxb -> {
		//	Jyxpgxb.setTypeName(DictCache.getValue(DictEnum.YES_NO, Jyxpgxb.getType()));
		//});
		return JyxpgxbList;
	}

}
