/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.khsdPcs.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 考核设定--派出所 Excel实体类
 *
 * @author BladeX
 * @since 2023-07-10
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class KhsdPcsExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 派出所名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("派出所名称")
	private String pcsmc;
	/**
	 * 派出所代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("派出所代码")
	private Long pcsdm;
	/**
	 * 考核次数
	 */
	@ColumnWidth(20)
	@ExcelProperty("考核次数")
	private Short khcs;
	/**
	 * 考核月份
	 */
	@ColumnWidth(20)
	@ExcelProperty("考核月份")
	private String khyf;
	/**
	 * 是否已删除
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否已删除")
	private Integer isDeleted;
	/**
	 * 考核项id
	 */
	@ColumnWidth(20)
	@ExcelProperty("考核项id")
	private Long khxid;

}
