/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.khsdPcs.mapper;

import org.springblade.modules.khsdPcs.entity.KhsdPcsEntity;
import org.springblade.modules.khsdPcs.vo.KhsdPcsVO;
import org.springblade.modules.khsdPcs.excel.KhsdPcsExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import java.util.List;
import java.util.Map;

/**
 * 考核设定--派出所 Mapper 接口
 *
 * @author BladeX
 * @since 2023-07-10
 */
public interface KhsdPcsMapper extends BaseMapper<KhsdPcsEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param khsdPcs
	 * @return
	 */
	List<KhsdPcsVO> selectKhsdPcsPage(IPage page, KhsdPcsVO khsdPcs);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<KhsdPcsExcel> exportKhsdPcs(@Param("ew") Wrapper<KhsdPcsEntity> queryWrapper);

    Integer getKhcs(@Param("params") Map<String, Object> params);

	KhsdPcsEntity getDetail(@Param("params") Map<String, Object> params);
}
