/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.khsdPcs.service.impl;

import org.springblade.modules.khsdPcs.entity.KhsdPcsEntity;
import org.springblade.modules.khsdPcs.vo.KhsdPcsVO;
import org.springblade.modules.khsdPcs.excel.KhsdPcsExcel;
import org.springblade.modules.khsdPcs.mapper.KhsdPcsMapper;
import org.springblade.modules.khsdPcs.service.IKhsdPcsService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;
import java.util.Map;

/**
 * 考核设定--派出所 服务实现类
 *
 * @author BladeX
 * @since 2023-07-10
 */
@Service
public class KhsdPcsServiceImpl extends BaseServiceImpl<KhsdPcsMapper, KhsdPcsEntity> implements IKhsdPcsService {

	@Override
	public IPage<KhsdPcsVO> selectKhsdPcsPage(IPage<KhsdPcsVO> page, KhsdPcsVO khsdPcs) {
		return page.setRecords(baseMapper.selectKhsdPcsPage(page, khsdPcs));
	}


	@Override
	public List<KhsdPcsExcel> exportKhsdPcs(Wrapper<KhsdPcsEntity> queryWrapper) {
		List<KhsdPcsExcel> khsdPcsList = baseMapper.exportKhsdPcs(queryWrapper);
		//khsdPcsList.forEach(khsdPcs -> {
		//	khsdPcs.setTypeName(DictCache.getValue(DictEnum.YES_NO, KhsdPcs.getType()));
		//});
		return khsdPcsList;
	}

	@Override
	public Integer getKhcs(Map<String, Object> params) {
		return baseMapper.getKhcs(params);
	}

	@Override
	public KhsdPcsEntity getDetail(Map<String, Object> params) {
		return baseMapper.getDetail(params);
	}

}
