/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.khsdtyb.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 考核设定-底表 实体类
 *
 * @author BladeX
 * @since 2023-07-10
 */
@Data
@TableName("jlrh_khsdtyb")
@ApiModel(value = "Khsdtyb对象", description = "考核设定-底表")
@EqualsAndHashCode(callSuper = true)
public class KhsdtybEntity extends BaseEntity {

	/**
	 * 工作类型大类
	 */
	@ApiModelProperty(value = "工作类型大类")
	private String gzlxdl;
	/**
	 * 工作类型细类
	 */
	@ApiModelProperty(value = "工作类型细类")
	private String gzlxxl;
	/**
	 * 评分项
	 */
	@ApiModelProperty(value = "评分项")
	private String pfx;
	/**
	 * 考核规则
	 */
	@ApiModelProperty(value = "考核规则")
	private String khgz;
	/**
	 * 考核分数
	 */
	@TableField(exist = false)
	@ApiModelProperty(value = "考核分数")
	private String khfs;
	/**
	 * 考核分数
	 */
	@ApiModelProperty(value = "分值")
	private String fz;
	/**
	 * 考核次数
	 */
	@TableField(exist = false)
	@ApiModelProperty(value = "考核次数")
	private String  khtimes;
	/**
	 * 考核月份
	 */
	@TableField(exist = false)
	@ApiModelProperty(value = "考核月份")
	private String khmonth;

	@TableField(exist = false)
	@ApiModelProperty(value = "手机号码")
	private String sjhm;

}
