/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.khsdtyb.service.impl;

import org.springblade.modules.khsdtyb.entity.KhsdtybEntity;
import org.springblade.modules.khsdtyb.vo.KhsdtybVO;
import org.springblade.modules.khsdtyb.excel.KhsdtybExcel;
import org.springblade.modules.khsdtyb.mapper.KhsdtybMapper;
import org.springblade.modules.khsdtyb.service.IKhsdtybService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 考核设定-底表 服务实现类
 *
 * @author BladeX
 * @since 2023-07-10
 */
@Service
public class KhsdtybServiceImpl extends BaseServiceImpl<KhsdtybMapper, KhsdtybEntity> implements IKhsdtybService {

	@Override
	public IPage<KhsdtybVO> selectKhsdtybPage(IPage<KhsdtybVO> page, KhsdtybVO khsdtyb) {
		return page.setRecords(baseMapper.selectKhsdtybPage(page, khsdtyb));
	}


	@Override
	public List<KhsdtybExcel> exportKhsdtyb(Wrapper<KhsdtybEntity> queryWrapper) {
		List<KhsdtybExcel> khsdtybList = baseMapper.exportKhsdtyb(queryWrapper);
		//khsdtybList.forEach(khsdtyb -> {
		//	khsdtyb.setTypeName(DictCache.getValue(DictEnum.YES_NO, Khsdtyb.getType()));
		//});
		return khsdtybList;
	}

}
