/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.khsdtyb.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.khsdtyb.entity.KhsdtybEntity;
import org.springblade.modules.khsdtyb.vo.KhsdtybVO;
import java.util.Objects;

/**
 * 考核设定-底表 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-07-10
 */
public class KhsdtybWrapper extends BaseEntityWrapper<KhsdtybEntity, KhsdtybVO>  {

	public static KhsdtybWrapper build() {
		return new KhsdtybWrapper();
 	}

	@Override
	public KhsdtybVO entityVO(KhsdtybEntity khsdtyb) {
		KhsdtybVO khsdtybVO = Objects.requireNonNull(BeanUtil.copy(khsdtyb, KhsdtybVO.class));

		//User createUser = UserCache.getUser(khsdtyb.getCreateUser());
		//User updateUser = UserCache.getUser(khsdtyb.getUpdateUser());
		//khsdtybVO.setCreateUserName(createUser.getName());
		//khsdtybVO.setUpdateUserName(updateUser.getName());

		return khsdtybVO;
	}


}
