/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.ldInfo.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.ldInfo.entity.LdInfoEntity;
import org.springblade.modules.ldInfo.excel.LdInfoExcel;
import org.springblade.modules.ldInfo.vo.LdInfoVO;

import java.util.List;
import java.util.Map;

/**
 * 楼栋 服务类
 *
 * @author BladeX
 * @since 2023-07-07
 */
public interface ILdInfoService extends BaseService<LdInfoEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param LdInfo
	 * @return
	 */
	IPage<LdInfoVO> selectLdInfoPage(IPage<LdInfoVO> page, LdInfoVO LdInfo);


	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<LdInfoExcel> exportLdInfo(Wrapper<LdInfoEntity> queryWrapper);

	IPage<LdInfoVO> selectLdWithNoXxy(IPage<Object> page, Map<String, Object> params);
}
