/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.ldInfo.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.ldInfo.entity.LdInfoEntity;
import org.springblade.modules.ldInfo.vo.LdInfoVO;
import java.util.Objects;

/**
 * 楼栋 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-07-07
 */
public class LdInfoWrapper extends BaseEntityWrapper<LdInfoEntity, LdInfoVO>  {

	public static LdInfoWrapper build() {
		return new LdInfoWrapper();
 	}

	@Override
	public LdInfoVO entityVO(LdInfoEntity LdInfo) {
		LdInfoVO LdInfoVO = Objects.requireNonNull(BeanUtil.copy(LdInfo, LdInfoVO.class));

		//User createUser = UserCache.getUser(LdInfo.getCreateUser());
		//User updateUser = UserCache.getUser(LdInfo.getUpdateUser());
		//LdInfoVO.setCreateUserName(createUser.getName());
		//LdInfoVO.setUpdateUserName(updateUser.getName());

		return LdInfoVO;
	}


}
