/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.logCsInfo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 日志_九小场所信息变动表 实体类
 *
 * @author BladeX
 * @since 2024-04-17
 */
@Data
@TableName("log.log_cs_info")
@ApiModel(value = "LogCsInfo对象", description = "日志_九小场所信息变动表")
@EqualsAndHashCode(callSuper = true)
public class LogCsInfoEntity extends BaseEntity {

	/**
	 * 单位/场所名称
	 */
	@ApiModelProperty(value = "单位/场所名称")
	private String csmc;
	/**
	 * 地址
	 */
	@ApiModelProperty(value = "地址")
	private String dz;
	/**
	 * 单位类别
	 */
	@ApiModelProperty(value = "单位类别")
	private String dwlb;
	/**
	 * 单位细类
	 */
	@ApiModelProperty(value = "单位细类")
	private String dwxl;
	/**
	 * 法定代表人
	 */
	@ApiModelProperty(value = "法定代表人")
	private String fzr;
	/**
	 * 法定代表人电话
	 */
	@ApiModelProperty(value = "法定代表人电话")
	private String fzrDh;
	/**
	 * 消防负责人
	 */
	@ApiModelProperty(value = "消防负责人")
	private String xffzr;
	/**
	 * 消防负责人身份证号
	 */
	@ApiModelProperty(value = "消防负责人身份证号")
	private String xffzrsfzh;
	/**
	 * 消防负责人联系电话
	 */
	@ApiModelProperty(value = "消防负责人联系电话")
	private String xffzrlxdh;
	/**
	 * 房屋类型
	 */
	@ApiModelProperty(value = "房屋类型")
	private String fwlx;
	/**
	 * 使用的建筑面积(㎡)
	 */
	@ApiModelProperty(value = "使用的建筑面积(㎡)")
	private String jzmj;
	/**
	 * 使用的建筑具体层数
	 */
	@ApiModelProperty(value = "使用的建筑具体层数")
	private String jzcs;
	/**
	 * 所在建筑高度(m)
	 */
	@ApiModelProperty(value = "所在建筑高度(m)")
	private String gd;
	/**
	 * 注册资本
	 */
	@ApiModelProperty(value = "注册资本")
	private String zczb;
	/**
	 * 成立日期
	 */
	@ApiModelProperty(value = "成立日期")
	private String clrq;
	/**
	 * 经营期限
	 */
	@ApiModelProperty(value = "经营期限")
	private String jyqx;
	/**
	 * 经营范围
	 */
	@ApiModelProperty(value = "经营范围")
	private String jyfw;
	/**
	 * 工商登记机关
	 */
	@ApiModelProperty(value = "工商登记机关")
	private String djjg;
	/**
	 * 工商登记日期
	 */
	@ApiModelProperty(value = "工商登记日期")
	private String djrq;
	/**
	 * 采集时间
	 */
	@ApiModelProperty(value = "采集时间")
	private String cjsj;
	/**
	 * 采集单位
	 */
	@ApiModelProperty(value = "采集单位")
	private String cjdw;
	/**
	 * 采集人
	 */
	@ApiModelProperty(value = "采集人")
	private String cjr;
	/**
	 * 所属分局编码
	 */
	@ApiModelProperty(value = "所属分局编码")
	private Long ssfjBm;
	/**
	 * 所属分局
	 */
	@ApiModelProperty(value = "所属分局")
	private String ssfjMc;
	/**
	 * 所属派出所编码
	 */
	@ApiModelProperty(value = "所属派出所编码")
	private Long sspcsBm;
	/**
	 * 所属派出所
	 */
	@ApiModelProperty(value = "所属派出所")
	private String sspcsMc;
	/**
	 * 所属社区编码
	 */
	@ApiModelProperty(value = "所属社区编码")
	private Long sssqBm;
	/**
	 * 所属社区
	 */
	@ApiModelProperty(value = "所属社区")
	private String sssqMc;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String ldph;
	/**
	 * 经度
	 */
	@ApiModelProperty(value = "经度")
	private String jd;
	/**
	 * 纬度
	 */
	@ApiModelProperty(value = "纬度")
	private String wd;
	/**
	 * 警格id
	 */
	@ApiModelProperty(value = "警格id")
	private Long jgId;
	/**
	 * 统一信用代码
	 */
	@ApiModelProperty(value = "统一信用代码")
	private String tyxydm;
	/**
	 * csjc_info表最新id
	 */
	@ApiModelProperty(value = "csjc_info表最新id")
	private Long jcId;
	/**
	 * sspt.rk_ldphxx表xlh
	 */
	@ApiModelProperty(value = "sspt.rk_ldphxx表xlh")
	private Long ldphxlh;
	/**
	 * 0正常 1歇业 2停业
	 */
	@ApiModelProperty(value = "0正常 1歇业 2停业")
	private Integer yyzt;

}
