/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.logCsInfo.mapper;

import org.springblade.modules.log.logCsInfo.entity.LogCsInfoEntity;
import org.springblade.modules.log.logCsInfo.vo.LogCsInfoVO;
import org.springblade.modules.log.logCsInfo.excel.LogCsInfoExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import java.util.List;

/**
 * 日志_九小场所信息变动表 Mapper 接口
 *
 * @author BladeX
 * @since 2024-04-17
 */
public interface LogCsInfoMapper extends BaseMapper<LogCsInfoEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param logCsInfo
	 * @return
	 */
	List<LogCsInfoVO> selectLogCsInfoPage(IPage page, LogCsInfoVO logCsInfo);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<LogCsInfoExcel> exportLogCsInfo(@Param("ew") Wrapper<LogCsInfoEntity> queryWrapper);

}
