/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.logCsInfo.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.log.logCsInfo.entity.LogCsInfoEntity;
import org.springblade.modules.log.logCsInfo.vo.LogCsInfoVO;
import java.util.Objects;

/**
 * 日志_九小场所信息变动表 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-04-17
 */
public class LogCsInfoWrapper extends BaseEntityWrapper<LogCsInfoEntity, LogCsInfoVO>  {

	public static LogCsInfoWrapper build() {
		return new LogCsInfoWrapper();
 	}

	@Override
	public LogCsInfoVO entityVO(LogCsInfoEntity logCsInfo) {
		LogCsInfoVO logCsInfoVO = Objects.requireNonNull(BeanUtil.copy(logCsInfo, LogCsInfoVO.class));

		//User createUser = UserCache.getUser(logCsInfo.getCreateUser());
		//User updateUser = UserCache.getUser(logCsInfo.getUpdateUser());
		//logCsInfoVO.setCreateUserName(createUser.getName());
		//logCsInfoVO.setUpdateUserName(updateUser.getName());

		return logCsInfoVO;
	}


}
