/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.logMdjfDj.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 矛盾纠纷登记表 实体类
 *
 * @author BladeX
 * @since 2024-04-24
 */
@Data
@TableName("log.log_mdjf_dj")
@ApiModel(value = "LogMdjfDj对象", description = "矛盾纠纷登记表")
@EqualsAndHashCode(callSuper = true)
public class LogMdjfDjEntity extends BaseEntity {

	/**
	 * 纠纷名称
	 */
	@ApiModelProperty(value = "纠纷名称")
	private String jfmc;
	/**
	 * 纠纷类型
	 */
	@ApiModelProperty(value = "纠纷类型")
	private String jflx;
	/**
	 * 纠纷原因
	 */
	@ApiModelProperty(value = "纠纷原因")
	private String jfyy;
	/**
	 * 纠纷发生时间
	 */
	@ApiModelProperty(value = "纠纷发生时间")
	private Date jffssj;
	/**
	 * 纠纷发生地点
	 */
	@ApiModelProperty(value = "纠纷发生地点")
	private String jffsdd;
	/**
	 * 简要案情
	 */
	@ApiModelProperty(value = "简要案情")
	private String jyaq;
	/**
	 * 纠纷登记时间
	 */
	@ApiModelProperty(value = "纠纷登记时间")
	private Date jfdjsj;
	/**
	 * 纠纷所属社区
	 */
	@ApiModelProperty(value = "纠纷所属社区")
	private Long jfsssq;
	/**
	 * 纠纷所属派出所
	 */
	@ApiModelProperty(value = "纠纷所属派出所")
	private Long jfsspcs;
	/**
	 * 纠纷所属分局
	 */
	@ApiModelProperty(value = "纠纷所属分局")
	private Long jfssfj;
	/**
	 * 上报状态
	 */
	@ApiModelProperty(value = "上报状态")
	private String sbzt;
	/**
	 * 上报时间
	 */
	@ApiModelProperty(value = "上报时间")
	private Date sbsj;
	/**
	 * 上报单位
	 */
	@ApiModelProperty(value = "上报单位")
	private Long sbdw;
	/**
	 * 移交状态
	 */
	@ApiModelProperty(value = "移交状态")
	private String yjzt;
	/**
	 * 移交时间
	 */
	@ApiModelProperty(value = "移交时间")
	private Date yjsj;
	/**
	 * 移交单位
	 */
	@ApiModelProperty(value = "移交单位")
	private Long yjdw;
	/**
	 * 反馈时间
	 */
	@ApiModelProperty(value = "反馈时间")
	private Date fksj;
	/**
	 * 反馈内容
	 */
	@ApiModelProperty(value = "反馈内容")
	private String fknr;
	/**
	 * 反馈人
	 */
	@ApiModelProperty(value = "反馈人")
	private String fkr;
	/**
	 * 反馈单位
	 */
	@ApiModelProperty(value = "反馈单位")
	private Long fkdw;
	/**
	 * 登记人
	 */
	@ApiModelProperty(value = "登记人")
	private Long djr;
	/**
	 * 矛盾级别 一般/重要/严重
	 */
	@ApiModelProperty(value = "矛盾级别 一般/重要/严重")
	private String mdjb;
	/**
	 * 照片
	 */
	@ApiModelProperty(value = "照片")
	private String zp;
	/**
	 * 纠纷来源
	 */
	@ApiModelProperty(value = "纠纷来源")
	private String jfly;
	/**
	 * 回访人
	 */
	@ApiModelProperty(value = "回访人")
	private String hfr;
	/**
	 * 回访结果
	 */
	@ApiModelProperty(value = "回访结果")
	private String hfnr;
	/**
	 * 回访时间
	 */
	@ApiModelProperty(value = "回访时间")
	private Date hfsj;
	/**
	 * 是否收藏 0否 1是
	 */
	@ApiModelProperty(value = "是否收藏 0否 1是")
	private Integer sfsc;
	/**
	 * 对出警处理情况是否满意 0否 1是
	 */
	@ApiModelProperty(value = "对出警处理情况是否满意 0否 1是")
	private Integer sfmy;
	/**
	 * 问题是否解决 0否 1是
	 */
	@ApiModelProperty(value = "问题是否解决 0否 1是")
	private Integer sfjj;
	/**
	 * 问题建议
	 */
	@ApiModelProperty(value = "问题建议")
	private String wtjy;
	/**
	 * 通话记录截图
	 */
	@ApiModelProperty(value = "通话记录截图")
	private String thjl;
	/**
	 * 评价 (优秀/合格/不合格)
	 */
	@ApiModelProperty(value = "评价 (优秀/合格/不合格)")
	private String pj;
	/**
	 * 评价理由
	 */
	@ApiModelProperty(value = "评价理由")
	private String pjly;
	/**
	 * 评价时间
	 */
	@ApiModelProperty(value = "评价时间")
	private Date pjsj;
	/**
	 * 评价人
	 */
	@ApiModelProperty(value = "评价人")
	private String pjr;
	/**
	 * 纠纷所属警格
	 */
	@ApiModelProperty(value = "纠纷所属警格")
	private Long jfssjg;
	/**
	 * 备注
	 */
	@ApiModelProperty(value = "备注")
	private String bz;
	/**
	 * 主责单位
	 */
	@ApiModelProperty(value = "主责单位")
	private String zzdw;
	/**
	 * 矛盾级别（A，B，C，D）
	 */
	@ApiModelProperty(value = "矛盾级别（A，B，C，D）")
	private String mdjbV;
	/**
	 * 要求回访次数
	 */
	@ApiModelProperty(value = "要求回访次数")
	private Integer xhfcs;
	/**
	 * 已回访次数
	 */
	@ApiModelProperty(value = "已回访次数")
	private Integer yhfcs;
	/**
	 * 回访状态（2已完成回访，1回访中，0未进行回访）
	 */
	@ApiModelProperty(value = "回访状态（2已完成回访，1回访中，0未进行回访）")
	private String hfztNew;
	/**
	 * 超时状态（1已超时，0正常）
	 */
	@ApiModelProperty(value = "超时状态（1已超时，0正常）")
	private String cszt;
	/**
	 * 回访截止日期
	 */
	@ApiModelProperty(value = "回访截止日期")
	private Date hfjzsj;
	/**
	 * 超时次数
	 */
	@ApiModelProperty(value = "超时次数")
	private Integer cscs;
	/**
	 * 回访截止日期2
	 */
	@ApiModelProperty(value = "回访截止日期2")
	private Date hfjzsj2;
	/**
	 * 回访截止日期3
	 */
	@ApiModelProperty(value = "回访截止日期3")
	private Date hfjzsj3;
	/**
	 * 超时内容
	 */
	@ApiModelProperty(value = "超时内容")
	private String csnr;
	/**
	 * 第一次回访
	 */
	@ApiModelProperty(value = "第一次回访")
	private Integer dychf;
	/**
	 * 第二次回访
	 */
	@ApiModelProperty(value = "第二次回访")
	private Integer dechf;
	/**
	 * 第三次回访
	 */
	@ApiModelProperty(value = "第三次回访")
	private Integer dschf;
	/**
	 * 报警人电话
	 */
	@ApiModelProperty(value = "报警人电话")
	private String bjrdh;

}
