/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.logMdjfDj.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 矛盾纠纷登记表 Excel实体类
 *
 * @author BladeX
 * @since 2024-04-24
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class LogMdjfDjExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 纠纷名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷名称")
	private String jfmc;
	/**
	 * 纠纷类型
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷类型")
	private String jflx;
	/**
	 * 纠纷原因
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷原因")
	private String jfyy;
	/**
	 * 纠纷发生时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷发生时间")
	private Date jffssj;
	/**
	 * 纠纷发生地点
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷发生地点")
	private String jffsdd;
	/**
	 * 简要案情
	 */
	@ColumnWidth(20)
	@ExcelProperty("简要案情")
	private String jyaq;
	/**
	 * 纠纷登记时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷登记时间")
	private Date jfdjsj;
	/**
	 * 纠纷所属社区
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷所属社区")
	private Long jfsssq;
	/**
	 * 纠纷所属派出所
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷所属派出所")
	private Long jfsspcs;
	/**
	 * 纠纷所属分局
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷所属分局")
	private Long jfssfj;
	/**
	 * 上报状态
	 */
	@ColumnWidth(20)
	@ExcelProperty("上报状态")
	private String sbzt;
	/**
	 * 上报时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("上报时间")
	private Date sbsj;
	/**
	 * 上报单位
	 */
	@ColumnWidth(20)
	@ExcelProperty("上报单位")
	private Long sbdw;
	/**
	 * 移交状态
	 */
	@ColumnWidth(20)
	@ExcelProperty("移交状态")
	private String yjzt;
	/**
	 * 移交时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("移交时间")
	private Date yjsj;
	/**
	 * 移交单位
	 */
	@ColumnWidth(20)
	@ExcelProperty("移交单位")
	private Long yjdw;
	/**
	 * 反馈时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("反馈时间")
	private Date fksj;
	/**
	 * 反馈内容
	 */
	@ColumnWidth(20)
	@ExcelProperty("反馈内容")
	private String fknr;
	/**
	 * 反馈人
	 */
	@ColumnWidth(20)
	@ExcelProperty("反馈人")
	private String fkr;
	/**
	 * 反馈单位
	 */
	@ColumnWidth(20)
	@ExcelProperty("反馈单位")
	private Long fkdw;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Integer isDeleted;
	/**
	 * 登记人
	 */
	@ColumnWidth(20)
	@ExcelProperty("登记人")
	private Long djr;
	/**
	 * 矛盾级别 一般/重要/严重
	 */
	@ColumnWidth(20)
	@ExcelProperty("矛盾级别 一般/重要/严重")
	private String mdjb;
	/**
	 * 照片
	 */
	@ColumnWidth(20)
	@ExcelProperty("照片")
	private String zp;
	/**
	 * 纠纷来源
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷来源")
	private String jfly;
	/**
	 * 回访人
	 */
	@ColumnWidth(20)
	@ExcelProperty("回访人")
	private String hfr;
	/**
	 * 回访结果
	 */
	@ColumnWidth(20)
	@ExcelProperty("回访结果")
	private String hfnr;
	/**
	 * 回访时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("回访时间")
	private Date hfsj;
	/**
	 * 是否收藏 0否 1是
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否收藏 0否 1是")
	private Integer sfsc;
	/**
	 * 对出警处理情况是否满意 0否 1是
	 */
	@ColumnWidth(20)
	@ExcelProperty("对出警处理情况是否满意 0否 1是")
	private Integer sfmy;
	/**
	 * 问题是否解决 0否 1是
	 */
	@ColumnWidth(20)
	@ExcelProperty("问题是否解决 0否 1是")
	private Integer sfjj;
	/**
	 * 问题建议
	 */
	@ColumnWidth(20)
	@ExcelProperty("问题建议")
	private String wtjy;
	/**
	 * 通话记录截图
	 */
	@ColumnWidth(20)
	@ExcelProperty("通话记录截图")
	private String thjl;
	/**
	 * 评价 (优秀/合格/不合格)
	 */
	@ColumnWidth(20)
	@ExcelProperty("评价 (优秀/合格/不合格)")
	private String pj;
	/**
	 * 评价理由
	 */
	@ColumnWidth(20)
	@ExcelProperty("评价理由")
	private String pjly;
	/**
	 * 评价时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("评价时间")
	private Date pjsj;
	/**
	 * 评价人
	 */
	@ColumnWidth(20)
	@ExcelProperty("评价人")
	private String pjr;
	/**
	 * 纠纷所属警格
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷所属警格")
	private Long jfssjg;
	/**
	 * 备注
	 */
	@ColumnWidth(20)
	@ExcelProperty("备注")
	private String bz;
	/**
	 * 主责单位
	 */
	@ColumnWidth(20)
	@ExcelProperty("主责单位")
	private String zzdw;
	/**
	 * 矛盾级别（A，B，C，D）
	 */
	@ColumnWidth(20)
	@ExcelProperty("矛盾级别（A，B，C，D）")
	private String mdjbV;
	/**
	 * 要求回访次数
	 */
	@ColumnWidth(20)
	@ExcelProperty("要求回访次数")
	private Integer xhfcs;
	/**
	 * 已回访次数
	 */
	@ColumnWidth(20)
	@ExcelProperty("已回访次数")
	private Integer yhfcs;
	/**
	 * 回访状态（2已完成回访，1回访中，0未进行回访）
	 */
	@ColumnWidth(20)
	@ExcelProperty("回访状态（2已完成回访，1回访中，0未进行回访）")
	private String hfztNew;
	/**
	 * 超时状态（1已超时，0正常）
	 */
	@ColumnWidth(20)
	@ExcelProperty("超时状态（1已超时，0正常）")
	private String cszt;
	/**
	 * 回访截止日期
	 */
	@ColumnWidth(20)
	@ExcelProperty("回访截止日期")
	private Date hfjzsj;
	/**
	 * 超时次数
	 */
	@ColumnWidth(20)
	@ExcelProperty("超时次数")
	private Integer cscs;
	/**
	 * 回访截止日期2
	 */
	@ColumnWidth(20)
	@ExcelProperty("回访截止日期2")
	private Date hfjzsj2;
	/**
	 * 回访截止日期3
	 */
	@ColumnWidth(20)
	@ExcelProperty("回访截止日期3")
	private Date hfjzsj3;
	/**
	 * 超时内容
	 */
	@ColumnWidth(20)
	@ExcelProperty("超时内容")
	private String csnr;
	/**
	 * 第一次回访
	 */
	@ColumnWidth(20)
	@ExcelProperty("第一次回访")
	private Integer dychf;
	/**
	 * 第二次回访
	 */
	@ColumnWidth(20)
	@ExcelProperty("第二次回访")
	private Integer dechf;
	/**
	 * 第三次回访
	 */
	@ColumnWidth(20)
	@ExcelProperty("第三次回访")
	private Integer dschf;
	/**
	 * 报警人电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("报警人电话")
	private String bjrdh;

}
