/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.logMdjfDj.service.impl;

import org.springblade.modules.log.logMdjfDj.entity.LogMdjfDjEntity;
import org.springblade.modules.log.logMdjfDj.vo.LogMdjfDjVO;
import org.springblade.modules.log.logMdjfDj.excel.LogMdjfDjExcel;
import org.springblade.modules.log.logMdjfDj.mapper.LogMdjfDjMapper;
import org.springblade.modules.log.logMdjfDj.service.ILogMdjfDjService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 矛盾纠纷登记表 服务实现类
 *
 * @author BladeX
 * @since 2024-04-24
 */
@Service
public class LogMdjfDjServiceImpl extends BaseServiceImpl<LogMdjfDjMapper, LogMdjfDjEntity> implements ILogMdjfDjService {

	@Override
	public IPage<LogMdjfDjVO> selectLogMdjfDjPage(IPage<LogMdjfDjVO> page, LogMdjfDjVO logMdjfDj) {
		return page.setRecords(baseMapper.selectLogMdjfDjPage(page, logMdjfDj));
	}


	@Override
	public List<LogMdjfDjExcel> exportLogMdjfDj(Wrapper<LogMdjfDjEntity> queryWrapper) {
		List<LogMdjfDjExcel> logMdjfDjList = baseMapper.exportLogMdjfDj(queryWrapper);
		//logMdjfDjList.forEach(logMdjfDj -> {
		//	logMdjfDj.setTypeName(DictCache.getValue(DictEnum.YES_NO, LogMdjfDj.getType()));
		//});
		return logMdjfDjList;
	}

}
