/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.logMdjfRy.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 纠纷人员登记表 Excel实体类
 *
 * @author BladeX
 * @since 2024-04-24
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class LogMdjfRyExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 纠纷ID
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷ID")
	private Long jfId;
	/**
	 * 姓名
	 */
	@ColumnWidth(20)
	@ExcelProperty("姓名")
	private String xm;
	/**
	 * 性别
	 */
	@ColumnWidth(20)
	@ExcelProperty("性别")
	private String xb;
	/**
	 * 身份证号
	 */
	@ColumnWidth(20)
	@ExcelProperty("身份证号")
	private String sfzh;
	/**
	 * 联系电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("联系电话")
	private String lxdh;
	/**
	 * 类别
	 */
	@ColumnWidth(20)
	@ExcelProperty("类别")
	private String lb;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Integer isDeleted;
	/**
	 * 人员照片
	 */
	@ColumnWidth(20)
	@ExcelProperty("人员照片")
	private String ryzp;
	/**
	 * 是否列控 (0否 1是)
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否列控 (0否 1是)")
	private Integer sflk;
	/**
	 * 签名照片
	 */
	@ColumnWidth(20)
	@ExcelProperty("签名照片")
	private String qmzp;
	/**
	 * 回访照片
	 */
	@ColumnWidth(20)
	@ExcelProperty("回访照片")
	private String hfzp;

}
