/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.logMdjfRy.service.impl;

import org.springblade.modules.log.logMdjfRy.entity.LogMdjfRyEntity;
import org.springblade.modules.log.logMdjfRy.vo.LogMdjfRyVO;
import org.springblade.modules.log.logMdjfRy.excel.LogMdjfRyExcel;
import org.springblade.modules.log.logMdjfRy.mapper.LogMdjfRyMapper;
import org.springblade.modules.log.logMdjfRy.service.ILogMdjfRyService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 纠纷人员登记表 服务实现类
 *
 * @author BladeX
 * @since 2024-04-24
 */
@Service
public class LogMdjfRyServiceImpl extends BaseServiceImpl<LogMdjfRyMapper, LogMdjfRyEntity> implements ILogMdjfRyService {

	@Override
	public IPage<LogMdjfRyVO> selectLogMdjfRyPage(IPage<LogMdjfRyVO> page, LogMdjfRyVO logMdjfRy) {
		return page.setRecords(baseMapper.selectLogMdjfRyPage(page, logMdjfRy));
	}


	@Override
	public List<LogMdjfRyExcel> exportLogMdjfRy(Wrapper<LogMdjfRyEntity> queryWrapper) {
		List<LogMdjfRyExcel> logMdjfRyList = baseMapper.exportLogMdjfRy(queryWrapper);
		//logMdjfRyList.forEach(logMdjfRy -> {
		//	logMdjfRy.setTypeName(DictCache.getValue(DictEnum.YES_NO, LogMdjfRy.getType()));
		//});
		return logMdjfRyList;
	}

}
