/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.logMdjfRy.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.log.logMdjfRy.entity.LogMdjfRyEntity;
import org.springblade.modules.log.logMdjfRy.vo.LogMdjfRyVO;
import java.util.Objects;

/**
 * 纠纷人员登记表 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-04-24
 */
public class LogMdjfRyWrapper extends BaseEntityWrapper<LogMdjfRyEntity, LogMdjfRyVO>  {

	public static LogMdjfRyWrapper build() {
		return new LogMdjfRyWrapper();
 	}

	@Override
	public LogMdjfRyVO entityVO(LogMdjfRyEntity logMdjfRy) {
		LogMdjfRyVO logMdjfRyVO = Objects.requireNonNull(BeanUtil.copy(logMdjfRy, LogMdjfRyVO.class));

		//User createUser = UserCache.getUser(logMdjfRy.getCreateUser());
		//User updateUser = UserCache.getUser(logMdjfRy.getUpdateUser());
		//logMdjfRyVO.setCreateUserName(createUser.getName());
		//logMdjfRyVO.setUpdateUserName(updateUser.getName());

		return logMdjfRyVO;
	}


}
