/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.logPcs.service.impl;

import org.springblade.modules.log.logPcs.entity.LogPcsEntity;
import org.springblade.modules.log.logPcs.vo.LogPcsVO;
import org.springblade.modules.log.logPcs.excel.LogPcsExcel;
import org.springblade.modules.log.logPcs.mapper.LogPcsMapper;
import org.springblade.modules.log.logPcs.service.ILogPcsService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 社区警务-派出所信息 服务实现类
 *
 * @author BladeX
 * @since 2024-04-09
 */
@Service
public class LogPcsServiceImpl extends BaseServiceImpl<LogPcsMapper, LogPcsEntity> implements ILogPcsService {

	@Override
	public IPage<LogPcsVO> selectLogPcsPage(IPage<LogPcsVO> page, LogPcsVO logPcs) {
		return page.setRecords(baseMapper.selectLogPcsPage(page, logPcs));
	}


	@Override
	public List<LogPcsExcel> exportLogPcs(Wrapper<LogPcsEntity> queryWrapper) {
		List<LogPcsExcel> logPcsList = baseMapper.exportLogPcs(queryWrapper);
		//logPcsList.forEach(logPcs -> {
		//	logPcs.setTypeName(DictCache.getValue(DictEnum.YES_NO, LogPcs.getType()));
		//});
		return logPcsList;
	}

}
