/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.logPcs.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.log.logPcs.entity.LogPcsEntity;
import org.springblade.modules.log.logPcs.vo.LogPcsVO;
import java.util.Objects;

/**
 * 社区警务-派出所信息 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-04-09
 */
public class LogPcsWrapper extends BaseEntityWrapper<LogPcsEntity, LogPcsVO>  {

	public static LogPcsWrapper build() {
		return new LogPcsWrapper();
 	}

	@Override
	public LogPcsVO entityVO(LogPcsEntity logPcs) {
		LogPcsVO logPcsVO = Objects.requireNonNull(BeanUtil.copy(logPcs, LogPcsVO.class));

		//User createUser = UserCache.getUser(logPcs.getCreateUser());
		//User updateUser = UserCache.getUser(logPcs.getUpdateUser());
		//logPcsVO.setCreateUserName(createUser.getName());
		//logPcsVO.setUpdateUserName(updateUser.getName());

		return logPcsVO;
	}


}
