/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.rhzfCzrk.service.impl;

import org.springblade.modules.log.rhzfCzrk.entity.RhzfCzrkEntity;
import org.springblade.modules.log.rhzfCzrk.vo.RhzfCzrkVO;
import org.springblade.modules.log.rhzfCzrk.excel.RhzfCzrkExcel;
import org.springblade.modules.log.rhzfCzrk.mapper.RhzfCzrkMapper;
import org.springblade.modules.log.rhzfCzrk.service.IRhzfCzrkService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 入户走访_人员_常住人口 服务实现类
 *
 * @author BladeX
 * @since 2024-03-15
 */
@Service
public class RhzfCzrkServiceImpl extends BaseServiceImpl<RhzfCzrkMapper, RhzfCzrkEntity> implements IRhzfCzrkService {

	@Override
	public IPage<RhzfCzrkVO> selectRhzfCzrkPage(IPage<RhzfCzrkVO> page, RhzfCzrkVO rhzfCzrk) {
		return page.setRecords(baseMapper.selectRhzfCzrkPage(page, rhzfCzrk));
	}


	@Override
	public List<RhzfCzrkExcel> exportRhzfCzrk(Wrapper<RhzfCzrkEntity> queryWrapper) {
		List<RhzfCzrkExcel> rhzfCzrkList = baseMapper.exportRhzfCzrk(queryWrapper);
		//rhzfCzrkList.forEach(rhzfCzrk -> {
		//	rhzfCzrk.setTypeName(DictCache.getValue(DictEnum.YES_NO, RhzfCzrk.getType()));
		//});
		return rhzfCzrkList;
	}

}
