/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.rhzfFw.excel;


import lombok.Data;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 入户走访_房屋_基本信息 Excel实体类
 *
 * @author BladeX
 * @since 2024-03-15
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class RhzfFwExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * ld_bzdz表dzbm
	 */
	@ColumnWidth(20)
	@ExcelProperty("ld_bzdz表dzbm")
	private String dzbm;
	/**
	 * 房屋地址_类型(城镇1/乡村2)
	 */
	@ColumnWidth(20)
	@ExcelProperty("房屋地址_类型(城镇1/乡村2)")
	private Integer dzType;
	/**
	 * 房屋地址_单元
	 */
	@ColumnWidth(20)
	@ExcelProperty("房屋地址_单元")
	private String dyh;
	/**
	 * 楼层号
	 */
	@ColumnWidth(20)
	@ExcelProperty("楼层号")
	private Integer lch;
	/**
	 * 房屋地址_门牌号
	 */
	@ColumnWidth(20)
	@ExcelProperty("房屋地址_门牌号")
	private String lcnpmh;
	/**
	 * 房屋信息_类别
	 */
	@ColumnWidth(20)
	@ExcelProperty("房屋信息_类别")
	private String fwLb;
	/**
	 * 房屋信息_用途
	 */
	@ColumnWidth(20)
	@ExcelProperty("房屋信息_用途")
	private String fwYt;
	/**
	 * 房屋信息_性质
	 */
	@ColumnWidth(20)
	@ExcelProperty("房屋信息_性质")
	private String fwXz;
	/**
	 * 房屋信息_使用用途
	 */
	@ColumnWidth(20)
	@ExcelProperty("房屋信息_使用用途")
	private String fwSyyt;
	/**
	 * 房屋信息_户内面积
	 */
	@ColumnWidth(20)
	@ExcelProperty("房屋信息_户内面积")
	private String fwMj;
	/**
	 * 房屋信息_户内间数
	 */
	@ColumnWidth(20)
	@ExcelProperty("房屋信息_户内间数")
	private String fwJs;
	/**
	 * 是否空房 0否 1是
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否空房 0否 1是")
	private Integer sfkf;
	/**
	 * 上门服务类型
	 */
	@ColumnWidth(20)
	@ExcelProperty("上门服务类型")
	private String fwlx;
	/**
	 * 工作意见
	 */
	@ColumnWidth(20)
	@ExcelProperty("工作意见")
	private String gzyj;
	/**
	 * 签字照片
	 */
	@ColumnWidth(20)
	@ExcelProperty("签字照片")
	private String qzzp;
	/**
	 * 安全防范宣传 0无 1有
	 */
	@ColumnWidth(20)
	@ExcelProperty("安全防范宣传 0无 1有")
	private Integer aqffxc;
	/**
	 * 问题反应
	 */
	@ColumnWidth(20)
	@ExcelProperty("问题反应")
	private String wtfy;
	/**
	 * 问题反应_附件
	 */
	@ColumnWidth(20)
	@ExcelProperty("问题反应_附件")
	private String wtfyFj;
	/**
	 * 矛盾id
	 */
	@ColumnWidth(20)
	@ExcelProperty("矛盾id")
	private String mdId;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Integer isDeleted;
	/**
	 * 单元后缀
	 */
	@ColumnWidth(20)
	@ExcelProperty("单元后缀")
	private String dyhSuffix;
	/**
	 * 楼层号后缀
	 */
	@ColumnWidth(20)
	@ExcelProperty("楼层号后缀")
	private String lchSuffix;
	/**
	 * 门牌号后缀
	 */
	@ColumnWidth(20)
	@ExcelProperty("门牌号后缀")
	private String lcnpmhSuffix;
	/**
	 * 走访次数
	 */
	@ColumnWidth(20)
	@ExcelProperty("走访次数")
	private Integer times;
	/**
	 * 经度
	 */
	@ColumnWidth(20)
	@ExcelProperty("经度")
	private String jd;
	/**
	 * 纬度
	 */
	@ColumnWidth(20)
	@ExcelProperty("纬度")
	private String wd;
	/**
	 * 房屋照片
	 */
	@ColumnWidth(20)
	@ExcelProperty("房屋照片")
	private String zp;

}
