/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.rhzfFw.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.log.rhzfFw.entity.RhzfFwEntity;
import org.springblade.modules.log.rhzfFw.vo.RhzfFwVO;
import java.util.Objects;

/**
 * 入户走访_房屋_基本信息 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-03-15
 */
public class RhzfFwWrapper extends BaseEntityWrapper<RhzfFwEntity, RhzfFwVO>  {

	public static RhzfFwWrapper build() {
		return new RhzfFwWrapper();
 	}

	@Override
	public RhzfFwVO entityVO(RhzfFwEntity rhzfFw) {
		RhzfFwVO rhzfFwVO = Objects.requireNonNull(BeanUtil.copy(rhzfFw, RhzfFwVO.class));

		//User createUser = UserCache.getUser(rhzfFw.getCreateUser());
		//User updateUser = UserCache.getUser(rhzfFw.getUpdateUser());
		//rhzfFwVO.setCreateUserName(createUser.getName());
		//rhzfFwVO.setUpdateUserName(updateUser.getName());

		return rhzfFwVO;
	}


}
