/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.rhzfFz.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 入户走访_房屋_房主 实体类
 *
 * @author BladeX
 * @since 2024-03-15
 */
@Data
@TableName("log.log_rhzf_fz")
@ApiModel(value = "RhzfFz对象", description = "入户走访_房屋_房主")
@EqualsAndHashCode(callSuper = true)
public class RhzfFzEntity extends BaseEntity {

	/**
	 * rhzf_fw_info表id
	 */
	@ApiModelProperty(value = "rhzf_fw_info表id")
	private Long fwId;
	/**
	 * 房主类型 0自然人 1组织
	 */
	@ApiModelProperty(value = "房主类型 0自然人 1组织")
	private Integer type;
	/**
	 * 房主信息_姓名
	 */
	@ApiModelProperty(value = "房主信息_姓名")
	private String fzXm;
	/**
	 * 房主信息_身份证号
	 */
	@ApiModelProperty(value = "房主信息_身份证号")
	private String fzSfzh;
	/**
	 * 房主信息_联系电话
	 */
	@ApiModelProperty(value = "房主信息_联系电话")
	private String fzDh;
	/**
	 * 房主信息_工作单位
	 */
	@ApiModelProperty(value = "房主信息_工作单位")
	private String fzDw;
	/**
	 * 房主信息_现居住地址
	 */
	@ApiModelProperty(value = "房主信息_现居住地址")
	private String fzJzd;
	/**
	 * 是否在此居住 0否1是
	 */
	@ApiModelProperty(value = "是否在此居住 0否1是")
	private Integer sfzcjz;
	/**
	 * 微信号
	 */
	@ApiModelProperty(value = "微信号")
	private String vx;
	/**
	 * 户籍地址
	 */
	@ApiModelProperty(value = "户籍地址")
	private String hjdz;
	/**
	 * 特殊情况说明
	 */
	@ApiModelProperty(value = "特殊情况说明")
	private String tsqk;
	/**
	 * 辅警对应的民警id
	 */
	@ApiModelProperty(value = "辅警对应的民警id")
	private Long mjId;
	/**
	 * 证件种类
	 */
	@ApiModelProperty(value = "证件种类")
	private String zjzl;
}
