/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.rhzfFz.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.modules.log.rhzfFz.entity.RhzfFzEntity;
import org.springblade.modules.log.rhzfFz.vo.RhzfFzVO;
import org.springblade.modules.log.rhzfFz.excel.RhzfFzExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import java.util.List;

/**
 * 入户走访_房屋_房主 服务类
 *
 * @author BladeX
 * @since 2024-03-15
 */
public interface IRhzfFzService extends BaseService<RhzfFzEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param rhzfFz
	 * @return
	 */
	IPage<RhzfFzVO> selectRhzfFzPage(IPage<RhzfFzVO> page, RhzfFzVO rhzfFz);


	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<RhzfFzExcel> exportRhzfFz(Wrapper<RhzfFzEntity> queryWrapper);

}
