/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.rhzfFz.service.impl;

import org.springblade.modules.log.rhzfFz.entity.RhzfFzEntity;
import org.springblade.modules.log.rhzfFz.vo.RhzfFzVO;
import org.springblade.modules.log.rhzfFz.excel.RhzfFzExcel;
import org.springblade.modules.log.rhzfFz.mapper.RhzfFzMapper;
import org.springblade.modules.log.rhzfFz.service.IRhzfFzService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 入户走访_房屋_房主 服务实现类
 *
 * @author BladeX
 * @since 2024-03-15
 */
@Service
public class RhzfFzServiceImpl extends BaseServiceImpl<RhzfFzMapper, RhzfFzEntity> implements IRhzfFzService {

	@Override
	public IPage<RhzfFzVO> selectRhzfFzPage(IPage<RhzfFzVO> page, RhzfFzVO rhzfFz) {
		return page.setRecords(baseMapper.selectRhzfFzPage(page, rhzfFz));
	}


	@Override
	public List<RhzfFzExcel> exportRhzfFz(Wrapper<RhzfFzEntity> queryWrapper) {
		List<RhzfFzExcel> rhzfFzList = baseMapper.exportRhzfFz(queryWrapper);
		//rhzfFzList.forEach(rhzfFz -> {
		//	rhzfFz.setTypeName(DictCache.getValue(DictEnum.YES_NO, RhzfFz.getType()));
		//});
		return rhzfFzList;
	}

}
