/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.rhzfJwrk.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 入户走访_人员_境外人口 实体类
 *
 * @author BladeX
 * @since 2024-03-15
 */
@Data
@TableName("log.log_rhzf_jwrk")
@ApiModel(value = "RhzfJwrk对象", description = "入户走访_人员_境外人口")
@EqualsAndHashCode(callSuper = true)
public class RhzfJwrkEntity extends BaseEntity {

	/**
	 * 关联rhzf_fw_info表id
	 */
	@ApiModelProperty(value = "关联rhzf_fw_info表id")
	private Long fwId;
	/**
	 * 地址编码
	 */
	@ApiModelProperty(value = "地址编码")
	private String dzbm;
	/**
	 * 人户一致 0=一致 1=不一致
	 */
	@ApiModelProperty(value = "人户一致 0=一致 1=不一致")
	private Integer rhyz;
	/**
	 * 户籍地址
	 */
	@ApiModelProperty(value = "户籍地址")
	private String hjdz;
	/**
	 * 人员基本信息序列号
	 */
	@ApiModelProperty(value = "人员基本信息序列号")
	private String ryjbxxxlh;
	/**
	 * 境外人员_类别
	 */
	@ApiModelProperty(value = "境外人员_类别")
	private String ryLb;
	/**
	 * 境外人员_英文姓
	 */
	@ApiModelProperty(value = "境外人员_英文姓")
	private String ryXs;
	/**
	 * 境外人员_英文名
	 */
	@ApiModelProperty(value = "境外人员_英文名")
	private String ryMz;
	/**
	 * 境外人员_性别
	 */
	@ApiModelProperty(value = "境外人员_性别")
	private String ryXb;
	/**
	 * 境外人员_出生日期
	 */
	@ApiModelProperty(value = "境外人员_出生日期")
	private String ryCsrq;
	/**
	 * 境外人员_国家地区
	 */
	@ApiModelProperty(value = "境外人员_国家地区")
	private String ryGjdq;
	/**
	 * 境外人员_服务处所
	 */
	@ApiModelProperty(value = "境外人员_服务处所")
	private String ryFwcs;
	/**
	 * 境外人员_服务处所地址
	 */
	@ApiModelProperty(value = "境外人员_服务处所地址")
	private String ryCsdz;
	/**
	 * 境外人员_联系电话
	 */
	@ApiModelProperty(value = "境外人员_联系电话")
	private String ryDh;
	/**
	 * 微信号
	 */
	@ApiModelProperty(value = "微信号")
	private String vx;
	/**
	 * 宗教信仰
	 */
	@ApiModelProperty(value = "宗教信仰")
	private String zjxy;
	/**
	 * 境外人员_宗教信仰_代码
	 */
	@ApiModelProperty(value = "境外人员_宗教信仰_代码")
	private String zjxyDm;
	/**
	 * 境外人员_证件类别
	 */
	@ApiModelProperty(value = "境外人员_证件类别")
	private String ryZjlb;
	/**
	 * 境外人员_证件号码
	 */
	@ApiModelProperty(value = "境外人员_证件号码")
	private String ryZjhm;
	/**
	 * 境外人员_证件有效起始日期
	 */
	@ApiModelProperty(value = "境外人员_证件有效起始日期")
	private String ryZjqsrq;
	/**
	 * 境外人员_证件有效截至日期
	 */
	@ApiModelProperty(value = "境外人员_证件有效截至日期")
	private String ryZjjzrq;
	/**
	 * 境外人员_签证类别
	 */
	@ApiModelProperty(value = "境外人员_签证类别")
	private String ryQzlb;
	/**
	 * 境外人员_签证号码
	 */
	@ApiModelProperty(value = "境外人员_签证号码")
	private String ryQzhm;
	/**
	 * 境外人员_来华停居留事由
	 */
	@ApiModelProperty(value = "境外人员_来华停居留事由")
	private String ryLhsy;
	/**
	 * 境外人员_入住日期
	 */
	@ApiModelProperty(value = "境外人员_入住日期")
	private String ryRzrq;
	/**
	 * 境外人员_拟离开日期
	 */
	@ApiModelProperty(value = "境外人员_拟离开日期")
	private String ryLkrq;
	/**
	 * 境外人员_特殊人群_类别
	 */
	@ApiModelProperty(value = "境外人员_特殊人群_类别")
	private String ryTsLb;
	/**
	 * 境外人员_特殊人群_具体情况
	 */
	@ApiModelProperty(value = "境外人员_特殊人群_具体情况")
	private String ryTsJtqk;
	/**
	 * 单位_名称
	 */
	@ApiModelProperty(value = "单位_名称")
	private String dwMc;
	/**
	 * 单位_管理类别
	 */
	@ApiModelProperty(value = "单位_管理类别")
	private String dwLb;
	/**
	 * 单位_地址
	 */
	@ApiModelProperty(value = "单位_地址")
	private String dwDz;
	/**
	 * 单位_详址
	 */
	@ApiModelProperty(value = "单位_详址")
	private String dwXz;
	/**
	 * 备注
	 */
	@ApiModelProperty(value = "备注")
	private String bz;
	/**
	 * 辅警对应的民警id
	 */
	private Long mjId;
	/**
	 * 注销原因
	 */
	private String zxyy;
	/**
	 * 注销日期
	 */
	private String zxrq;
	/**
	 * 去往地址省市县(区)
	 */
	private String qwdzssxq;
	/**
	 * 去往地址详址
	 */
	private String qwdzxz;
}
