/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.rhzfJwrk.excel;


import lombok.Data;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 入户走访_人员_境外人口 Excel实体类
 *
 * @author BladeX
 * @since 2024-03-15
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class RhzfJwrkExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 关联rhzf_fw_info表id
	 */
	@ColumnWidth(20)
	@ExcelProperty("关联rhzf_fw_info表id")
	private Long fwId;
	/**
	 * 地址编码
	 */
	@ColumnWidth(20)
	@ExcelProperty("地址编码")
	private String dzbm;
	/**
	 * 人户一致 0=一致 1=不一致
	 */
	@ColumnWidth(20)
	@ExcelProperty("人户一致 0=一致 1=不一致")
	private Integer rhyz;
	/**
	 * 户籍地址
	 */
	@ColumnWidth(20)
	@ExcelProperty("户籍地址")
	private String hjdz;
	/**
	 * 人员基本信息序列号
	 */
	@ColumnWidth(20)
	@ExcelProperty("人员基本信息序列号")
	private String ryjbxxxlh;
	/**
	 * 境外人员_类别
	 */
	@ColumnWidth(20)
	@ExcelProperty("境外人员_类别")
	private String ryLb;
	/**
	 * 境外人员_英文姓
	 */
	@ColumnWidth(20)
	@ExcelProperty("境外人员_英文姓")
	private String ryXs;
	/**
	 * 境外人员_英文名
	 */
	@ColumnWidth(20)
	@ExcelProperty("境外人员_英文名")
	private String ryMz;
	/**
	 * 境外人员_性别
	 */
	@ColumnWidth(20)
	@ExcelProperty("境外人员_性别")
	private String ryXb;
	/**
	 * 境外人员_出生日期
	 */
	@ColumnWidth(20)
	@ExcelProperty("境外人员_出生日期")
	private String ryCsrq;
	/**
	 * 境外人员_国家地区
	 */
	@ColumnWidth(20)
	@ExcelProperty("境外人员_国家地区")
	private String ryGjdq;
	/**
	 * 境外人员_服务处所
	 */
	@ColumnWidth(20)
	@ExcelProperty("境外人员_服务处所")
	private String ryFwcs;
	/**
	 * 境外人员_服务处所地址
	 */
	@ColumnWidth(20)
	@ExcelProperty("境外人员_服务处所地址")
	private String ryCsdz;
	/**
	 * 境外人员_联系电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("境外人员_联系电话")
	private String ryDh;
	/**
	 * 微信号
	 */
	@ColumnWidth(20)
	@ExcelProperty("微信号")
	private String vx;
	/**
	 * 宗教信仰
	 */
	@ColumnWidth(20)
	@ExcelProperty("宗教信仰")
	private String zjxy;
	/**
	 * 境外人员_宗教信仰_代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("境外人员_宗教信仰_代码")
	private String zjxyDm;
	/**
	 * 境外人员_证件类别
	 */
	@ColumnWidth(20)
	@ExcelProperty("境外人员_证件类别")
	private String ryZjlb;
	/**
	 * 境外人员_证件号码
	 */
	@ColumnWidth(20)
	@ExcelProperty("境外人员_证件号码")
	private String ryZjhm;
	/**
	 * 境外人员_证件有效起始日期
	 */
	@ColumnWidth(20)
	@ExcelProperty("境外人员_证件有效起始日期")
	private String ryZjqsrq;
	/**
	 * 境外人员_证件有效截至日期
	 */
	@ColumnWidth(20)
	@ExcelProperty("境外人员_证件有效截至日期")
	private String ryZjjzrq;
	/**
	 * 境外人员_签证类别
	 */
	@ColumnWidth(20)
	@ExcelProperty("境外人员_签证类别")
	private String ryQzlb;
	/**
	 * 境外人员_签证号码
	 */
	@ColumnWidth(20)
	@ExcelProperty("境外人员_签证号码")
	private String ryQzhm;
	/**
	 * 境外人员_来华停居留事由
	 */
	@ColumnWidth(20)
	@ExcelProperty("境外人员_来华停居留事由")
	private String ryLhsy;
	/**
	 * 境外人员_入住日期
	 */
	@ColumnWidth(20)
	@ExcelProperty("境外人员_入住日期")
	private String ryRzrq;
	/**
	 * 境外人员_拟离开日期
	 */
	@ColumnWidth(20)
	@ExcelProperty("境外人员_拟离开日期")
	private String ryLkrq;
	/**
	 * 境外人员_特殊人群_类别
	 */
	@ColumnWidth(20)
	@ExcelProperty("境外人员_特殊人群_类别")
	private String ryTsLb;
	/**
	 * 境外人员_特殊人群_具体情况
	 */
	@ColumnWidth(20)
	@ExcelProperty("境外人员_特殊人群_具体情况")
	private String ryTsJtqk;
	/**
	 * 单位_名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("单位_名称")
	private String dwMc;
	/**
	 * 单位_管理类别
	 */
	@ColumnWidth(20)
	@ExcelProperty("单位_管理类别")
	private String dwLb;
	/**
	 * 单位_地址
	 */
	@ColumnWidth(20)
	@ExcelProperty("单位_地址")
	private String dwDz;
	/**
	 * 单位_详址
	 */
	@ColumnWidth(20)
	@ExcelProperty("单位_详址")
	private String dwXz;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Integer isDeleted;

}
