/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.rhzfJwrk.service.impl;

import org.springblade.modules.log.rhzfJwrk.entity.RhzfJwrkEntity;
import org.springblade.modules.log.rhzfJwrk.vo.RhzfJwrkVO;
import org.springblade.modules.log.rhzfJwrk.excel.RhzfJwrkExcel;
import org.springblade.modules.log.rhzfJwrk.mapper.RhzfJwrkMapper;
import org.springblade.modules.log.rhzfJwrk.service.IRhzfJwrkService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 入户走访_人员_境外人口 服务实现类
 *
 * @author BladeX
 * @since 2024-03-15
 */
@Service
public class RhzfJwrkServiceImpl extends BaseServiceImpl<RhzfJwrkMapper, RhzfJwrkEntity> implements IRhzfJwrkService {

	@Override
	public IPage<RhzfJwrkVO> selectRhzfJwrkPage(IPage<RhzfJwrkVO> page, RhzfJwrkVO rhzfJwrk) {
		return page.setRecords(baseMapper.selectRhzfJwrkPage(page, rhzfJwrk));
	}


	@Override
	public List<RhzfJwrkExcel> exportRhzfJwrk(Wrapper<RhzfJwrkEntity> queryWrapper) {
		List<RhzfJwrkExcel> rhzfJwrkList = baseMapper.exportRhzfJwrk(queryWrapper);
		//rhzfJwrkList.forEach(rhzfJwrk -> {
		//	rhzfJwrk.setTypeName(DictCache.getValue(DictEnum.YES_NO, RhzfJwrk.getType()));
		//});
		return rhzfJwrkList;
	}

}
