/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.rhzfJzrk.service.impl;

import org.springblade.modules.log.rhzfJzrk.entity.RhzfJzrkEntity;
import org.springblade.modules.log.rhzfJzrk.vo.RhzfJzrkVO;
import org.springblade.modules.log.rhzfJzrk.excel.RhzfJzrkExcel;
import org.springblade.modules.log.rhzfJzrk.mapper.RhzfJzrkMapper;
import org.springblade.modules.log.rhzfJzrk.service.IRhzfJzrkService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 入户走访_人员_寄住人口 服务实现类
 *
 * @author BladeX
 * @since 2024-03-15
 */
@Service
public class RhzfJzrkServiceImpl extends BaseServiceImpl<RhzfJzrkMapper, RhzfJzrkEntity> implements IRhzfJzrkService {

	@Override
	public IPage<RhzfJzrkVO> selectRhzfJzrkPage(IPage<RhzfJzrkVO> page, RhzfJzrkVO rhzfJzrk) {
		return page.setRecords(baseMapper.selectRhzfJzrkPage(page, rhzfJzrk));
	}


	@Override
	public List<RhzfJzrkExcel> exportRhzfJzrk(Wrapper<RhzfJzrkEntity> queryWrapper) {
		List<RhzfJzrkExcel> rhzfJzrkList = baseMapper.exportRhzfJzrk(queryWrapper);
		//rhzfJzrkList.forEach(rhzfJzrk -> {
		//	rhzfJzrk.setTypeName(DictCache.getValue(DictEnum.YES_NO, RhzfJzrk.getType()));
		//});
		return rhzfJzrkList;
	}

}
