/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.rhzfJzrk.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.log.rhzfJzrk.entity.RhzfJzrkEntity;
import org.springblade.modules.log.rhzfJzrk.vo.RhzfJzrkVO;
import java.util.Objects;

/**
 * 入户走访_人员_寄住人口 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-03-15
 */
public class RhzfJzrkWrapper extends BaseEntityWrapper<RhzfJzrkEntity, RhzfJzrkVO>  {

	public static RhzfJzrkWrapper build() {
		return new RhzfJzrkWrapper();
 	}

	@Override
	public RhzfJzrkVO entityVO(RhzfJzrkEntity rhzfJzrk) {
		RhzfJzrkVO rhzfJzrkVO = Objects.requireNonNull(BeanUtil.copy(rhzfJzrk, RhzfJzrkVO.class));

		//User createUser = UserCache.getUser(rhzfJzrk.getCreateUser());
		//User updateUser = UserCache.getUser(rhzfJzrk.getUpdateUser());
		//rhzfJzrkVO.setCreateUserName(createUser.getName());
		//rhzfJzrkVO.setUpdateUserName(updateUser.getName());

		return rhzfJzrkVO;
	}


}
