/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.rhzfWlrk.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 入户走访_人员_未落常口 实体类
 *
 * @author BladeX
 * @since 2024-03-15
 */
@Data
@TableName("log.log_rhzf_wlrk")
@ApiModel(value = "RhzfWlrk对象", description = "入户走访_人员_未落常口")
@EqualsAndHashCode(callSuper = true)
public class RhzfWlrkEntity extends BaseEntity {

	/**
	 * 关联rhzf_fw_info表id
	 */
	@ApiModelProperty(value = "关联rhzf_fw_info表id")
	private Long fwId;
	/**
	 * 地址编码
	 */
	@ApiModelProperty(value = "地址编码")
	private String dzbm;
	/**
	 * 人户一致 0=一致 1=不一致
	 */
	@ApiModelProperty(value = "人户一致 0=一致 1=不一致")
	private Integer rhyz;
	/**
	 * 户籍地址
	 */
	@ApiModelProperty(value = "户籍地址")
	private String hjdz;
	/**
	 * 人员基本信息序列号
	 */
	@ApiModelProperty(value = "人员基本信息序列号")
	private String ryjbxxxlh;
	/**
	 * 未落常口_类别
	 */
	@ApiModelProperty(value = "未落常口_类别")
	private String ryLb;
	/**
	 * 未落常口_身份证号
	 */
	@ApiModelProperty(value = "未落常口_身份证号")
	private String rySfzh;
	/**
	 * 未落常口_姓名
	 */
	@ApiModelProperty(value = "未落常口_姓名")
	private String ryXm;
	/**
	 * 未落常口_性别
	 */
	@ApiModelProperty(value = "未落常口_性别")
	private String ryXb;
	/**
	 * 未落常口_民族
	 */
	@ApiModelProperty(value = "未落常口_民族")
	private String ryMz;
	/**
	 * 未落人员_民族_代码
	 */
	@ApiModelProperty(value = "未落人员_民族_代码")
	private String ryMzDm;
	/**
	 * 未落常口_出生日期
	 */
	@ApiModelProperty(value = "未落常口_出生日期")
	private String ryCsrq;
	/**
	 * 未落常口_与房主关系
	 */
	@ApiModelProperty(value = "未落常口_与房主关系")
	private String ryHzgx;
	/**
	 * 未落常口_婚姻状况
	 */
	@ApiModelProperty(value = "未落常口_婚姻状况")
	private String ryHyzk;
	/**
	 * 未落人员_婚姻状况_代码
	 */
	@ApiModelProperty(value = "未落人员_婚姻状况_代码")
	private String ryHyzkDm;
	/**
	 * 未落常口_文化程度
	 */
	@ApiModelProperty(value = "未落常口_文化程度")
	private String ryWhcd;
	/**
	 * 未落人员_文化程度_代码
	 */
	@ApiModelProperty(value = "未落人员_文化程度_代码")
	private String ryWhcdDm;
	/**
	 * 未落常口_政治面貌
	 */
	@ApiModelProperty(value = "未落常口_政治面貌")
	private String ryZzmm;
	/**
	 * 未落人员_政治面貌_代码
	 */
	@ApiModelProperty(value = "未落人员_政治面貌_代码")
	private String ryZzmmDm;
	/**
	 * 未落常口_兵役状况
	 */
	@ApiModelProperty(value = "未落常口_兵役状况")
	private String ryByzk;
	/**
	 * 未落人员_兵役状况_代码
	 */
	@ApiModelProperty(value = "未落人员_兵役状况_代码")
	private String ryByzkDm;
	/**
	 * 未落常口_联系电话
	 */
	@ApiModelProperty(value = "未落常口_联系电话")
	private String ryDh;
	/**
	 * 微信号
	 */
	@ApiModelProperty(value = "微信号")
	private String vx;
	/**
	 * 宗教信仰
	 */
	@ApiModelProperty(value = "宗教信仰")
	private String zjxy;
	/**
	 * 未落人员_宗教信仰_代码
	 */
	@ApiModelProperty(value = "未落人员_宗教信仰_代码")
	private String zjxyDm;
	/**
	 * 未落常口_特殊人群_类别
	 */
	@ApiModelProperty(value = "未落常口_特殊人群_类别")
	private String ryTsLb;
	/**
	 * 未落常口_特殊人群_具体情况
	 */
	@ApiModelProperty(value = "未落常口_特殊人群_具体情况")
	private String ryTsJtqk;
	/**
	 * 单位_名称
	 */
	@ApiModelProperty(value = "单位_名称")
	private String dwMc;
	/**
	 * 单位_管理类别
	 */
	@ApiModelProperty(value = "单位_管理类别")
	private String dwLb;
	/**
	 * 单位_地址
	 */
	@ApiModelProperty(value = "单位_地址")
	private String dwDz;
	/**
	 * 单位_详址
	 */
	@ApiModelProperty(value = "单位_详址")
	private String dwXz;
	/**
	 * 备注
	 */
	@ApiModelProperty(value = "备注")
	private String bz;
	/**
	 * 辅警对应的民警id
	 */
	private Long mjId;
	/**
	 * 注销原因
	 */
	private String zxyy;
	/**
	 * 注销日期
	 */
	private String zxrq;
	/**
	 * 去往地址省市县(区)
	 */
	private String qwdzssxq;
	/**
	 * 去往地址详址
	 */
	private String qwdzxz;
}
