/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.rhzfWlrk.service.impl;

import org.springblade.modules.log.rhzfWlrk.entity.RhzfWlrkEntity;
import org.springblade.modules.log.rhzfWlrk.vo.RhzfWlrkVO;
import org.springblade.modules.log.rhzfWlrk.excel.RhzfWlrkExcel;
import org.springblade.modules.log.rhzfWlrk.mapper.RhzfWlrkMapper;
import org.springblade.modules.log.rhzfWlrk.service.IRhzfWlrkService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 入户走访_人员_未落常口 服务实现类
 *
 * @author BladeX
 * @since 2024-03-15
 */
@Service
public class RhzfWlrkServiceImpl extends BaseServiceImpl<RhzfWlrkMapper, RhzfWlrkEntity> implements IRhzfWlrkService {

	@Override
	public IPage<RhzfWlrkVO> selectRhzfWlrkPage(IPage<RhzfWlrkVO> page, RhzfWlrkVO rhzfWlrk) {
		return page.setRecords(baseMapper.selectRhzfWlrkPage(page, rhzfWlrk));
	}


	@Override
	public List<RhzfWlrkExcel> exportRhzfWlrk(Wrapper<RhzfWlrkEntity> queryWrapper) {
		List<RhzfWlrkExcel> rhzfWlrkList = baseMapper.exportRhzfWlrk(queryWrapper);
		//rhzfWlrkList.forEach(rhzfWlrk -> {
		//	rhzfWlrk.setTypeName(DictCache.getValue(DictEnum.YES_NO, RhzfWlrk.getType()));
		//});
		return rhzfWlrkList;
	}

}
