/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.rhzfZzrk.service.impl;

import org.springblade.modules.log.rhzfZzrk.entity.RhzfZzrkEntity;
import org.springblade.modules.log.rhzfZzrk.vo.RhzfZzrkVO;
import org.springblade.modules.log.rhzfZzrk.excel.RhzfZzrkExcel;
import org.springblade.modules.log.rhzfZzrk.mapper.RhzfZzrkMapper;
import org.springblade.modules.log.rhzfZzrk.service.IRhzfZzrkService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 入户走访_人员_暂住人口 服务实现类
 *
 * @author BladeX
 * @since 2024-03-15
 */
@Service
public class RhzfZzrkServiceImpl extends BaseServiceImpl<RhzfZzrkMapper, RhzfZzrkEntity> implements IRhzfZzrkService {

	@Override
	public IPage<RhzfZzrkVO> selectRhzfZzrkPage(IPage<RhzfZzrkVO> page, RhzfZzrkVO rhzfZzrk) {
		return page.setRecords(baseMapper.selectRhzfZzrkPage(page, rhzfZzrk));
	}


	@Override
	public List<RhzfZzrkExcel> exportRhzfZzrk(Wrapper<RhzfZzrkEntity> queryWrapper) {
		List<RhzfZzrkExcel> rhzfZzrkList = baseMapper.exportRhzfZzrk(queryWrapper);
		//rhzfZzrkList.forEach(rhzfZzrk -> {
		//	rhzfZzrk.setTypeName(DictCache.getValue(DictEnum.YES_NO, RhzfZzrk.getType()));
		//});
		return rhzfZzrkList;
	}

}
