/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.sjSp.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 数据审批 实体类
 *
 * @author BladeX
 * @since 2024-04-16
 */
@Data
@TableName("log.sj_sp")
@ApiModel(value = "SjSp对象", description = "数据审批")
@EqualsAndHashCode(callSuper = true)
public class SjSpEntity extends BaseEntity {

	/**
	 * 业务类别 1=九小场所删除 2=矛盾纠纷人员信息修改
	 */
	@ApiModelProperty(value = "业务类别 1=九小场所删除 2=矛盾纠纷人员信息修改")
	private int ywlb;
	/**
	 * 业务id
	 */
	@ApiModelProperty(value = "业务id")
	private Long ywid;
	/**
	 * 业务参数
	 */
	@ApiModelProperty(value = "业务参数")
	private String params;
	/**
	 * 请求原因
	 */
	@ApiModelProperty(value = "请求原因")
	private String qqyy;
	/**
	 * 审批结果 0=待审批 1=通过 2=驳回
	 */
	@ApiModelProperty(value = "审批结果 0=待审批 1=通过 2=驳回")
	private int spjg;
	/**
	 * 审批原因
	 */
	@ApiModelProperty(value = "审批原因")
	private String spyy;

}
