package org.springblade.modules.log.sjSp.excel;


import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;


/**
 * 数据审批 Excel实体类
 *
 * @author BladeX
 * @since 2024-04-16
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class SjSpExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 业务类别 1=九小场所删除 2=矛盾纠纷人员信息修改
	 */
	@ColumnWidth(20)
	@ExcelProperty("业务类别 1=九小场所删除 2=矛盾纠纷人员信息修改")
	private Short ywlb;
	/**
	 * 业务id
	 */
	@ColumnWidth(20)
	@ExcelProperty("业务id")
	private Long ywid;
	/**
	 * 业务参数
	 */
	@ColumnWidth(20)
	@ExcelProperty("业务参数")
	private String params;
	/**
	 * 请求原因
	 */
	@ColumnWidth(20)
	@ExcelProperty("请求原因")
	private String qqyy;
	/**
	 * 审批结果 0=待审批 1=通过 2=驳回
	 */
	@ColumnWidth(20)
	@ExcelProperty("审批结果 0=待审批 1=通过 2=驳回")
	private Short spjg;
	/**
	 * 审批原因
	 */
	@ColumnWidth(20)
	@ExcelProperty("审批原因")
	private String spyy;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Integer isDeleted;

}
