/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.sjSp.mapper;

import org.springblade.modules.log.sjSp.entity.SjSpEntity;
import org.springblade.modules.log.sjSp.vo.SjSpVO;
import org.springblade.modules.log.sjSp.excel.SjSpExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import java.util.List;
import java.util.Map;

/**
 * 数据审批 Mapper 接口
 *
 * @author BladeX
 * @since 2024-04-16
 */
public interface SjSpMapper extends BaseMapper<SjSpEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param params
	 * @return
	 */
	List<SjSpVO> selectSjSpPage(IPage page, @Param("params") Map<String, Object> params);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<SjSpExcel> exportSjSp(@Param("ew") Wrapper<SjSpEntity> queryWrapper);

	int getIsExist(@Param("ywlb") int ywlb, @Param("id") String id);

	List<SjSpVO> selectSjSpPageToPt(IPage<SjSpVO> page, @Param("params") Map<String, Object> params);
}
