/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.sjSp.service.impl;

import org.springblade.modules.log.sjSp.entity.SjSpEntity;
import org.springblade.modules.log.sjSp.vo.SjSpVO;
import org.springblade.modules.log.sjSp.excel.SjSpExcel;
import org.springblade.modules.log.sjSp.mapper.SjSpMapper;
import org.springblade.modules.log.sjSp.service.ISjSpService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;
import java.util.Map;

/**
 * 数据审批 服务实现类
 *
 * @author BladeX
 * @since 2024-04-16
 */
@Service
public class SjSpServiceImpl extends BaseServiceImpl<SjSpMapper, SjSpEntity> implements ISjSpService {

	@Override
	public IPage<SjSpVO> selectSjSpPage(IPage<SjSpVO> page, Map<String, Object> params) {
		return page.setRecords(baseMapper.selectSjSpPage(page, params));
	}


	@Override
	public List<SjSpExcel> exportSjSp(Wrapper<SjSpEntity> queryWrapper) {
		List<SjSpExcel> sjSpList = baseMapper.exportSjSp(queryWrapper);
		//sjSpList.forEach(sjSp -> {
		//	sjSp.setTypeName(DictCache.getValue(DictEnum.YES_NO, SjSp.getType()));
		//});
		return sjSpList;
	}

	@Override
	public int getIsExist(int ywlb, String id) {
		return baseMapper.getIsExist(ywlb, id);
	}

	@Override
	public IPage<SjSpVO> selectSjSpPageToPt(IPage<SjSpVO> page, Map<String, Object> params) {
		return page.setRecords(baseMapper.selectSjSpPageToPt(page, params));
	}
}
