/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.userLogin.mapper;

import org.springblade.modules.log.userLogin.entity.UserLoginEntity;
import org.springblade.modules.log.userLogin.vo.UserLoginVO;
import org.springblade.modules.log.userLogin.excel.UserLoginExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import java.util.List;

/**
 * 用户登陆日志 Mapper 接口
 *
 * @author BladeX
 * @since 2024-04-22
 */
public interface UserLoginMapper extends BaseMapper<UserLoginEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param userLogin
	 * @return
	 */
	List<UserLoginVO> selectUserLoginPage(IPage page, UserLoginVO userLogin);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<UserLoginExcel> exportUserLogin(@Param("ew") Wrapper<UserLoginEntity> queryWrapper);

}
