/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.userLogin.service.impl;

import org.springblade.modules.log.userLogin.entity.UserLoginEntity;
import org.springblade.modules.log.userLogin.vo.UserLoginVO;
import org.springblade.modules.log.userLogin.excel.UserLoginExcel;
import org.springblade.modules.log.userLogin.mapper.UserLoginMapper;
import org.springblade.modules.log.userLogin.service.IUserLoginService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 用户登陆日志 服务实现类
 *
 * @author BladeX
 * @since 2024-04-22
 */
@Service
public class UserLoginServiceImpl extends BaseServiceImpl<UserLoginMapper, UserLoginEntity> implements IUserLoginService {

	@Override
	public IPage<UserLoginVO> selectUserLoginPage(IPage<UserLoginVO> page, UserLoginVO userLogin) {
		return page.setRecords(baseMapper.selectUserLoginPage(page, userLogin));
	}


	@Override
	public List<UserLoginExcel> exportUserLogin(Wrapper<UserLoginEntity> queryWrapper) {
		List<UserLoginExcel> userLoginList = baseMapper.exportUserLogin(queryWrapper);
		//userLoginList.forEach(userLogin -> {
		//	userLogin.setTypeName(DictCache.getValue(DictEnum.YES_NO, UserLogin.getType()));
		//});
		return userLoginList;
	}

}
