package org.springblade.modules.log.zxLog.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 用户注销log 实体类
 *
 * @author BladeX
 * @since 2024-04-07
 */
@Data
@TableName("log.zx_log")
@ApiModel(value = "Log对象", description = "用户注销log")
@EqualsAndHashCode(callSuper = true)
public class ZxLogEntity extends BaseEntity {

	/**
	 * 1=移交 2=注销
	 */
	@ApiModelProperty(value = "1=移交 2=注销")
	private int type;
	/**
	 * 移交的业务类别
	 */
	@ApiModelProperty(value = "移交的业务类别")
	private String ywlb;
	/**
	 * 说明
	 */
	@ApiModelProperty(value = "说明")
	private String sm;
	/**
	 * 源用户id
	 */
	@ApiModelProperty(value = "源用户id")
	private Long oldUserId;
	/**
	 * 目标用户id
	 */
	@ApiModelProperty(value = "目标用户id")
	private Long newUserId;

}
