/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.zxLog.service.impl;

import org.springblade.modules.log.zxLog.entity.ZxLogEntity;
import org.springblade.modules.log.zxLog.vo.ZxLogVO;
import org.springblade.modules.log.zxLog.excel.ZxLogExcel;
import org.springblade.modules.log.zxLog.mapper.ZxLogMapper;
import org.springblade.modules.log.zxLog.service.IZxLogService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 用户注销log 服务实现类
 *
 * @author BladeX
 * @since 2024-04-07
 */
@Service
public class ZxLogServiceImpl extends BaseServiceImpl<ZxLogMapper, ZxLogEntity> implements IZxLogService {

	@Override
	public IPage<ZxLogVO> selectLogPage(IPage<ZxLogVO> page, ZxLogVO log) {
		return page.setRecords(baseMapper.selectLogPage(page, log));
	}


	@Override
	public List<ZxLogExcel> exportLog(Wrapper<ZxLogEntity> queryWrapper) {
		List<ZxLogExcel> logList = baseMapper.exportLog(queryWrapper);
		//logList.forEach(log -> {
		//	log.setTypeName(DictCache.getValue(DictEnum.YES_NO, Log.getType()));
		//});
		return logList;
	}

}
