/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.zxLog.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.log.zxLog.entity.ZxLogEntity;
import org.springblade.modules.log.zxLog.vo.ZxLogVO;
import java.util.Objects;

/**
 * 用户注销log 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-04-07
 */
public class ZxLogWrapper extends BaseEntityWrapper<ZxLogEntity, ZxLogVO>  {

	public static ZxLogWrapper build() {
		return new ZxLogWrapper();
 	}

	@Override
	public ZxLogVO entityVO(ZxLogEntity log) {
		ZxLogVO logVO = Objects.requireNonNull(BeanUtil.copy(log, ZxLogVO.class));

		//User createUser = UserCache.getUser(log.getCreateUser());
		//User updateUser = UserCache.getUser(log.getUpdateUser());
		//logVO.setCreateUserName(createUser.getName());
		//logVO.setUpdateUserName(updateUser.getName());

		return logVO;
	}


}
