/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mdjfJq.service.impl;

import org.springblade.modules.mdjfJq.entity.MdjfJqEntity;
import org.springblade.modules.mdjfJq.service.IMdjfJqService;
import org.springblade.modules.mdjfJq.vo.MdjfJqVO;
import org.springblade.modules.mdjfJq.excel.MdjfJqExcel;
import org.springblade.modules.mdjfJq.mapper.MdjfJqMapper;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 矛盾纠纷-警情 关联表 服务实现类
 *
 * @author BladeX
 * @since 2024-05-24
 */
@Service
public class MdjfJqServiceImpl extends BaseServiceImpl<MdjfJqMapper, MdjfJqEntity> implements IMdjfJqService {

	@Override
	public IPage<MdjfJqVO> selectmdjfJqPage(IPage<MdjfJqVO> page, MdjfJqVO MdjfJq) {
		return page.setRecords(baseMapper.selectmdjfJqPage(page, MdjfJq));
	}


	@Override
	public List<MdjfJqExcel> exportmdjfJq(Wrapper<MdjfJqEntity> queryWrapper) {
		List<MdjfJqExcel> MdjfJqList = baseMapper.exportmdjfJq(queryWrapper);
		//MdjfJqList.forEach(MdjfJq -> {
		//	MdjfJq.setTypeName(DictCache.getValue(DictEnum.YES_NO, mdjfJq.getType()));
		//});
		return MdjfJqList;
	}

}
