package org.springblade.modules.mdjfdj.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import java.util.Date;

/**
 * 矛盾纠纷登记表 实体类
 *
 * @author BladeX
 * @since 2023-08-02
 */
@Data
@TableName("mdjf_dj")
@ApiModel(value = "mdjfDj对象", description = "矛盾纠纷登记表")
@EqualsAndHashCode(callSuper = true)
public class MdjfDjEntity extends BaseEntity {

	@ApiModelProperty(value = "纠纷名称")
	private String jfmc;
	@ApiModelProperty(value = "纠纷类型")
	private String jflx;
	@ApiModelProperty(value = "纠纷原因")
	private String jfyy;
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(value = "纠纷发生时间")
	private Date jffssj;
	@TableField(exist = false)
	@ApiModelProperty(value = "纠纷发生时间字符")
	private String jffssjStr;
	@ApiModelProperty(value = "纠纷发生地点")
	private String jffsdd;
	@ApiModelProperty(value = "简要案情")
	private String jyaq;
	@ApiModelProperty(value = "纠纷登记时间")
	private Date jfdjsj;
	@ApiModelProperty(value = "纠纷所属社区")
	private Long jfsssq;
	@ApiModelProperty(value = "纠纷所属派出所")
	private Long jfsspcs;
	@ApiModelProperty(value = "纠纷所属分局")
	private Long jfssfj;
	@ApiModelProperty(value = "上报状态")
	private String sbzt;
	@ApiModelProperty(value = "上报时间")
	private Date sbsj;
	@ApiModelProperty(value = "上报单位")
	private Long sbdw;
	@ApiModelProperty(value = "移交状态")
	private String yjzt;
	@ApiModelProperty(value = "移交时间")
	private Date yjsj;
	@ApiModelProperty(value = "移交单位")
	private Long yjdw;
	@ApiModelProperty(value = "反馈时间")
	private Date fksj;
	@ApiModelProperty(value = "反馈内容")
	private String fknr;
	@ApiModelProperty(value = "反馈人")
	private String fkr;
	@ApiModelProperty(value = "反馈单位")
	private Long fkdw;
	@ApiModelProperty(value = "回访人")
	private String hfr;
	@ApiModelProperty(value = "回访内容")
	private String hfnr;
	@ApiModelProperty(value = "回访时间")
	private Date hfsj;
	@ApiModelProperty(value = "反馈单位")
	private Long djr;
	@ApiModelProperty(value = "矛盾级别 一般/重要/严重")
	private String mdjb;
	@ApiModelProperty(value = "照片")
	private String zp;
	@ApiModelProperty(value = "是否收藏 0否 1是")
	private int sfsc;
	@ApiModelProperty(value = "对出警处理情况是否满意 0否 1是")
	private int sfmy;
	@ApiModelProperty(value = "问题是否解决 0否 1是")
	private int sfjj;
	@ApiModelProperty(value = "问题建议")
	private String wtjy;
	@ApiModelProperty(value = "通话记录截图")
	private String thjl;
	@ApiModelProperty(value = "评价")
	private String pj;
	@ApiModelProperty(value = "评价理由")
	private String pjly;
	@ApiModelProperty(value = "评价时间")
	private Date pjsj;
	@ApiModelProperty(value = "评价人")
	private String pjr;
	@ApiModelProperty(value = "备注")
	private String bz;
	@ApiModelProperty(value = "主责单位")
	private String zzdw;
	@ApiModelProperty(value = "矛盾等级")
	private String mdjbV;
	@TableField(exist = false)
	private String mdjbVVlaue;
	@ApiModelProperty(value = "要求回访次数")
	private Integer xhfcs;
	@ApiModelProperty(value = "已回访次数")
	private Integer yhfcs;
	@ApiModelProperty(value = "回访状态")
	private String hfztNew;
	@ApiModelProperty(value = "报警人电话")
	private String bjrdh;
	@TableField(exist = false)
	private String hfztNewValve;
	@ApiModelProperty(value = "超时状态")
	private String cszt;
	@TableField(exist = false)
	private String csztValue;
	private String csnr;
	@ApiModelProperty(value = "回访截止日期")
	private Date hfjzsj;
	private Date hfjzsj2;
	private Date hfjzsj3;
	private Integer dychf;
	private Integer dechf;
	private Integer dschf;
	@ApiModelProperty(value = "超时次数")
	private Integer cscs;
	@TableField(exist = false)
	private String tsnr;
	private String jfly;
	@TableField(exist = false)
	private String rwzt;
	@TableField(exist = false)
	private String tjzt;
	@TableField(exist = false)
	private String sqName;
	@TableField(exist = false)
	private String pcsName;
	@TableField(exist = false)
	private String fjName;
	@TableField(exist = false)
	private String sjName;
	@TableField(exist = false)
	private String createName;
	@TableField(exist = false)
	private String sftj;
	@TableField(exist = false)
	private String tjsj;
	@TableField(exist = false)
	private String tjxq;
	@TableField(exist = false)
	private String jfryArr;
	@TableField(exist = false)
	private String sqId;
	@TableField(exist = false)
	private String pcsId;
	@TableField(exist = false)
	private String fjId;
	@TableField(exist = false)
	private String sjId;
	@TableField(exist = false)
	private String mdId;
	@TableField(exist = false)
	private String jqbh;
	@ApiModelProperty(value = "反馈单编号")
	private String fkdbh;
	@ApiModelProperty(value = "接警单编号")
	private String jjdbh;
}
