package org.springblade.modules.mdjfdj.excel;


import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 矛盾纠纷登记表 Excel实体类
 *
 * @author BladeX
 * @since 2023-08-02
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class MdjfDjExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 纠纷来源
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷来源")
	private String jfly;
	/**
	 * 纠纷名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷名称")
	private String jfmc;
	/**
	 * 纠纷发生地点
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷发生地点")
	private String jffsdd;
	/**
	 * 纠纷类型
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷类型")
	private String jflx;
	/**
	 * 纠纷原因
	 */
//	@ColumnWidth(20)
//	@ExcelProperty("纠纷原因")
//	private String jfyy;
	/**
	 * 简要案情
	 */
	@ColumnWidth(20)
	@ExcelProperty("简要案情")
	private String jyaq;
	/**
	 * 纠纷发生时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷发生时间")
	private Date jffssj;
	/**
	 * 纠纷登记时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷登记时间")
	private Date createTime;
	/**
	 * 登记人
	 */
	@ColumnWidth(20)
	@ExcelProperty("登记人")
	private String createName;
	/**
	 * 纠纷所属社区
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷所属社区")
	private String sqName;
	/**
	 * 纠纷所属派出所
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷所属派出所")
	private String pcsName;
	/**
	 * 签收状态
	 */
	@ColumnWidth(20)
	@ExcelProperty("签收状态")
	private String rwzt;
	/**
	 * 调解状态
	 */
	@ColumnWidth(20)
	@ExcelProperty("调解状态")
	private String tjzt;
//	/**
//	 * 回访状态
//	 */
//	@ColumnWidth(20)
//	@ExcelProperty("回访状态")
//	private String hfzt;
	/**
	 * 回访状态
	 */
	@ColumnWidth(20)
	@ExcelProperty("回访状态")
	private String hfztNew;
}
