/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mdjfdj.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.mdjfdj.entity.MdjfDjEntity;
import org.springblade.modules.mdjfdj.vo.MdjfDjVO;
import java.util.Objects;

/**
 * 矛盾纠纷登记表 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-08-02
 */
public class MdjfDjWrapper extends BaseEntityWrapper<MdjfDjEntity, MdjfDjVO>  {

	public static MdjfDjWrapper build() {
		return new MdjfDjWrapper();
 	}

	@Override
	public MdjfDjVO entityVO(MdjfDjEntity mdjfdj) {
		MdjfDjVO mdjfdjVO = Objects.requireNonNull(BeanUtil.copy(mdjfdj, MdjfDjVO.class));

		//User createUser = UserCache.getUser(mdjfdj.getCreateUser());
		//User updateUser = UserCache.getUser(mdjfdj.getUpdateUser());
		//mdjfdjVO.setCreateUserName(createUser.getName());
		//mdjfdjVO.setUpdateUserName(updateUser.getName());

		return mdjfdjVO;
	}


}
