package org.springblade.modules.mdjfhf.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import java.util.Map;

/**
 * 矛盾纠纷-回访 实体类
 *
 * @author BladeX
 * @since 2023-11-17
 */
@Data
@TableName("mdjf_hf")
@ApiModel(value = "Hf对象", description = "矛盾纠纷-回访")
@EqualsAndHashCode(callSuper = true)
public class HfEntity extends BaseEntity {

	/**
	 * 纠纷id
	 */
	@ApiModelProperty(value = "纠纷id")
	private Long jfId;
	/**
	 * 回访地点
	 */
	@ApiModelProperty(value = "回访地点")
	private String hfdd;
	/**
	 * 回访对象
	 */
	@ApiModelProperty(value = "回访对象")
	private String hfdx;
	/**
	 * 回访情况
	 */
	@ApiModelProperty(value = "回访情况")
	private String hfqk;
	/**
	 * 纠纷人员对本次回访是否满意 0=满意 1=不满意
	 */
	@ApiModelProperty(value = "纠纷人员对本次回访是否满意 0=满意 1=不满意")
	private Integer sfmy;
	/**
	 * 民警签名
	 */
	@ApiModelProperty(value = "民警签名")
	private String mjqm;
	/**
	 * 备注
	 */
	@ApiModelProperty(value = "备注")
	private String bz;
	@ApiModelProperty(value = "回访超时状态")
	private String cszt;
	@TableField(exist = false)
	private Map<String, String> hfzpMap;
}
