/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mdjfhf.excel;


import lombok.Data;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 矛盾纠纷-回访 Excel实体类
 *
 * @author BladeX
 * @since 2023-11-17
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class HfExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 回访地点
	 */
	@ColumnWidth(20)
	@ExcelProperty("回访地点")
	private String hfdd;
	/**
	 * 回访对象
	 */
	@ColumnWidth(20)
	@ExcelProperty("回访对象")
	private String hfdx;
	/**
	 * 回访情况
	 */
	@ColumnWidth(20)
	@ExcelProperty("回访情况")
	private String hfqk;
	/**
	 * 纠纷人员对本次回访是否满意 0=满意 1=不满意
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷人员对本次回访是否满意 0=满意 1=不满意")
	private Integer sfmy;
	/**
	 * 民警签名
	 */
	@ColumnWidth(20)
	@ExcelProperty("民警签名")
	private String mjqm;
	/**
	 * 备注
	 */
	@ColumnWidth(20)
	@ExcelProperty("备注")
	private String bz;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Integer isDeleted;

}
