/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mdjfhf.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import lombok.Data;
import org.springblade.modules.mdjfhf.entity.HfEntity;
import org.springblade.modules.mdjfhf.vo.HfVO;
import org.springblade.modules.mdjfhf.excel.HfExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;

import java.util.Date;
import java.util.List;

/**
 * 矛盾纠纷-回访 服务类
 *
 * @author BladeX
 * @since 2023-11-17
 */
public interface IHfService extends BaseService<HfEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param hf
	 * @return
	 */
	IPage<HfVO> selectHfPage(IPage<HfVO> page, HfVO hf);


	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<HfExcel> exportHf(Wrapper<HfEntity> queryWrapper);




	List<HfEntity> getCountsHfcsByMdId(Long jfId, Date jzsj);

	/**
	 * 通过矛盾id查询回访次数
	 * @param jfId
	 * @return
	 */
	Integer getYhfcsByMdIdAndHfjzsj(Long jfId, Date hfjzsj);


	Integer getCountHfcsByMdIdBYTime2(Long jfId, Date hfjzsj ,Date hfjzsj2);
	Integer getCountHfcsByMdIdBYTime3(Long jfId, Date hfjzsj2,Date hfjzsj3);
	Integer getCountHfcsByMdIdBYTime4(Long jfId,Date hfjzsj3);

	void saveJl(HfEntity hf);
}
