package org.springblade.modules.mdjfry.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 纠纷人员登记表 实体类
 *
 * @author BladeX
 * @since 2023-08-02
 */
@Data
@TableName("mdjf_ry")
@ApiModel(value = "mdjfRy对象", description = "纠纷人员登记表")
@EqualsAndHashCode(callSuper = true)
public class MdjfRyEntity extends BaseEntity {

	/**
	 * 纠纷ID
	 */
	@ApiModelProperty(value = "纠纷ID")
	private Long jfId;
	/**
	 * 姓名
	 */
	@ApiModelProperty(value = "姓名")
	private String xm;
	/**
	 * 性别
	 */
	@ApiModelProperty(value = "性别")
	private String xb;
	/**
	 * 身份证号
	 */
	@ApiModelProperty(value = "身份证号")
	private String sfzh;
	/**
	 * 联系电话
	 */
	@ApiModelProperty(value = "联系电话")
	private String lxdh;
	/**
	 * 类别
	 */
	@ApiModelProperty(value = "类别")
	private String lb;
	/**
	 * 人员照片
	 */
	@ApiModelProperty(value = "人员照片")
	private String ryzp;
	/**
	 * 是否列控 (0否 1是)
	 */
	@ApiModelProperty(value = "是否列控 (0否 1是)")
	private int sflk;
	/**
	 * 签名照片
	 */
	@ApiModelProperty(value = "签名照片")
	private String qmzp;
	/**
	 * 回访照片
	 */
	@ApiModelProperty(value = "回访照片")
	private String hfzp;
}
