/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mdjfry.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.mdjfpj.entity.PjEntity;
import org.springblade.modules.mdjfry.entity.MdjfRyEntity;
import org.springblade.modules.mdjfry.excel.MdjfRyExcel;

import java.util.List;
import java.util.Map;

/**
 * 纠纷人员登记表 Mapper 接口
 *
 * @author BladeX
 * @since 2023-08-02
 */
public interface MdjfRyMapper extends BaseMapper<MdjfRyEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param mdjfry
	 * @return
	 */
	List<MdjfRyEntity> selectmdjfRyPage(IPage page, MdjfRyEntity mdjfry);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<MdjfRyExcel> exportmdjfRy(@Param("ew") Wrapper<MdjfRyEntity> queryWrapper);

    List<MdjfRyEntity> getRyByMdId(Long id);

    void updateLkry(String ryids);

	void updateAllQmzp(@Param("qmzpMap") Map<String, String> qmzpMap);

	void updateAllHfzp(@Param("hfzpMap") Map<String, String> hfzpMap);

	void updateAllRyzp(@Param("ryzpMap") Map<String, String> ryzpMap);

	void updateAllPj(PjEntity pjEntity);

	@DS("jl")
	List<MdjfRyEntity> getRyByMdIdJl(Long mdid);

	@DS("jl")
    void saveJl(MdjfRyEntity mdjfRy);

	@DS("jl")
	void updateAllQmzpJl(@Param("qmzpMap") Map<String, String> qmzpMap);

	@DS("jl")
	void updateAllRyzpJl(@Param("ryzpMap") Map<String, String> ryzpMap);

	@DS("jl")
	void updateAllHfzpJl(@Param("hfzpMap") Map<String, String> hfzpMap);
}
