/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mdjftj.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.modules.mdjfpj.entity.PjEntity;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 矛盾纠纷调解表 实体类
 *
 * @author BladeX
 * @since 2023-08-02
 */
@Data
@TableName("mdjf_tj")
@ApiModel(value = "mdjfTj对象", description = "矛盾纠纷调解表")
@EqualsAndHashCode(callSuper = true)
public class MdjfTjEntity extends BaseEntity {

	/**
	 * 纠纷ID
	 */
	@ApiModelProperty(value = "纠纷ID")
	private Long jfId;
	/**
	 * 调解时间
	 */
	@ApiModelProperty(value = "调解时间")
	private Date tjsj;
	/**
	 * 调解地点
	 */
	@ApiModelProperty(value = "调解地点")
	private String tjdd;
	/**
	 * 人身伤害
	 */
	@ApiModelProperty(value = "人身伤害")
	private String rssh;
	/**
	 * 财务损失
	 */
	@ApiModelProperty(value = "财务损失")
	private String cwss;
	/**
	 * 调解详情
	 */
	@ApiModelProperty(value = "调解详情")
	private String tjxq;
	/**
	 * 调解状态
	 */
	@ApiModelProperty(value = "调解状态")
	private String tjzt;
	/**
	 * 附件
	 */
	@ApiModelProperty(value = "附件")
	private String fj;
	/**
	 * 调解随行人
	 */
	@ApiModelProperty(value = "调解随行人")
	private String tjsxr;
	/**
	 * 调解结果照片
	 */
	@ApiModelProperty(value = "调解结果照片")
	private String tjjgzp;
	/**
	 * 上报单位
	 */
	@ApiModelProperty(value = "上报单位")
	private Long sbdw;
	/**
	 * 列控原因
	 */
	@ApiModelProperty(value = "列控原因")
	private String lkyy;
	private String bmmc;
	@TableField(exist = false)
	private String ryIds;
	@TableField(exist = false)
	private Map<String, String> qmzpMap;
	@TableField(exist = false)
	private Map<String, String> ryzpMap;
	@TableField(exist = false)
	private Long tjId;
	@TableField(exist = false)
	private List<PjEntity> pjEntity;
}
