/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mdjftj.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 矛盾纠纷调解表 Excel实体类
 *
 * @author BladeX
 * @since 2023-08-02
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class MdjfTjExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 纠纷ID
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷ID")
	private Long jfId;
	/**
	 * 调解时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("调解时间")
	private Date tjsj;
	/**
	 * 调解地点
	 */
	@ColumnWidth(20)
	@ExcelProperty("调解地点")
	private String tjdd;
	/**
	 * 人身伤害
	 */
	@ColumnWidth(20)
	@ExcelProperty("人身伤害")
	private String rssh;
	/**
	 * 财务损失
	 */
	@ColumnWidth(20)
	@ExcelProperty("财务损失")
	private String cwss;
	/**
	 * 调解详情
	 */
	@ColumnWidth(20)
	@ExcelProperty("调解详情")
	private String tjxq;
	/**
	 * 调解状态
	 */
	@ColumnWidth(20)
	@ExcelProperty("调解状态")
	private String tjzt;
	/**
	 * 附件
	 */
	@ColumnWidth(20)
	@ExcelProperty("附件")
	private String fj;
	/**
	 * 调解随行人
	 */
	@ColumnWidth(20)
	@ExcelProperty("调解随行人")
	private String tjsxr;
	/**
	 * 调解结果照片
	 */
	@ColumnWidth(20)
	@ExcelProperty("调解结果照片")
	private String tjjgzp;

}
