package org.springblade.modules.mdjftj.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.mdjftj.entity.MdjfTjEntity;
import org.springblade.modules.mdjftj.excel.MdjfTjExcel;
import org.springblade.modules.mdjftj.vo.MdjfTjVO;
import org.springblade.modules.system.entity.Dept;

import java.util.List;
import java.util.Map;

/**
 * 矛盾纠纷调解表 Mapper 接口
 *
 * @author BladeX
 * @since 2023-08-02
 */
public interface MdjfTjMapper extends BaseMapper<MdjfTjEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @return
	 */
	List<MdjfTjVO> selectmdjfTjPage(IPage page, @Param("params") Map<String, Object> params);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<MdjfTjExcel> exportmdjfTj(@Param("ew") Wrapper<MdjfTjEntity> queryWrapper);

	Dept selectZf(String deptId);

	/**
	 * 回访后修改调节状态
	 * @param mdjfTjEntity
	 */
	void updateByHf(MdjfTjEntity mdjfTjEntity);

	@DS("jl")
	void saveMdjfTjJl(MdjfTjEntity mdjfTj);
}
