/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mdjfxj.djXj.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.mdjfdj.vo.MdjfDjVO;
import org.springblade.modules.mdjfxj.djXj.entity.DjXjEntity;
import org.springblade.modules.mdjfxj.djXj.excel.DjXjExcel;
import org.springblade.modules.mdjfxj.djXj.vo.DjXjVO;

import java.util.List;
import java.util.Map;

/**
 * 矛盾纠纷巡警登记表 服务类
 *
 * @author BladeX
 * @since 2024-04-10
 */
public interface IDjXjService extends BaseService<DjXjEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param djXj
	 * @return
	 */
	IPage<DjXjVO> selectDjXjPage(IPage<DjXjVO> page, Map<String, Object> params);


	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<DjXjExcel> exportDjXj(Wrapper<DjXjEntity> queryWrapper);

    IPage<DjXjVO> pageToApp(IPage<DjXjVO> page, Map<String, Object> params, String[] mdIds);

	IPage<DjXjVO> getMdByPcs(IPage<DjXjVO> page, Map<String, Object> params);

	IPage<DjXjVO> getMdyjByPcs(IPage<DjXjVO> page, Map<String, Object> params);
}
