/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mdjfxj.djXj.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.mdjfxj.djXj.entity.DjXjEntity;
import org.springblade.modules.mdjfxj.djXj.vo.DjXjVO;

import java.util.Objects;

/**
 * 矛盾纠纷巡警登记表 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-04-10
 */
public class DjXjWrapper extends BaseEntityWrapper<DjXjEntity, DjXjVO>  {

	public static DjXjWrapper build() {
		return new DjXjWrapper();
 	}

	@Override
	public DjXjVO entityVO(DjXjEntity djXj) {
		DjXjVO djXjVO = Objects.requireNonNull(BeanUtil.copy(djXj, DjXjVO.class));

		//User createUser = UserCache.getUser(djXj.getCreateUser());
		//User updateUser = UserCache.getUser(djXj.getUpdateUser());
		//djXjVO.setCreateUserName(createUser.getName());
		//djXjVO.setUpdateUserName(updateUser.getName());

		return djXjVO;
	}


}
