/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mdjfxj.hfXj.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 矛盾纠纷-回访 实体类
 *
 * @author BladeX
 * @since 2024-04-10
 */
@Data
@TableName("mdjf_hf_xj")
@ApiModel(value = "HfXj对象", description = "矛盾纠纷-回访")
@EqualsAndHashCode(callSuper = true)
public class HfXjEntity extends BaseEntity {

	/**
	 * 纠纷ID
	 */
	@ApiModelProperty(value = "纠纷ID")
	private Long jfId;
	/**
	 * 回访地点
	 */
	@ApiModelProperty(value = "回访地点")
	private String hfdd;
	/**
	 * 回访对象
	 */
	@ApiModelProperty(value = "回访对象")
	private String hfdx;
	/**
	 * 回访情况
	 */
	@ApiModelProperty(value = "回访情况")
	private String hfqk;
	/**
	 * 纠纷人员对本次回访是否满意 0=满意 1=不满意
	 */
	@ApiModelProperty(value = "纠纷人员对本次回访是否满意 0=满意 1=不满意")
	private Integer sfmy;
	/**
	 * 民警签名
	 */
	@ApiModelProperty(value = "民警签名")
	private String mjqm;
	/**
	 * 备注
	 */
	@ApiModelProperty(value = "备注")
	private String bz;
	/**
	 * 回访超时状态
	 */
	@ApiModelProperty(value = "回访超时状态")
	private String cszt;

}
