/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mdjfxj.hfXj.service.impl;

import org.springblade.modules.mdjfxj.hfXj.entity.HfXjEntity;
import org.springblade.modules.mdjfxj.hfXj.vo.HfXjVO;
import org.springblade.modules.mdjfxj.hfXj.excel.HfXjExcel;
import org.springblade.modules.mdjfxj.hfXj.mapper.HfXjMapper;
import org.springblade.modules.mdjfxj.hfXj.service.IHfXjService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 矛盾纠纷-回访 服务实现类
 *
 * @author BladeX
 * @since 2024-04-10
 */
@Service
public class HfXjServiceImpl extends BaseServiceImpl<HfXjMapper, HfXjEntity> implements IHfXjService {

	@Override
	public IPage<HfXjVO> selectHfXjPage(IPage<HfXjVO> page, HfXjVO hfXj) {
		return page.setRecords(baseMapper.selectHfXjPage(page, hfXj));
	}


	@Override
	public List<HfXjExcel> exportHfXj(Wrapper<HfXjEntity> queryWrapper) {
		List<HfXjExcel> hfXjList = baseMapper.exportHfXj(queryWrapper);
		//hfXjList.forEach(hfXj -> {
		//	hfXj.setTypeName(DictCache.getValue(DictEnum.YES_NO, HfXj.getType()));
		//});
		return hfXjList;
	}

}
