/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mdjfxj.hfXj.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.mdjfxj.hfXj.entity.HfXjEntity;
import org.springblade.modules.mdjfxj.hfXj.vo.HfXjVO;
import java.util.Objects;

/**
 * 矛盾纠纷-回访 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-04-10
 */
public class HfXjWrapper extends BaseEntityWrapper<HfXjEntity, HfXjVO>  {

	public static HfXjWrapper build() {
		return new HfXjWrapper();
 	}

	@Override
	public HfXjVO entityVO(HfXjEntity hfXj) {
		HfXjVO hfXjVO = Objects.requireNonNull(BeanUtil.copy(hfXj, HfXjVO.class));

		//User createUser = UserCache.getUser(hfXj.getCreateUser());
		//User updateUser = UserCache.getUser(hfXj.getUpdateUser());
		//hfXjVO.setCreateUserName(createUser.getName());
		//hfXjVO.setUpdateUserName(updateUser.getName());

		return hfXjVO;
	}


}
