/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mdjfxj.pjXj.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 矛盾纠纷评价 实体类
 *
 * @author BladeX
 * @since 2024-04-19
 */
@Data
@TableName("mdjf_pj_xj")
@ApiModel(value = "PjXj对象", description = "矛盾纠纷评价")
@EqualsAndHashCode(callSuper = true)
public class PjXjEntity extends BaseEntity {

	/**
	 * 纠纷id
	 */
	@ApiModelProperty(value = "纠纷id")
	private Long jfId;
	/**
	 * 调解id
	 */
	@ApiModelProperty(value = "调解id")
	private Long tjId;
	/**
	 * 人员id
	 */
	@ApiModelProperty(value = "人员id")
	private Long ryId;
	/**
	 * 评价
	 */
	@ApiModelProperty(value = "评价")
	private String pj;

}
