/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mdjfxj.pjXj.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 矛盾纠纷评价 Excel实体类
 *
 * @author BladeX
 * @since 2024-04-19
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class PjXjExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 纠纷id
	 */
	@ColumnWidth(20)
	@ExcelProperty("纠纷id")
	private Long jfId;
	/**
	 * 调解id
	 */
	@ColumnWidth(20)
	@ExcelProperty("调解id")
	private Long tjId;
	/**
	 * 人员id
	 */
	@ColumnWidth(20)
	@ExcelProperty("人员id")
	private Long ryId;
	/**
	 * 评价
	 */
	@ColumnWidth(20)
	@ExcelProperty("评价")
	private String pj;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Integer isDeleted;

}
