/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mdjfxj.ryXj.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 纠纷人员登记表 实体类
 *
 * @author BladeX
 * @since 2024-04-10
 */
@Data
@TableName("mdjf_ry_xj")
@ApiModel(value = "RyXj对象", description = "纠纷人员登记表")
@EqualsAndHashCode(callSuper = true)
public class RyXjEntity extends BaseEntity {

	/**
	 * 纠纷ID
	 */
	@ApiModelProperty(value = "纠纷ID")
	private Long jfId;
	/**
	 * 姓名
	 */
	@ApiModelProperty(value = "姓名")
	private String xm;
	/**
	 * 性别
	 */
	@ApiModelProperty(value = "性别")
	private String xb;
	/**
	 * 身份证号
	 */
	@ApiModelProperty(value = "身份证号")
	private String sfzh;
	/**
	 * 联系电话
	 */
	@ApiModelProperty(value = "联系电话")
	private String lxdh;
	/**
	 * 类别
	 */
	@ApiModelProperty(value = "类别")
	private String lb;
	/**
	 * 人员照片
	 */
	@ApiModelProperty(value = "人员照片")
	private String ryzp;
	/**
	 * 是否列控 (0否 1是)
	 */
	@ApiModelProperty(value = "是否列控 (0否 1是)")
	private Integer sflk;
	/**
	 * 签名照片
	 */
	@ApiModelProperty(value = "签名照片")
	private String qmzp;
	/**
	 * 回访照片
	 */
	@ApiModelProperty(value = "回访照片")
	private String hfzp;

}
