/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mdjfxj.ryXj.service.impl;

import org.springblade.modules.mdjfxj.ryXj.entity.RyXjEntity;
import org.springblade.modules.mdjfxj.ryXj.vo.RyXjVO;
import org.springblade.modules.mdjfxj.ryXj.excel.RyXjExcel;
import org.springblade.modules.mdjfxj.ryXj.mapper.RyXjMapper;
import org.springblade.modules.mdjfxj.ryXj.service.IRyXjService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;
import java.util.Map;

/**
 * 纠纷人员登记表 服务实现类
 *
 * @author BladeX
 * @since 2024-04-10
 */
@Service
public class RyXjServiceImpl extends BaseServiceImpl<RyXjMapper, RyXjEntity> implements IRyXjService {

	@Override
	public IPage<RyXjVO> selectRyXjPage(IPage<RyXjVO> page, RyXjVO ryXj) {
		return page.setRecords(baseMapper.selectRyXjPage(page, ryXj));
	}


	@Override
	public List<RyXjExcel> exportRyXj(Wrapper<RyXjEntity> queryWrapper) {
		List<RyXjExcel> ryXjList = baseMapper.exportRyXj(queryWrapper);
		//ryXjList.forEach(ryXj -> {
		//	ryXj.setTypeName(DictCache.getValue(DictEnum.YES_NO, RyXj.getType()));
		//});
		return ryXjList;
	}

	@Override
	public List<RyXjEntity> getRyByMdId(Long id) {
		return baseMapper.getRyByMdId(id);
	}

	@Override
	public void updateAllQmzp(Map<String, String> qmzpMap) {
		baseMapper.updateAllQmzp(qmzpMap);
	}

	public void updateAllRyzp(Map<String, String> ryzpMap) {
		baseMapper.updateAllRyzp(ryzpMap);
	}
}
