/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mdjfxj.tjXj.mapper;

import org.springblade.modules.mdjfxj.tjXj.entity.TjXjEntity;
import org.springblade.modules.mdjfxj.tjXj.vo.TjXjVO;
import org.springblade.modules.mdjfxj.tjXj.excel.TjXjExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import java.util.List;
import java.util.Map;

/**
 * 矛盾纠纷调解表 Mapper 接口
 *
 * @author BladeX
 * @since 2024-04-10
 */
public interface TjXjMapper extends BaseMapper<TjXjEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param tjXj
	 * @return
	 */
	List<TjXjVO> selectTjXjPage(IPage page, @Param("params") Map<String, Object> params);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<TjXjExcel> exportTjXj(@Param("ew") Wrapper<TjXjEntity> queryWrapper);

}
