/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mdjfxj.tjXj.service.impl;

import org.springblade.modules.mdjfxj.tjXj.entity.TjXjEntity;
import org.springblade.modules.mdjfxj.tjXj.vo.TjXjVO;
import org.springblade.modules.mdjfxj.tjXj.excel.TjXjExcel;
import org.springblade.modules.mdjfxj.tjXj.mapper.TjXjMapper;
import org.springblade.modules.mdjfxj.tjXj.service.ITjXjService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;
import java.util.Map;

/**
 * 矛盾纠纷调解表 服务实现类
 *
 * @author BladeX
 * @since 2024-04-10
 */
@Service
public class TjXjServiceImpl extends BaseServiceImpl<TjXjMapper, TjXjEntity> implements ITjXjService {

	@Override
	public IPage<TjXjVO> selectTjXjPage(IPage<TjXjVO> page, Map<String, Object> params) {
		return page.setRecords(baseMapper.selectTjXjPage(page, params));
	}


	@Override
	public List<TjXjExcel> exportTjXj(Wrapper<TjXjEntity> queryWrapper) {
		List<TjXjExcel> tjXjList = baseMapper.exportTjXj(queryWrapper);
		//tjXjList.forEach(tjXj -> {
		//	tjXj.setTypeName(DictCache.getValue(DictEnum.YES_NO, TjXj.getType()));
		//});
		return tjXjList;
	}

}
