/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mdjfxj.tjXj.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.mdjfxj.tjXj.entity.TjXjEntity;
import org.springblade.modules.mdjfxj.tjXj.vo.TjXjVO;
import java.util.Objects;

/**
 * 矛盾纠纷调解表 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-04-10
 */
public class TjXjWrapper extends BaseEntityWrapper<TjXjEntity, TjXjVO>  {

	public static TjXjWrapper build() {
		return new TjXjWrapper();
 	}

	@Override
	public TjXjVO entityVO(TjXjEntity tjXj) {
		TjXjVO tjXjVO = Objects.requireNonNull(BeanUtil.copy(tjXj, TjXjVO.class));

		//User createUser = UserCache.getUser(tjXj.getCreateUser());
		//User updateUser = UserCache.getUser(tjXj.getUpdateUser());
		//tjXjVO.setCreateUserName(createUser.getName());
		//tjXjVO.setUpdateUserName(updateUser.getName());

		return tjXjVO;
	}


}
