package org.springblade.modules.pfInfo.excel;


import lombok.Data;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;

import java.io.Serializable;


/**
 * 手动打分 Excel实体类
 *
 * @author BladeX
 * @since 2023-07-13
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class PfInfoExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 手机号码
	 */
	@ColumnWidth(20)
	@ExcelProperty("手机号码")
	private String sjhm;
	/**
	 * 年月(2023-07)
	 */
	@ColumnWidth(20)
	@ExcelProperty("年月(2023-07)")
	private String yf;
	/**
	 * 评分项
	 */
	@ColumnWidth(20)
	@ExcelProperty("评分项")
	private Long pfxId;
	/**
	 * 扣分原因
	 */
	@ColumnWidth(20)
	@ExcelProperty("扣分原因")
	private String kfyy;
	/**
	 * 附件
	 */
	@ColumnWidth(20)
	@ExcelProperty("附件")
	private String file;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Integer isDeleted;

}
