package org.springblade.modules.pfInfo.mapper;

import org.springblade.modules.pfInfo.entity.PfInfoEntity;
import org.springblade.modules.pfInfo.vo.PfInfoVO;
import org.springblade.modules.pfInfo.excel.PfInfoExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 手动打分 Mapper 接口
 *
 * @author BladeX
 * @since 2023-07-13
 */
public interface PfInfoMapper extends BaseMapper<PfInfoEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @return
	 */
	List<PfInfoVO> selectInfoPage(IPage page, @Param("params") Map<String, Object> params);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<PfInfoExcel> exportInfo(@Param("ew") Wrapper<PfInfoEntity> queryWrapper);

    int getDzbhdCs(@Param("params") Map<String, Object> params);

	List<PfInfoVO> pageApp(IPage page, @Param("params") Map<String, Object> params);
}
