/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.pfb.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 警员评分表 实体类
 *
 * @author BladeX
 * @since 2023-07-11
 */
@Data
@TableName("jlrh_pfb")
@ApiModel(value = "Pfb对象", description = "警员评分表")
@EqualsAndHashCode(callSuper = true)
public class PfbEntity extends BaseEntity {

	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private Long ryid;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private Long pfxid;
	/**
	 * 评分项名称
	 */
	@ApiModelProperty(value = "评分项名称")
	private String pfxmc;
	/**
	 * 系统分数
	 */
	@ApiModelProperty(value = "系统分数")
	private String xtfs;
	/**
	 * 单位评分
	 */
	@ApiModelProperty(value = "单位评分")
	private String dwpf;
	/**
	 * 评分月份
	 */
	@ApiModelProperty(value = "评分月份")
	private Date pfyf;


}
