/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.pfb.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 警员评分表 Excel实体类
 *
 * @author BladeX
 * @since 2023-07-11
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class PfbExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Long ryid;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Long pfxid;
	/**
	 * 评分项名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("评分项名称")
	private String pfxmc;
	/**
	 * 系统分数
	 */
	@ColumnWidth(20)
	@ExcelProperty("系统分数")
	private String xtfs;
	/**
	 * 单位评分
	 */
	@ColumnWidth(20)
	@ExcelProperty("单位评分")
	private String dwpf;
	/**
	 * 是否已删除
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否已删除")
	private Integer isDeleted;
	/**
	 * 评分月份
	 */
	@ColumnWidth(20)
	@ExcelProperty("评分月份")
	private Date pfyf;

}
