/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.pfb.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.byMonth.vo.ByMonthVO;
import org.springblade.modules.pfb.entity.PfbEntity;
import org.springblade.modules.pfb.excel.PfbExcel;
import org.springblade.modules.pfb.vo.PfbVO;

import java.util.List;
import java.util.Map;

/**
 * 警员评分表 Mapper 接口
 *
 * @author BladeX
 * @since 2023-07-11
 */
public interface PfbMapper extends BaseMapper<PfbEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param pfb
	 * @return
	 */
	List<PfbVO> selectPfbPage(IPage page, PfbVO pfb);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<PfbExcel> exportPfb(@Param("ew") Wrapper<PfbEntity> queryWrapper);

	ByMonthVO getPf(@Param("params") Map<String, Object> params);
}
