/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.pfb.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.byMonth.vo.ByMonthVO;
import org.springblade.modules.pfb.entity.PfbEntity;
import org.springblade.modules.pfb.excel.PfbExcel;
import org.springblade.modules.pfb.mapper.PfbMapper;
import org.springblade.modules.pfb.service.IPfbService;
import org.springblade.modules.pfb.vo.PfbVO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 警员评分表 服务实现类
 *
 * @author BladeX
 * @since 2023-07-11
 */
@Service
public class PfbServiceImpl extends BaseServiceImpl<PfbMapper, PfbEntity> implements IPfbService {

	@Override
	public IPage<PfbVO> selectPfbPage(IPage<PfbVO> page, PfbVO pfb) {
		return page.setRecords(baseMapper.selectPfbPage(page, pfb));
	}


	@Override
	public List<PfbExcel> exportPfb(Wrapper<PfbEntity> queryWrapper) {
		List<PfbExcel> pfbList = baseMapper.exportPfb(queryWrapper);
		//pfbList.forEach(pfb -> {
		//	pfb.setTypeName(DictCache.getValue(DictEnum.YES_NO, Pfb.getType()));
		//});
		return pfbList;
	}

	@Override
	public ByMonthVO getPf(Map<String, Object> params) {
		return baseMapper.getPf(params);
	}

}
