package org.springblade.modules.rhzf.aqxcff.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.rhzf.aqxcff.excel.RhzfAqxcffExcel;
import org.springblade.modules.rhzf.aqxcff.pojo.entity.RhzfAqxcffEntity;
import org.springblade.modules.rhzf.aqxcff.pojo.vo.RhzfAqxcffVO;

import java.util.List;
import java.util.Map;

/**
 * 入户走访_安全宣传防范 Mapper 接口
 *
 * @author wth
 * @since 2024-11-14
 */
public interface RhzfAqxcffMapper extends BaseMapper<RhzfAqxcffEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param rhzfAqxcff 查询参数
	 * @return List<RhzfAqxcffVO>
	 */
	List<RhzfAqxcffVO> selectRhzfAqxcffPage(IPage page, RhzfAqxcffVO rhzfAqxcff);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<RhzfAqxcffExcel>
	 */
	List<RhzfAqxcffExcel> exportRhzfAqxcff(@Param("ew") Wrapper<RhzfAqxcffEntity> queryWrapper);

	List<RhzfAqxcffEntity> getByDzbm(@Param("params") Map<String, Object> params);
}
