/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rhzf.fwFz.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 入户走访_房屋_房主 Excel实体类
 *
 * @author BladeX
 * @since 2023-12-15
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class FwFzExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * rhzf_fw_info表id
	 */
	@ColumnWidth(20)
	@ExcelProperty("rhzf_fw_info表id")
	private Long fwId;
	/**
	 * 房主类型 0自然人 1组织
	 */
	@ColumnWidth(20)
	@ExcelProperty("房主类型 0自然人 1组织")
	private Integer type;
	/**
	 * 房主信息_姓名
	 */
	@ColumnWidth(20)
	@ExcelProperty("房主信息_姓名")
	private String fzXm;
	/**
	 * 房主信息_身份证号
	 */
	@ColumnWidth(20)
	@ExcelProperty("房主信息_身份证号")
	private String fzSfzh;
	/**
	 * 房主信息_联系电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("房主信息_联系电话")
	private String fzDh;
	/**
	 * 房主信息_工作单位
	 */
	@ColumnWidth(20)
	@ExcelProperty("房主信息_工作单位")
	private String fzDw;
	/**
	 * 房主信息_现居住地址
	 */
	@ColumnWidth(20)
	@ExcelProperty("房主信息_现居住地址")
	private String fzJzd;
	/**
	 * 是否在此居住 0否1是
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否在此居住 0否1是")
	private Integer sfzcjz;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Integer isDeleted;

}
