/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rhzf.fwFz.mapper;

import org.springblade.modules.rhzf.fwFz.entity.FwFzEntity;
import org.springblade.modules.rhzf.fwFz.vo.FwFzVO;
import org.springblade.modules.rhzf.fwFz.excel.FwFzExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import java.util.List;
import java.util.Map;

/**
 * 入户走访_房屋_房主 Mapper 接口
 *
 * @author BladeX
 * @since 2023-12-15
 */
public interface FwFzMapper extends BaseMapper<FwFzEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param fwFz
	 * @return
	 */
	List<FwFzVO> selectFwFzPage(IPage page, FwFzVO fwFz);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<FwFzExcel> exportFwFz(@Param("ew") Wrapper<FwFzEntity> queryWrapper);

	FwFzEntity getFzList(@Param("params") Map<String, Object> params);

    FwFzEntity getFzById(Long id);

	void updateFzByFwId(FwFzEntity fzInfo);
}
