/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rhzf.fwFz.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.rhzf.fwFz.entity.FwFzEntity;
import org.springblade.modules.rhzf.fwFz.vo.FwFzVO;
import java.util.Objects;

/**
 * 入户走访_房屋_房主 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-12-15
 */
public class FwFzWrapper extends BaseEntityWrapper<FwFzEntity, FwFzVO>  {

	public static FwFzWrapper build() {
		return new FwFzWrapper();
 	}

	@Override
	public FwFzVO entityVO(FwFzEntity fwFz) {
		FwFzVO fwFzVO = Objects.requireNonNull(BeanUtil.copy(fwFz, FwFzVO.class));

		//User createUser = UserCache.getUser(fwFz.getCreateUser());
		//User updateUser = UserCache.getUser(fwFz.getUpdateUser());
		//fwFzVO.setCreateUserName(createUser.getName());
		//fwFzVO.setUpdateUserName(updateUser.getName());

		return fwFzVO;
	}


}
