/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rhzf.fwInfo.excel;


import com.alibaba.excel.annotation.ExcelIgnore;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 入户走访_房屋_基本信息 Excel实体类
 *
 * @author BladeX
 * @since 2023-11-14
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class FwInfoExcel implements Serializable {

	private static final long serialVersionUID = 1L;
	@ExcelIgnore
	private Long fwid;
	@ExcelIgnore
	private String dzbm;
	@ExcelIgnore
	private String ryxm;
	@ExcelIgnore
	private String rydh;
	@ExcelIgnore
	private String ryzjhm;
	@ExcelIgnore
	private String rylb;
	/**
	 * 房屋地址_街道
	 */
	@ColumnWidth(20)
	@ExcelProperty("房屋地址")
	private String dzXz;
	/**
	 * 房屋地址_社区
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属社区")
	private String deptName;
	/**
	 * 派出所
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属派出所")
	private String pcsName;

	/**
	 * 房屋地址_城市
	 */
	@ColumnWidth(20)
	@ExcelProperty("房主姓名")
	private String fzXm;
	/**
	 * 房屋地址_区县
	 */
	@ColumnWidth(20)
	@ExcelProperty("房主电话")
	private String fzDh;
	/**
	 * 房屋地址_区县
	 */
	@ColumnWidth(20)
	@ExcelProperty("房主身份证号")
	private String fzSfzh;
//	@ColumnWidth(20)
//	@ExcelProperty("房屋面积")
//	private String fwMj;
//	@ColumnWidth(20)
//	@ExcelProperty("房间数")
//	private String fwJs;
	@ColumnWidth(20)
	@ExcelProperty("房间人员")
	private String fwrycount;
	@ColumnWidth(20)
	@ExcelProperty("房屋性质")
	private String fwxz;
	@ColumnWidth(20)
	@ExcelProperty("特殊情况")
	private String tsqk;
	@ColumnWidth(20)
	@ExcelProperty("使用用途")
	private String fwSyyt;
	@ColumnWidth(20)
	@ExcelProperty("房屋用途")
	private String fwyt;
	@ColumnWidth(20)
	@ExcelProperty("登记警员")
	private String userName;
	@ColumnWidth(20)
	@ExcelProperty("录入时间")
	private Date createTime;
	@ColumnWidth(20)
	@ExcelProperty("修改警员")
	private String updateName;
	@ColumnWidth(20)
	@ExcelProperty("修改时间")
	private Date updateTime;
}
