/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rhzf.fwInfo.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.rhzf.fwInfo.entity.FwInfoEntity;
import org.springblade.modules.rhzf.fwInfo.vo.FwInfoVO;
import java.util.Objects;

/**
 * 入户走访_房屋_基本信息 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-11-14
 */
public class FwInfoWrapper extends BaseEntityWrapper<FwInfoEntity, FwInfoVO>  {

	public static FwInfoWrapper build() {
		return new FwInfoWrapper();
 	}

	@Override
	public FwInfoVO entityVO(FwInfoEntity fwInfo) {
		FwInfoVO fwInfoVO = Objects.requireNonNull(BeanUtil.copy(fwInfo, FwInfoVO.class));

		//User createUser = UserCache.getUser(fwInfo.getCreateUser());
		//User updateUser = UserCache.getUser(fwInfo.getUpdateUser());
		//fwInfoVO.setCreateUserName(createUser.getName());
		//fwInfoVO.setUpdateUserName(updateUser.getName());

		return fwInfoVO;
	}


}
