/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rhzf.fwRy.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 入户走访_房屋_人员关联表 Excel实体类
 *
 * @author BladeX
 * @since 2023-11-14
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class FwRyExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 关联rhzf_fw_info表id
	 */
	@ColumnWidth(20)
	@ExcelProperty("关联rhzf_fw_info表id")
	private Long fwId;
	/**
	 * 关联rhzf_ry_各表id
	 */
	@ColumnWidth(20)
	@ExcelProperty("关联rhzf_ry_各表id")
	private Long ryId;
	/**
	 * 人员类别(常住/寄住/暂住/境外/未落常口)
	 */
	@ColumnWidth(20)
	@ExcelProperty("人员类别(常住/寄住/暂住/境外/未落常口)")
	private String ryLb;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Integer isDeleted;

}
