/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rhzf.fwRy.mapper;

import org.springblade.modules.rhzf.fwInfo.vo.SyjzryVO;
import org.springblade.modules.rhzf.fwRy.entity.FwRyEntity;
import org.springblade.modules.rhzf.fwRy.excel.RyxqExcel;
import org.springblade.modules.rhzf.fwRy.vo.FwRyVO;
import org.springblade.modules.rhzf.fwRy.excel.FwRyExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import java.util.List;
import java.util.Map;

/**
 * 入户走访_房屋_人员关联表 Mapper 接口
 *
 * @author BladeX
 * @since 2023-11-14
 */
public interface FwRyMapper extends BaseMapper<FwRyEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param fwRy
	 * @return
	 */
	List<FwRyVO> selectFwRyPage(IPage page, FwRyVO fwRy);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<FwRyExcel> exportFwRy(@Param("ew") Wrapper<FwRyEntity> queryWrapper);

    int getCountByRyXlh(String ryjbxxxlh);

	int countByDzbm(String dzbm);

    List<SyjzryVO> getSyrkList(@Param("params") Map<String, Object> params);

    void updateFwId(@Param("fwId") Long fwId, @Param("dzbm") String dzbm, @Param("ryType") String ryType, @Param("ryId") Long ryId);

    void deleteByRyidAndType(@Param("params") Map<String, Object> params);

    List<SyjzryVO> getRyls(@Param("params") Map<String, String> params);

    List<SyjzryVO> getFwry(IPage page, SyjzryVO syjzryVO);

    List<SyjzryVO> fwryList(SyjzryVO syjzryVO);

	List<RyxqExcel> exportRyxq(@Param("params") Map<String, Object> params);
}
