package org.springblade.modules.rhzf.fwqz.excel;

import lombok.Data;

import java.io.Serializable;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;

/**
 * 入户走访_服务群众 Excel实体类
 *
 * @author BladeX
 * @since 2024-10-31
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class RhzfFwqzExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 关联rhzf_fw_info表id
	 */
	@ColumnWidth(20)
	@ExcelProperty("关联rhzf_fw_info表id")
	private Long fwId;
	/**
	 * 地址编码
	 */
	@ColumnWidth(20)
	@ExcelProperty("地址编码")
	private String dzbm;
	/**
	 * 服务类型
	 */
	@ColumnWidth(20)
	@ExcelProperty("服务类型")
	private String fwlx;
	/**
	 * 委托人/办理人 姓名
	 */
	@ColumnWidth(20)
	@ExcelProperty("委托人/办理人 姓名")
	private String xm;
	/**
	 * 委托人/办理人 身份证号
	 */
	@ColumnWidth(20)
	@ExcelProperty("委托人/办理人 身份证号")
	private String sfzh;
	/**
	 * 办理业务
	 */
	@ColumnWidth(20)
	@ExcelProperty("办理业务")
	private String blyw;
	/**
	 * 受委托人姓名
	 */
	@ColumnWidth(20)
	@ExcelProperty("受委托人姓名")
	private String swtrxm;
	/**
	 * 受委托人身份证号
	 */
	@ColumnWidth(20)
	@ExcelProperty("受委托人身份证号")
	private String swtrsfzh;
	/**
	 * 附件
	 */
	@ColumnWidth(20)
	@ExcelProperty("附件")
	private String fj;
	/**
	 * 上门原因
	 */
	@ColumnWidth(20)
	@ExcelProperty("上门原因")
	private String smyy;
	/**
	 * 预约地点
	 */
	@ColumnWidth(20)
	@ExcelProperty("预约地点")
	private String yydd;
	/**
	 * 预约时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("预约时间")
	private String yysj;

}
