package org.springblade.modules.rhzf.fwqz.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.rhzf.fwqz.excel.RhzfFwqzExcel;
import org.springblade.modules.rhzf.fwqz.pojo.entity.RhzfFwqzEntity;
import org.springblade.modules.rhzf.fwqz.pojo.vo.RhzfFwqzVO;

import java.util.List;
import java.util.Map;

/**
 * 入户走访_服务群众 Mapper 接口
 *
 * @author BladeX
 * @since 2024-10-31
 */
public interface RhzfFwqzMapper extends BaseMapper<RhzfFwqzEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param params 查询参数
	 * @return List<RhzfFwqzVO>
	 */
	List<RhzfFwqzVO> selectRhzfFwqzPage(IPage page, @Param("params") Map<String, Object> params);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<RhzfFwqzExcel>
	 */
	List<RhzfFwqzExcel> exportRhzfFwqz(@Param("ew") Wrapper<RhzfFwqzEntity> queryWrapper);

    List<RhzfFwqzEntity> getByDzbm(@Param("params") Map<String, Object> params);
}
