package org.springblade.modules.rhzf.gzyj.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.rhzf.gzyj.excel.RhzfGzyjExcel;
import org.springblade.modules.rhzf.gzyj.pojo.entity.RhzfGzyjEntity;
import org.springblade.modules.rhzf.gzyj.pojo.vo.RhzfGzyjVO;

import java.util.List;
import java.util.Map;

/**
 * 入户走访_意见征集 Mapper 接口
 *
 * @author wth
 * @since 2024-11-14
 */
public interface RhzfGzyjMapper extends BaseMapper<RhzfGzyjEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param rhzfGzyj 查询参数
	 * @return List<RhzfGzyjVO>
	 */
	List<RhzfGzyjVO> selectRhzfGzyjPage(IPage page, RhzfGzyjVO rhzfGzyj);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<RhzfGzyjExcel>
	 */
	List<RhzfGzyjExcel> exportRhzfGzyj(@Param("ew") Wrapper<RhzfGzyjEntity> queryWrapper);

	List<RhzfGzyjEntity> getByDzbm(@Param("params") Map<String, Object> params);
}
