/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rhzf.jxcs.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 入户走访_九小场所 实体类
 *
 * @author BladeX
 * @since 2023-12-17
 */
@Data
@TableName("rhzf_jxcs")
@ApiModel(value = "Jxcs对象", description = "入户走访_九小场所")
@EqualsAndHashCode(callSuper = true)
public class JxcsEntity extends BaseEntity {

	/**
	 * rhzf_fw_info表id
	 */
	@ApiModelProperty(value = "rhzf_fw_info表id")
	private Long fwId;
	/**
	 * 场所名称
	 */
	@ApiModelProperty(value = "场所名称")
	private String csmc;
	/**
	 * 是否法人 0否 1是
	 */
	@ApiModelProperty(value = "是否法人 0否 1是")
	private Integer sffr;
	/**
	 * 单位类别
	 */
	@ApiModelProperty(value = "单位类别")
	private String dwlb;
	@ApiModelProperty(value = "统一信用代码")
	private String tyxydm;
	/**
	 * 地址
	 */
	@ApiModelProperty(value = "地址")
	private String dz;
	@TableField(exist = false)
	private String sffrValue;

}
