/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rhzf.jxcs.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 入户走访_九小场所 Excel实体类
 *
 * @author BladeX
 * @since 2023-12-17
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class JxcsExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * rhzf_fw_info表id
	 */
	@ColumnWidth(20)
	@ExcelProperty("rhzf_fw_info表id")
	private Long fwId;
	/**
	 * 场所名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("场所名称")
	private String csmc;
	/**
	 * 是否法人 0否 1是
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否法人 0否 1是")
	private Integer sffr;
	/**
	 * 单位类别
	 */
	@ColumnWidth(20)
	@ExcelProperty("单位类别")
	private String dwlb;
	/**
	 * 地址
	 */
	@ColumnWidth(20)
	@ExcelProperty("地址")
	private String dz;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Integer isDeleted;

}
