/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rhzf.jxcs.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.modules.rhzf.jxcs.entity.JxcsEntity;
import org.springblade.modules.rhzf.jxcs.vo.JxcsVO;
import org.springblade.modules.rhzf.jxcs.excel.JxcsExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import java.util.List;
import java.util.Map;

/**
 * 入户走访_九小场所 服务类
 *
 * @author BladeX
 * @since 2023-12-17
 */
public interface IJxcsService extends BaseService<JxcsEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param jxcs
	 * @return
	 */
	IPage<JxcsVO> selectJxcsPage(IPage<JxcsVO> page, JxcsVO jxcs);


	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<JxcsExcel> exportJxcs(Wrapper<JxcsEntity> queryWrapper);

    List<JxcsVO> getJxcsList(Map<String, Object> params);
}
