/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rhzf.jxcs.service.impl;

import org.springblade.modules.rhzf.jxcs.entity.JxcsEntity;
import org.springblade.modules.rhzf.jxcs.vo.JxcsVO;
import org.springblade.modules.rhzf.jxcs.excel.JxcsExcel;
import org.springblade.modules.rhzf.jxcs.mapper.JxcsMapper;
import org.springblade.modules.rhzf.jxcs.service.IJxcsService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;
import java.util.Map;

/**
 * 入户走访_九小场所 服务实现类
 *
 * @author BladeX
 * @since 2023-12-17
 */
@Service
public class JxcsServiceImpl extends BaseServiceImpl<JxcsMapper, JxcsEntity> implements IJxcsService {

	@Override
	public IPage<JxcsVO> selectJxcsPage(IPage<JxcsVO> page, JxcsVO jxcs) {
		return page.setRecords(baseMapper.selectJxcsPage(page, jxcs));
	}


	@Override
	public List<JxcsExcel> exportJxcs(Wrapper<JxcsEntity> queryWrapper) {
		List<JxcsExcel> jxcsList = baseMapper.exportJxcs(queryWrapper);
		//jxcsList.forEach(jxcs -> {
		//	jxcs.setTypeName(DictCache.getValue(DictEnum.YES_NO, Jxcs.getType()));
		//});
		return jxcsList;
	}

	@Override
	public List<JxcsVO> getJxcsList(Map<String, Object> params) {
		return baseMapper.getJxcsList(params);
	}

}
