package org.springblade.modules.rhzf.ryCzrk.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 入户走访_人员_常住人口 实体类
 *
 * @author BladeX
 * @since 2023-11-14
 */
@Data
@TableName("rhzf_ry_czrk")
@ApiModel(value = "RyCzrk对象", description = "入户走访_人员_常住人口")
@EqualsAndHashCode(callSuper = true)
public class RyCzrkEntity extends BaseEntity {

	/**
	 * 关联rhzf_fw_info表id
	 */
	@ApiModelProperty(value = "关联rhzf_fw_info表id")
	private Long fwId;
	/**
	 * 常住人员_姓名
	 */
	@ApiModelProperty(value = "常住人员_姓名")
	private String ryXm;
	/**
	 * 常住人员_身份证号
	 */
	@ApiModelProperty(value = "常住人员_身份证号")
	private String rySfzh;
	/**
	 * 常住人员_性别
	 */
	@ApiModelProperty(value = "常住人员_性别")
	private String ryXb;
	/**
	 * 常住人员_民族
	 */
	@ApiModelProperty(value = "常住人员_民族")
	private String ryMz;
	/**
	 * 常住人员_出生日期
	 */
	@ApiModelProperty(value = "常住人员_出生日期")
	private String ryCsrq;
	/**
	 * 常住人员_与房主关系
	 */
	@ApiModelProperty(value = "常住人员_与房主关系")
	private String ryHzgx;
	/**
	 * 常住人员_婚姻状况
	 */
	@ApiModelProperty(value = "常住人员_婚姻状况")
	private String ryHyzk;
	/**
	 * 常住人员_文化程度
	 */
	@ApiModelProperty(value = "常住人员_文化程度")
	private String ryWhcd;
	/**
	 * 常住人员_政治面貌
	 */
	@ApiModelProperty(value = "常住人员_政治面貌")
	private String ryZzmm;
	/**
	 * 常住人员_兵役状况
	 */
	@ApiModelProperty(value = "常住人员_兵役状况")
	private String ryByzk;
	/**
	 * 常住人员_联系电话
	 */
	@ApiModelProperty(value = "常住人员_联系电话")
	private String ryDh;
	/**
	 * 常住人员_特殊人群_类别
	 */
	@ApiModelProperty(value = "常住人员_特殊人群_类别")
	private String ryTsLb;
	/**
	 * 常住人员_特殊人群_具体情况
	 */
	@ApiModelProperty(value = "常住人员_特殊人群_具体情况")
	private String ryTsJtqk;
	/**
	 * 单位_名称
	 */
	@ApiModelProperty(value = "单位_名称")
	private String dwMc;
	/**
	 * 单位_管理类别
	 */
	@ApiModelProperty(value = "单位_管理类别")
	private String dwLb;
	/**
	 * 单位_地址
	 */
	@ApiModelProperty(value = "单位_地址")
	private String dwDz;
	/**
	 * 单位_详址
	 */
	@ApiModelProperty(value = "单位_详址")
	private String dwXz;
	/**
	 * 微信
	 */
	@ApiModelProperty(value = "微信")
	private String vx;
	/**
	 * 人户一致 0=一致 1=不一致
	 */
	@ApiModelProperty(value = "人户一致 0=一致 1=不一致")
	private int rhyz;
	/**
	 * 户籍地址
	 */
	@ApiModelProperty(value = "户籍地址")
	private String hjdz;
	/**
	 * 宗教信仰
	 */
	@ApiModelProperty(value = "宗教信仰")
	private String zjxy;
	/**
	 * 地址编码
	 */
	@ApiModelProperty(value = "地址编码")
	private String dzbm;
	/**
	 * 人员基本信息序列号
	 */
	@ApiModelProperty(value = "人员基本信息序列号")
	private String ryjbxxxlh;
	/**
	 * 常住人员_婚姻状况_代码
	 */
	@ApiModelProperty(value = "常住人员_婚姻状况_代码")
	private String ryHyzkDm;
	/**
	 * 常住人员_文化程度_代码
	 */
	@ApiModelProperty(value = "常住人员_文化程度_代码")
	private String ryWhcdDm;
	/**
	 * 常住人员_政治面貌_代码
	 */
	@ApiModelProperty(value = "常住人员_政治面貌_代码")
	private String ryZzmmDm;
	/**
	 * 常住人员_兵役状况_代码
	 */
	@ApiModelProperty(value = "常住人员_兵役状况_代码")
	private String ryByzkDm;
	/**
	 * 常住人员_宗教信仰_代码
	 */
	@ApiModelProperty(value = "常住人员_宗教信仰_代码")
	private String zjxyDm;
	/**
	 * 常住人员_民族_代码
	 */
	@ApiModelProperty(value = "常住人员_民族_代码")
	private String ryMzDm;
	/**
	 * 备注
	 */
	@ApiModelProperty(value = "备注")
	private String bz;
	/**
	 * 民警id
	 */
	@ApiModelProperty(value = "民警id")
	private Long mjId;
	/**
	 * 注销或外出原因
	 */
	@ApiModelProperty(value = "注销或外出原因")
	private String zxyy;
	/**
	 * 注销日期(民警操作日期)
	 */
	@ApiModelProperty(value = "注销日期(民警操作日期)")
	private String zxrq;
	/**
	 * 补充原因
	 */
	@ApiModelProperty(value = "补充原因")
	private String bcyy;
	/**
	 * 补充日期
	 */
	@ApiModelProperty(value = "补充日期")
	private String bcrq;
	/**
	 * 去往地址省市县(区)
	 */
	@ApiModelProperty(value = "去往地址省市县(区)")
	private String qwdzssxq;
	/**
	 * 去往地址详址
	 */
	@ApiModelProperty(value = "去往地址详址")
	private String qwdzxz;
}
