/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rhzf.ryCzrk.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.rhzf.ryCzrk.entity.RyCzrkEntity;
import org.springblade.modules.rhzf.ryCzrk.vo.RyCzrkVO;
import java.util.Objects;

/**
 * 入户走访_人员_常住人口 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-11-14
 */
public class RyCzrkWrapper extends BaseEntityWrapper<RyCzrkEntity, RyCzrkVO>  {

	public static RyCzrkWrapper build() {
		return new RyCzrkWrapper();
 	}

	@Override
	public RyCzrkVO entityVO(RyCzrkEntity ryCzrk) {
		RyCzrkVO ryCzrkVO = Objects.requireNonNull(BeanUtil.copy(ryCzrk, RyCzrkVO.class));

		//User createUser = UserCache.getUser(ryCzrk.getCreateUser());
		//User updateUser = UserCache.getUser(ryCzrk.getUpdateUser());
		//ryCzrkVO.setCreateUserName(createUser.getName());
		//ryCzrkVO.setUpdateUserName(updateUser.getName());

		return ryCzrkVO;
	}


}
