/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rhzf.ryJzrk.mapper;

import org.springblade.modules.rhzf.fwInfo.vo.SyjzryVO;
import org.springblade.modules.rhzf.ryJzrk.entity.RyJzrkEntity;
import org.springblade.modules.rhzf.ryJzrk.vo.RyJzrkVO;
import org.springblade.modules.rhzf.ryJzrk.excel.RyJzrkExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import java.util.List;

/**
 * 入户走访_人员_寄住人口 Mapper 接口
 *
 * @author BladeX
 * @since 2023-11-14
 */
public interface RyJzrkMapper extends BaseMapper<RyJzrkEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param ryJzrk
	 * @return
	 */
	List<RyJzrkVO> selectRyJzrkPage(IPage page, RyJzrkVO ryJzrk);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<RyJzrkExcel> exportRyJzrk(@Param("ew") Wrapper<RyJzrkEntity> queryWrapper);

    boolean updateRy(SyjzryVO syjzryVO);

    void jzrkZx(RyJzrkEntity jzrkEntity);
}
