/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rhzf.ryWlrk.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 入户走访_人员_未落常口 Excel实体类
 *
 * @author BladeX
 * @since 2023-11-14
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class RyWlrkExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 关联rhzf_fw_info表id
	 */
	@ColumnWidth(20)
	@ExcelProperty("关联rhzf_fw_info表id")
	private Long fwId;
	/**
	 * 未落常口_类别
	 */
	@ColumnWidth(20)
	@ExcelProperty("未落常口_类别")
	private String ryLb;
	/**
	 * 未落常口_身份证号
	 */
	@ColumnWidth(20)
	@ExcelProperty("未落常口_身份证号")
	private String rySfzh;
	/**
	 * 未落常口_姓名
	 */
	@ColumnWidth(20)
	@ExcelProperty("未落常口_姓名")
	private String ryXm;
	/**
	 * 未落常口_性别
	 */
	@ColumnWidth(20)
	@ExcelProperty("未落常口_性别")
	private String ryXb;
	/**
	 * 未落常口_民族
	 */
	@ColumnWidth(20)
	@ExcelProperty("未落常口_民族")
	private String ryMz;
	/**
	 * 未落常口_出生日期
	 */
	@ColumnWidth(20)
	@ExcelProperty("未落常口_出生日期")
	private String ryCsrq;
	/**
	 * 未落常口_与房主关系
	 */
	@ColumnWidth(20)
	@ExcelProperty("未落常口_与房主关系")
	private String ryHzgx;
	/**
	 * 未落常口_婚姻状况
	 */
	@ColumnWidth(20)
	@ExcelProperty("未落常口_婚姻状况")
	private String ryHyzk;
	/**
	 * 未落常口_文化程度
	 */
	@ColumnWidth(20)
	@ExcelProperty("未落常口_文化程度")
	private String ryWhcd;
	/**
	 * 未落常口_政治面貌
	 */
	@ColumnWidth(20)
	@ExcelProperty("未落常口_政治面貌")
	private String ryZzmm;
	/**
	 * 未落常口_兵役状况
	 */
	@ColumnWidth(20)
	@ExcelProperty("未落常口_兵役状况")
	private String ryByzk;
	/**
	 * 未落常口_联系电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("未落常口_联系电话")
	private String ryDh;
	/**
	 * 未落常口_特殊人群_类别
	 */
	@ColumnWidth(20)
	@ExcelProperty("未落常口_特殊人群_类别")
	private String ryTsLb;
	/**
	 * 未落常口_特殊人群_具体情况
	 */
	@ColumnWidth(20)
	@ExcelProperty("未落常口_特殊人群_具体情况")
	private String ryTsJtqk;
	/**
	 * 单位_名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("单位_名称")
	private String dwMc;
	/**
	 * 单位_管理类别
	 */
	@ColumnWidth(20)
	@ExcelProperty("单位_管理类别")
	private String dwLb;
	/**
	 * 单位_地址
	 */
	@ColumnWidth(20)
	@ExcelProperty("单位_地址")
	private String dwDz;
	/**
	 * 单位_详址
	 */
	@ColumnWidth(20)
	@ExcelProperty("单位_详址")
	private String dwXz;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Integer isDeleted;

}
