package org.springblade.modules.rhzf.wtfy.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.rhzf.wtfy.excel.RhzfWtfyExcel;
import org.springblade.modules.rhzf.wtfy.pojo.entity.RhzfWtfyEntity;
import org.springblade.modules.rhzf.wtfy.pojo.vo.RhzfWtfyVO;

import java.util.List;
import java.util.Map;

/**
 * 入户走访_问题反映 Mapper 接口
 *
 * @author wth
 * @since 2024-11-14
 */
public interface RhzfWtfyMapper extends BaseMapper<RhzfWtfyEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param rhzfWtfy 查询参数
	 * @return List<RhzfWtfyVO>
	 */
	List<RhzfWtfyVO> selectRhzfWtfyPage(IPage page, RhzfWtfyVO rhzfWtfy);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<RhzfWtfyExcel>
	 */
	List<RhzfWtfyExcel> exportRhzfWtfy(@Param("ew") Wrapper<RhzfWtfyEntity> queryWrapper);

	List<RhzfWtfyEntity> getByDzbm(@Param("params") Map<String, Object> params);
}
