package org.springblade.modules.rhzf.wtfy.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.rhzf.wtfy.excel.RhzfWtfyExcel;
import org.springblade.modules.rhzf.wtfy.pojo.entity.RhzfWtfyEntity;
import org.springblade.modules.rhzf.wtfy.pojo.vo.RhzfWtfyVO;

import java.util.List;
import java.util.Map;

/**
 * 入户走访_问题反映 服务类
 *
 * @author wth
 * @since 2024-11-14
 */
public interface IRhzfWtfyService extends BaseService<RhzfWtfyEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param rhzfWtfy 查询参数
	 * @return IPage<RhzfWtfyVO>
	 */
	IPage<RhzfWtfyVO> selectRhzfWtfyPage(IPage<RhzfWtfyVO> page, RhzfWtfyVO rhzfWtfy);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<RhzfWtfyExcel>
	 */
	List<RhzfWtfyExcel> exportRhzfWtfy(Wrapper<RhzfWtfyEntity> queryWrapper);

	List<RhzfWtfyEntity> getByDzbm(Map<String, Object> params);
}
