/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rk.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 房屋人口 实体类
 *
 * @author BladeX
 * @since 2023-08-05
 */
@Data
@TableName("fw_rk")
@ApiModel(value = "Rk对象", description = "房屋人口")
@EqualsAndHashCode(callSuper = true)
public class RkEntity extends BaseEntity {

	/**
	 * 关联id
	 */
	@ApiModelProperty(value = "关联id")
	private String mdId;
	/**
	 * 姓名
	 */
	@ApiModelProperty(value = "姓名")
	private String xm;
	/**
	 * 与户主关系
	 */
	@ApiModelProperty(value = "与户主关系")
	private String yhzgx;
	/**
	 * 联系电话
	 */
	@ApiModelProperty(value = "联系电话")
	private String lxdh;
	/**
	 * 性别
	 */
	@ApiModelProperty(value = "性别")
	private String xb;
	/**
	 * 身份证号码
	 */
	@ApiModelProperty(value = "身份证号码")
	private String sfzh;
	/**
	 * 工作单位
	 */
	@ApiModelProperty(value = "工作单位")
	private String gzdw;
	/**
	 * 特长
	 */
	@ApiModelProperty(value = "特长")
	private String tc;
	/**
	 * 政治面貌
	 */
	@ApiModelProperty(value = "政治面貌")
	private String zzmm;
	/**
	 * 婚姻状况
	 */
	@ApiModelProperty(value = "婚姻状况")
	private String hyzk;
	/**
	 * 身高
	 */
	@ApiModelProperty(value = "身高")
	private String sg;
	/**
	 * 血型
	 */
	@ApiModelProperty(value = "血型")
	private String xx;
	/**
	 * 节育措施（药1，环2，扎3）
	 */
	@ApiModelProperty(value = "节育措施（药1，环2，扎3）")
	private String jycs;
	/**
	 * 就业情况
	 */
	@ApiModelProperty(value = "就业情况")
	private String jyqk;
	/**
	 * 是否参加社保 0否 1是
	 */
	@ApiModelProperty(value = "是否参加社保 0否 1是")
	private String sfcjsb;
	/**
	 * 是否参加医保 0否 1是
	 */
	@ApiModelProperty(value = "是否参加医保 0否 1是")
	private String sfcjyb;
	/**
	 * 身体健康情况
	 */
	@ApiModelProperty(value = "身体健康情况")
	private String stjkqk;
	/**
	 * 是否优抚对象 0否 1是
	 */
	@ApiModelProperty(value = "是否优抚对象 0否 1是")
	private String sfyfdx;
	/**
	 * 是否有服刑 0否 1是
	 */
	@ApiModelProperty(value = "是否有服刑 0否 1是")
	private String sfyfx;
	/**
	 * 是否有释放 0否 1是
	 */
	@ApiModelProperty(value = "是否有释放 0否 1是")
	private String sfysf;
	/**
	 * 有何宗教信仰
	 */
	@ApiModelProperty(value = "有何宗教信仰")
	private String yhzjxy;
	/**
	 * 紧急联系人姓名
	 */
	@ApiModelProperty(value = "紧急联系人姓名")
	private String jjlxrXm;
	/**
	 * 紧急联系人电话
	 */
	@ApiModelProperty(value = "紧急联系人电话")
	private String jjlxrDh;
	/**
	 * 是否留守儿童 0否 1是
	 */
	@ApiModelProperty(value = "是否留守儿童 0否 1是")
	private String lset;
	/**
	 * 是否孤寡老人 0否 1是
	 */
	@ApiModelProperty(value = "是否孤寡老人 0否 1是")
	private String gglr;
	/**
	 * xueli
	 */
	@ApiModelProperty(value = "学历")
	private String xl;
}
