/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rk.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 房屋人口 Excel实体类
 *
 * @author BladeX
 * @since 2023-08-05
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class RkExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 关联id
	 */
	@ColumnWidth(20)
	@ExcelProperty("关联id")
	private String mdId;
	/**
	 * 姓名
	 */
	@ColumnWidth(20)
	@ExcelProperty("姓名")
	private String xm;
	/**
	 * 与户主关系
	 */
	@ColumnWidth(20)
	@ExcelProperty("与户主关系")
	private String yhzgx;
	/**
	 * 联系电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("联系电话")
	private String lxdh;
	/**
	 * 性别
	 */
	@ColumnWidth(20)
	@ExcelProperty("性别")
	private String xb;
	/**
	 * 身份证号码
	 */
	@ColumnWidth(20)
	@ExcelProperty("身份证号码")
	private String sfzh;
	/**
	 * 工作单位
	 */
	@ColumnWidth(20)
	@ExcelProperty("工作单位")
	private String gzdw;
	/**
	 * 特长
	 */
	@ColumnWidth(20)
	@ExcelProperty("特长")
	private String tc;
	/**
	 * 政治面貌
	 */
	@ColumnWidth(20)
	@ExcelProperty("政治面貌")
	private String zzmm;
	/**
	 * 婚姻状况
	 */
	@ColumnWidth(20)
	@ExcelProperty("婚姻状况")
	private String hyzk;
	/**
	 * 身高
	 */
	@ColumnWidth(20)
	@ExcelProperty("身高")
	private String sg;
	/**
	 * 血型
	 */
	@ColumnWidth(20)
	@ExcelProperty("血型")
	private String xx;
	/**
	 * 节育措施（药1，环2，扎3）
	 */
	@ColumnWidth(20)
	@ExcelProperty("节育措施（药1，环2，扎3）")
	private Integer jycs;
	/**
	 * 就业情况
	 */
	@ColumnWidth(20)
	@ExcelProperty("就业情况")
	private String jyqk;
	/**
	 * 是否参加社保 0否 1是
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否参加社保 0否 1是")
	private Integer sfcjsb;
	/**
	 * 是否参加医保 0否 1是
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否参加医保 0否 1是")
	private Integer sfcjyb;
	/**
	 * 身体健康情况
	 */
	@ColumnWidth(20)
	@ExcelProperty("身体健康情况")
	private String stjkqk;
	/**
	 * 是否优抚对象 0否 1是
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否优抚对象 0否 1是")
	private Integer sfyfdx;
	/**
	 * 是否有服刑 0否 1是
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否有服刑 0否 1是")
	private Integer sfyfx;
	/**
	 * 是否有释放 0否 1是
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否有释放 0否 1是")
	private Integer sfysf;
	/**
	 * 有何宗教信仰
	 */
	@ColumnWidth(20)
	@ExcelProperty("有何宗教信仰")
	private String yhzjxy;
	/**
	 * 紧急联系人姓名
	 */
	@ColumnWidth(20)
	@ExcelProperty("紧急联系人姓名")
	private String jjlxrXm;
	/**
	 * 紧急联系人电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("紧急联系人电话")
	private String jjlxrDh;
	/**
	 * 是否留守儿童 0否 1是
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否留守儿童 0否 1是")
	private Integer lset;
	/**
	 * 是否孤寡老人 0否 1是
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否孤寡老人 0否 1是")
	private Integer gglr;
	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Integer isDeleted;

}
