/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rk.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.rk.entity.RkEntity;
import org.springblade.modules.rk.vo.RkVO;
import java.util.Objects;

/**
 * 房屋人口 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-08-05
 */
public class RkWrapper extends BaseEntityWrapper<RkEntity, RkVO>  {

	public static RkWrapper build() {
		return new RkWrapper();
 	}

	@Override
	public RkVO entityVO(RkEntity rk) {
		RkVO rkVO = Objects.requireNonNull(BeanUtil.copy(rk, RkVO.class));

		//User createUser = UserCache.getUser(rk.getCreateUser());
		//User updateUser = UserCache.getUser(rk.getUpdateUser());
		//rkVO.setCreateUserName(createUser.getName());
		//rkVO.setUpdateUserName(updateUser.getName());

		return rkVO;
	}


}
