/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rule.service.impl;

import org.springblade.modules.rule.entity.RuleEntity;
import org.springblade.modules.rule.excel.RuleExcel;
import org.springblade.modules.rule.mapper.RuleMapper;
import org.springblade.modules.rule.service.IRuleService;
import org.springblade.modules.rule.vo.RuleVO;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * sign_rule 服务实现类
 *
 * @author BladeX
 * @since 2023-07-07
 */
@Service
public class RuleServiceImpl extends BaseServiceImpl<RuleMapper, RuleEntity> implements IRuleService {

	@Override
	public IPage<RuleVO> selectRulePage(IPage<RuleVO> page, Long userId) {
		return page.setRecords(baseMapper.selectRulePage(page, userId));
	}


	@Override
	public List<RuleExcel> exportRule(Wrapper<RuleEntity> queryWrapper) {
		List<RuleExcel> ruleList = baseMapper.exportRule(queryWrapper);
		//ruleList.forEach(rule -> {
		//	rule.setTypeName(DictCache.getValue(DictEnum.YES_NO, Rule.getType()));
		//});
		return ruleList;
	}

}
