package org.springblade.modules.rwxffkb.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.springblade.modules.rwxffkb.entity.RwxffkbEntity;
import org.springblade.modules.rwxffkb.vo.RwxffkbVO;
import org.springblade.modules.rwxffkb.excel.RwxffkbExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 任务下发反馈 Mapper 接口
 *
 * @author ldx
 * @since 2023-09-13
 */
public interface RwxffkbMapper extends BaseMapper<RwxffkbEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @return
	 */
	@DS("jl")
	List<RwxffkbVO> selectRwxffkbPage(IPage page, @Param("params") Map<String, Object> params);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<RwxffkbExcel> exportRwxffkb(@Param("ew") Wrapper<RwxffkbEntity> queryWrapper);

	int getRwNum(@Param("params") Map<String, Object> params);

	@DS("jl")
	void updateByIdJl(RwxffkbEntity rwxffkb);
}
