/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rwxffkb.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.rwxffkb.entity.RwxffkbEntity;
import org.springblade.modules.rwxffkb.vo.RwxffkbVO;
import java.util.Objects;

/**
 * 任务下发反馈 包装类,返回视图层所需的字段
 *
 * @author ldx
 * @since 2023-09-13
 */
public class RwxffkbWrapper extends BaseEntityWrapper<RwxffkbEntity, RwxffkbVO>  {

	public static RwxffkbWrapper build() {
		return new RwxffkbWrapper();
 	}

	@Override
	public RwxffkbVO entityVO(RwxffkbEntity rwxffkb) {
		RwxffkbVO rwxffkbVO = Objects.requireNonNull(BeanUtil.copy(rwxffkb, RwxffkbVO.class));

		//User createUser = UserCache.getUser(rwxffkb.getCreateUser());
		//User updateUser = UserCache.getUser(rwxffkb.getUpdateUser());
		//rwxffkbVO.setCreateUserName(createUser.getName());
		//rwxffkbVO.setUpdateUserName(updateUser.getName());

		return rwxffkbVO;
	}


}
