/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.sign.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

import java.util.Date;

/**
 * 考勤 实体类
 *
 * @author BladeX
 * @since 2023-07-07
 */
@Data
@TableName("sign_info")
@ApiModel(value = "Sign对象", description = "考勤")
@EqualsAndHashCode(callSuper = true)
public class SignEntity extends BaseEntity {

	/**
	 * 签到人id
	 */
	@ApiModelProperty(value = "签到人id")
	private Long userId;
	/**
	 * 签到时间
	 */
	@ApiModelProperty(value = "签到时间")
	private String qdTime;
	/**
	 * 签到经度
	 */
	@ApiModelProperty(value = "签到经度")
	private String qdJd;
	/**
	 * 签到纬度
	 */
	@ApiModelProperty(value = "签到纬度")
	private String qdWd;
	/**
	 * 签到地址名称
	 */
	@ApiModelProperty(value = "签到地址名称")
	private String qddzMc;
	/**
	 * 1=上班 2=下班
	 */
	@ApiModelProperty(value = "1=上班 2=下班")
	private Integer type;


	@ApiModelProperty(value = "打卡照片")
	private String qdzp;
	@ApiModelProperty(value = "比对结果")
	private String bdjg;
	private String rq;

	@TableField(exist = false)
	private String name;
	@TableField(exist = false)
	private String zps;
}
