/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.sign.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 考勤 Excel实体类
 *
 * @author BladeX
 * @since 2023-07-07
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class SignExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 签到人id
	 */
	@ColumnWidth(20)
	@ExcelProperty("签到人id")
	private Integer userId;
	/**
	 * 签到时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("签到时间")
	private Date qdTime;
	/**
	 * 签到经度
	 */
	@ColumnWidth(20)
	@ExcelProperty("签到经度")
	private String qdJd;
	/**
	 * 签到纬度
	 */
	@ColumnWidth(20)
	@ExcelProperty("签到纬度")
	private String qdWd;
	/**
	 * 签到地址名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("签到地址名称")
	private String qddzMc;
	/**
	 * 1=上班 2=下班
	 */
	@ColumnWidth(20)
	@ExcelProperty("1=上班 2=下班")
	private Integer type;

}
