package org.springblade.modules.sqjw.jwtdzrq.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 警务团队-警务责任区 实体类
 *
 * @author BladeX
 * @since 2024-04-03
 */
@Data
@TableName("jwtd_zrq")
@ApiModel(value = "JwtdZrq对象", description = "警务团队-警务责任区")
@EqualsAndHashCode(callSuper = true)
public class JwtdZrqEntity extends BaseEntity {

	/**
	 * 地图点位集合
	 */
	@ApiModelProperty(value = "地图点位集合")
	private String dtdw;
	/**
	 * 所属社区
	 */
	@ApiModelProperty(value = "所属社区")
	private String sssq;
	/**
	 * 所属社区编码
	 */
	@ApiModelProperty(value = "所属社区编码")
	private Long sssqbm;
	/**
	 * 所属派出所
	 */
	@ApiModelProperty(value = "所属派出所")
	private String sspcs;
	/**
	 * 12位派出所编码
	 */
	@ApiModelProperty(value = "12位派出所编码")
	private Long pcsbm;
	/**
	 * 所属分局
	 */
	@ApiModelProperty(value = "所属分局")
	private String ssfj;
	/**
	 * 所属分局编码
	 */
	@ApiModelProperty(value = "所属分局编码")
	private Long ssfjbm;
	/**
	 * 所属市局
	 */
	@ApiModelProperty(value = "所属市局")
	private String sssj;
	/**
	 * 所属市局编码
	 */
	@ApiModelProperty(value = "所属市局编码")
	private Long sssjbm;
}
