package org.springblade.modules.sqjw.jwtdzrq.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/**
 * 警务团队-警务责任区 Excel实体类
 *
 * @author BladeX
 * @since 2024-04-03
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class JwtdZrqExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 地图点位集合
	 */
	@ColumnWidth(20)
	@ExcelProperty("地图点位集合")
	private String dtdw;
	/**
	 * 所属社区
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属社区")
	private String sssq;
	/**
	 * 所属社区编码
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属社区编码")
	private Long sssqbm;
	/**
	 * 所属派出所
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属派出所")
	private String sspcs;
	/**
	 * 12位派出所编码
	 */
	@ColumnWidth(20)
	@ExcelProperty("12位派出所编码")
	private Long pcsbm;
	/**
	 * 所属分局
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属分局")
	private String ssfj;
	/**
	 * 所属分局编码
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属分局编码")
	private Long ssfjbm;
	/**
	 * 所属市局
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属市局")
	private String sssj;
	/**
	 * 所属市局编码
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属市局编码")
	private Long sssjbm;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Short isDeleted;
}
