package org.springblade.modules.sqjw.jwtdzrq.mapper;

import org.springblade.modules.sqjw.jwtdzrq.entity.JwtdZrqEntity;
import org.springblade.modules.sqjw.jwtdzrq.vo.JwtdZrqVO;
import org.springblade.modules.sqjw.jwtdzrq.excel.JwtdZrqExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.system.entity.User;

import java.util.List;
import java.util.Map;

/**
 * 警务团队-警务责任区 Mapper 接口
 *
 * @author BladeX
 * @since 2024-04-03
 */
public interface JwtdZrqMapper extends BaseMapper<JwtdZrqEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param jwtdzrq
	 * @return
	 */
	List<JwtdZrqVO> selectJwtdZrqPage(IPage page, JwtdZrqVO jwtdzrq);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<JwtdZrqExcel> exportJwtdZrq(@Param("ew") Wrapper<JwtdZrqEntity> queryWrapper);

	List<JwtdZrqVO> selectJwtdZrqList(@Param("params") Map<String, String> params);

	List<User> getMjList(Long sssqbm);

    List<String> getDkfw(String deptId);
}
