package org.springblade.modules.sqjw.pcsInfo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 派出所信息表 实体类
 *
 * @author BladeX
 * @since 2024-01-08
 */
@Data
@TableName("blade_pcs_info")
@ApiModel(value = "PcsInfo对象", description = "派出所信息表")
@EqualsAndHashCode(callSuper = true)
public class PcsInfoEntity extends BaseEntity {

	/**
	 * 公安机关编码
	 */
	@ApiModelProperty(value = "公安机关编码(12)")
	private String gajgbm;
	/**
	 * 公安机关名称
	 */
	@ApiModelProperty(value = "公安机关名称")
	private String gajgmc;
	/**
	 * 机关简称
	 */
	@ApiModelProperty(value = "机关简称")
	private String jgjc;
	/**
	 * 公安机关类别
	 */
	@ApiModelProperty(value = "公安机关类别")
	private String gajglb;
	/**
	 * 公安机关性质
	 */
	@ApiModelProperty(value = "公安机关性质")
	private String gajgxz;
	/**
	 * 公安机关行政区划
	 */
	@ApiModelProperty(value = "公安机关行政区划")
	private String gajgxzqh;
	/**
	 * 人口业务行政区划
	 */
	@ApiModelProperty(value = "人口业务行政区划")
	private String rkywxzqh;
	/**
	 * 所属单位(分局或市局)编码
	 */
	@ApiModelProperty(value = "所属单位(分局或市局)编码")
	private String ssdwbm;
	/**
	 * 所属单位(分局或市局)
	 */
	@ApiModelProperty(value = "所属单位(分局或市局)")
	private String ssdw;
	/**
	 * 公安机关级别
	 */
	@ApiModelProperty(value = "公安机关级别")
	private String gajgjb;
	/**
	 * 编制规格
	 */
	@ApiModelProperty(value = "编制规格")
	private String bzgg;
	/**
	 * 上级统计机关编码
	 */
	@ApiModelProperty(value = "上级统计机关编码")
	private String sjtjjgbm;
	/**
	 * 上级统计机关
	 */
	@ApiModelProperty(value = "上级统计机关")
	private String sjtjjg;
	/**
	 * 单位联系电话
	 */
	@ApiModelProperty(value = "单位联系电话")
	private String dwlxdh;
	/**
	 * 派出所码
	 */
	@ApiModelProperty(value = "派出所码(9)")
	private String pcsm;
	/**
	 * 派出所管理类别
	 */
	@ApiModelProperty(value = "派出所管理类别")
	private String pcsgllb;
	/**
	 * 派出所类别
	 */
	@ApiModelProperty(value = "派出所类别")
	private String pcslb;
	/**
	 * 派出所等级
	 */
	@ApiModelProperty(value = "派出所等级")
	private String pcsdj;
	/**
	 * 是否两队一室
	 */
	@ApiModelProperty(value = "是否两队一室 ")
	private Integer ldys;
	/**
	 * 枫桥所情况
	 */
	@ApiModelProperty(value = "枫桥所情况")
	private String fqsqk;
	/**
	 * 辖区面积
	 */
	@ApiModelProperty(value = "辖区面积")
	private String xqmj;
	/**
	 * 社区数量
	 */
	@ApiModelProperty(value = "社区数量")
	private String sqsl;
	/**
	 * 行政村数量
	 */
	@ApiModelProperty(value = "行政村数量")
	private String xzcsl;
	/**
	 * 自然村数量
	 */
	@ApiModelProperty(value = "自然村数量")
	private String zrcsl;
	/**
	 * 网格数量
	 */
	@ApiModelProperty(value = "网格数量")
	private String wgsl;
	/**
	 * 警格数量
	 */
	@ApiModelProperty(value = "警格数量")
	private String jgsl;
	/**
	 * 警务室数量
	 */
	@ApiModelProperty(value = "警务室数量")
	private String jwssl;
	/**
	 * 警务站数量
	 */
	@ApiModelProperty(value = "警务站数量")
	private String jwzsl;
	/**
	 * 户籍人口数量
	 */
	@ApiModelProperty(value = "户籍人口数量")
	private String hjrksl;
	/**
	 * 实有人口数
	 */
	@ApiModelProperty(value = "实有人口数")
	private String syrks;
	/**
	 * 实有户数
	 */
	@ApiModelProperty(value = "实有户数")
	private String syhs;
	/**
	 * 负责人(所长)
	 */
	@ApiModelProperty(value = "负责人(所长)")
	private String fzr;
	/**
	 * 定编民警人数
	 */
	@ApiModelProperty(value = "定编民警人数")
	private String dbmjrs;
	/**
	 * 实有民警人数(不含下派)
	 */
	@ApiModelProperty(value = "实有民警人数(不含下派)")
	private String symjrs;
	/**
	 * 下派民警人数
	 */
	@ApiModelProperty(value = "下派民警人数")
	private String xpmjrs;
	/**
	 * 社区(包村)民警人数
	 */
	@ApiModelProperty(value = "社区(包村)民警人数")
	private String sqmjrs;
	/**
	 * 专职辅警人数
	 */
	@ApiModelProperty(value = "专职辅警人数")
	private String zzfjrs;
	/**
	 * 警务助理人数
	 */
	@ApiModelProperty(value = "警务助理人数")
	private String jwzlrs;
	/**
	 * 办公地址
	 */
	@ApiModelProperty(value = "办公地址")
	private String bgdz;
	/**
	 * 单位地址经度
	 */
	@ApiModelProperty(value = "单位地址经度")
	private String dwdzjd;
	/**
	 * 单位地址纬度
	 */
	@ApiModelProperty(value = "单位地址纬度")
	private String dwdzwd;
	/**
	 * 派出所照片
	 */
	@ApiModelProperty(value = "派出所照片")
	private String pcszp;
	/**
	 * 批次
	 */
	@ApiModelProperty(value = "批次")
	private String pc;
	/**
	 * 0不是标准派出所 1是标准派出所
	 */
	@ApiModelProperty(value = "0不是标准派出所 1是标准派出所")
	private String bzpcs;
}
