package org.springblade.modules.sqjw.userInfo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import java.time.LocalDate;

/**
 * 社区警务-派出所信息 实体类
 *
 * @author BladeX
 * @since 2024-02-21
 */
@Data
@TableName("blade_user_info")
@ApiModel(value = "UserInfo对象", description = "社区警务-派出所信息")
@EqualsAndHashCode(callSuper = true)
public class UserInfoEntity extends BaseEntity {

	/**
	 * blade_user表id
	 */
	@ApiModelProperty(value = "blade_user表id")
	private Long userId;
	/**
	 * 照片
	 */
	@ApiModelProperty(value = "照片")
	private String zp;
	/**
	 * 姓名
	 */
	@ApiModelProperty(value = "姓名")
	private String xm;
	/**
	 * 性别
	 */
	@ApiModelProperty(value = "性别")
	private int xb;
	/**
	 * 身份证号
	 */
	@ApiModelProperty(value = "身份证号")
	private String sfzh;
	/**
	 * 出生日期
	 */
	@ApiModelProperty(value = "出生日期")
	private String csrq;
	/**
	 * 民族
	 */
	@ApiModelProperty(value = "民族")
	private String mz;
	/**
	 * 文化程度
	 */
	@ApiModelProperty(value = "文化程度")
	private String whcd;
	/**
	 * 婚姻状况
	 */
	@ApiModelProperty(value = "婚姻状况")
	private String hyzk;
	/**
	 * 家庭住址
	 */
	@ApiModelProperty(value = "家庭住址")
	private String jtzz;
	/**
	 * 联系电话
	 */
	@ApiModelProperty(value = "联系电话")
	private String lxdh;
	/**
	 * 警号
	 */
	@ApiModelProperty(value = "警号")
	private String jh;
	/**
	 * 政治面貌
	 */
	@ApiModelProperty(value = "政治面貌")
	private String zzmm;
	/**
	 * 工作单位名称
	 */
	@ApiModelProperty(value = "工作单位名称")
	private String gzdwmc;
	/**
	 * 所属责任区
	 */
	@ApiModelProperty(value = "所属责任区")
	private String sszrq;
	/**
	 * 所属警格
	 */
	@ApiModelProperty(value = "所属警格")
	private String ssjg;
	/**
	 * 职务类别
	 */
	@ApiModelProperty(value = "职务类别")
	private String zwlb;
	/**
	 * 岗位职责
	 */
	@ApiModelProperty(value = "岗位职责")
	private String gwzz;
	/**
	 * 是否兼任综合指挥民警 0否1是
	 */
	@ApiModelProperty(value = "是否兼任综合指挥民警 0否1是")
	private Integer zhzhmj;
	/**
	 * 任所长日期
	 */
	@ApiModelProperty(value = "任所长日期")
	private LocalDate rszrq;
	/**
	 * 职级
	 */
	@ApiModelProperty(value = "职级")
	private String zj;
	/**
	 * 进班子职务
	 */
	@ApiModelProperty(value = "进班子职务")
	private String jbzzw;
	/**
	 * 进班子日期
	 */
	@ApiModelProperty(value = "进班子日期")
	private LocalDate jbzrq;
	/**
	 * 包村数量
	 */
	@ApiModelProperty(value = "包村数量")
	private Long bcsl;
	/**
	 * 原单位
	 */
	@ApiModelProperty(value = "原单位")
	private String ydw;
	/**
	 * 所长附件
	 */
	@ApiModelProperty(value = "所长附件")
	private String szfj;
	/**
	 * 进两委职务
	 */
	@ApiModelProperty(value = "进两委职务")
	private String jlwzw;
	/**
	 * 进两委日期
	 */
	@ApiModelProperty(value = "进两委日期")
	private LocalDate jlwrq;
	/**
	 * 进两委附件
	 */
	@ApiModelProperty(value = "进两委附件")
	private String jlwfj;
}
