/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.sqjw.userInfo.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.sqjw.userInfo.entity.UserInfoEntity;
import org.springblade.modules.sqjw.userInfo.excel.UserInfoExcel;
import org.springblade.modules.sqjw.userInfo.vo.UserInfoVO;

import java.util.List;
import java.util.Map;

/**
 * 社区警务-派出所信息 服务类
 *
 * @author BladeX
 * @since 2024-02-21
 */
public interface IUserInfoService extends BaseService<UserInfoEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param params
	 * @return
	 */
	IPage<UserInfoVO> selectUserInfoPage(IPage<UserInfoVO> page, Map<String, Object> params);

	List<UserInfoExcel> exportUserInfo(Map<String, Object> params);

	UserInfoVO getDetail(Map<String, Object> params);

	boolean mfjgl(Map<String, Object> params);

    void updateSszrqByUserId(Long userId, String deptIds);

    int getSzNum(String gzdwmc, String jh);
}
