/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.sqjw.userInfo.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.sqjw.userInfo.entity.UserInfoEntity;
import org.springblade.modules.sqjw.userInfo.vo.UserInfoVO;

import java.util.Objects;

/**
 * 社区警务-派出所信息 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-02-21
 */
public class UserInfoWrapper extends BaseEntityWrapper<UserInfoEntity, UserInfoVO>  {

	public static UserInfoWrapper build() {
		return new UserInfoWrapper();
 	}

	@Override
	public UserInfoVO entityVO(UserInfoEntity userInfo) {
		UserInfoVO userInfoVO = Objects.requireNonNull(BeanUtil.copy(userInfo, UserInfoVO.class));

		//User createUser = UserCache.getUser(userInfo.getCreateUser());
		//User updateUser = UserCache.getUser(userInfo.getUpdateUser());
		//userInfoVO.setCreateUserName(createUser.getName());
		//userInfoVO.setUpdateUserName(updateUser.getName());

		return userInfoVO;
	}


}
