package org.springblade.modules.sqmy.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/**
 * 社情民意 Excel实体类
 *
 * @author wth
 * @since 2024-11-12
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class SqmyInfoExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 线索类型
	 */
	@ColumnWidth(20)
	@ExcelProperty("线索类型")
	private String xslx;
	/**
	 * 发现时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("发现时间")
	private String fxsj;
	/**
	 * 发现地点
	 */
	@ColumnWidth(20)
	@ExcelProperty("发现地点")
	private String fxdd;
	/**
	 * 线索内容
	 */
	@ColumnWidth(20)
	@ExcelProperty("线索内容")
	private String xsnr;
	/**
	 * 附件
	 */
	@ColumnWidth(20)
	@ExcelProperty("附件")
	private String fj;
	/**
	 * 线索提供人(sqmy_ry表id)
	 */
	@ColumnWidth(20)
	@ExcelProperty("线索提供人(sqmy_ry表id)")
	private Long ryId;

}
