package org.springblade.modules.sqmy.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/**
 * 季度治安通报 Excel实体类
 *
 * @author wth
 * @since 2024-11-12
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class ZatbInfoExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 通报标题
	 */
	@ColumnWidth(20)
	@ExcelProperty("通报标题")
	private String tbbt;
	/**
	 * 报告情况
	 */
	@ColumnWidth(20)
	@ExcelProperty("报告情况")
	private String bgqk;
	/**
	 * 居民意见
	 */
	@ColumnWidth(20)
	@ExcelProperty("居民意见")
	private String jmyj;
	/**
	 * 附件
	 */
	@ColumnWidth(20)
	@ExcelProperty("附件")
	private String fj;

}
