package org.springblade.modules.sqmy.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.sqmy.excel.FzrhyInfoExcel;
import org.springblade.modules.sqmy.pojo.entity.FzrhyInfoEntity;
import org.springblade.modules.sqmy.pojo.entity.FzrhyRyEntity;
import org.springblade.modules.sqmy.pojo.vo.FzrhyInfoVO;

import java.util.List;
import java.util.Map;

/**
 * 每月安全负责人会议 Mapper 接口
 *
 * @author wth
 * @since 2024-11-12
 */
public interface FzrhyInfoMapper extends BaseMapper<FzrhyInfoEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page   分页参数
	 * @param params 查询参数
	 * @return List<FzrhyInfoVO>
	 */
	List<FzrhyInfoVO> selectFzrhyInfoPage(IPage page, @Param("params") Map<String, Object> params);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<FzrhyInfoExcel>
	 */
	List<FzrhyInfoExcel> exportFzrhyInfo(@Param("ew") Wrapper<FzrhyInfoEntity> queryWrapper);

	FzrhyInfoEntity getByFzrhy(@Param("params") Map<String, Object> params);

	List<FzrhyRyEntity> selectFzrhyRy(Long id);
}
