package org.springblade.modules.sqmy.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.sqmy.excel.JmhInfoExcel;
import org.springblade.modules.sqmy.pojo.entity.JmhInfoEntity;
import org.springblade.modules.sqmy.pojo.vo.JmhInfoVO;

import java.util.List;
import java.util.Map;

/**
 * 每周见面会 Mapper 接口
 *
 * @author wth
 * @since 2024-11-12
 */
public interface JmhInfoMapper extends BaseMapper<JmhInfoEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param params 查询参数
	 * @return List<JmhInfoVO>
	 */
	List<JmhInfoVO> selectJmhInfoPage(IPage page, @Param("params") Map<String, Object> params);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<JmhInfoExcel>
	 */
	List<JmhInfoExcel> exportJmhInfo(@Param("ew") Wrapper<JmhInfoEntity> queryWrapper);

    JmhInfoEntity getBzJmh(@Param("params") Map<String, Object> params);

    JmhInfoVO detailById(Long id);
}
