package org.springblade.modules.sqmy.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.sqmy.excel.JmhRyExcel;
import org.springblade.modules.sqmy.pojo.entity.JmhRyEntity;
import org.springblade.modules.sqmy.pojo.vo.JmhRyVO;

import java.util.List;

/**
 * 每周见面会_参会人员 Mapper 接口
 *
 * @author wth
 * @since 2024-11-12
 */
public interface JmhRyMapper extends BaseMapper<JmhRyEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param jmhRy 查询参数
	 * @return List<JmhRyVO>
	 */
	List<JmhRyVO> selectJmhRyPage(IPage page, JmhRyVO jmhRy);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<JmhRyExcel>
	 */
	List<JmhRyExcel> exportJmhRy(@Param("ew") Wrapper<JmhRyEntity> queryWrapper);

}
