package org.springblade.modules.sqmy.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.sqmy.excel.SqmyInfoExcel;
import org.springblade.modules.sqmy.pojo.entity.SqmyInfoEntity;
import org.springblade.modules.sqmy.pojo.vo.SqmyInfoVO;

import java.util.List;
import java.util.Map;

/**
 * 社情民意 Mapper 接口
 *
 * @author wth
 * @since 2024-11-12
 */
public interface SqmyInfoMapper extends BaseMapper<SqmyInfoEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param params 查询参数
	 * @return List<SqmyInfoVO>
	 */
	List<SqmyInfoVO> selectSqmyInfoPage(IPage page, @Param("params") Map<String, Object> params);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<SqmyInfoExcel>
	 */
	List<SqmyInfoExcel> exportSqmyInfo(@Param("ew") Wrapper<SqmyInfoEntity> queryWrapper);

	int countByType(@Param("type") int type, @Param("params") Map<String, Object> params);
}
