package org.springblade.modules.sqmy.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.sqmy.excel.SqmyRyExcel;
import org.springblade.modules.sqmy.pojo.entity.SqmyRyEntity;
import org.springblade.modules.sqmy.pojo.vo.SqmyRyVO;

import java.util.List;

/**
 * 社情民意_线索提供人 Mapper 接口
 *
 * @author wth
 * @since 2024-11-12
 */
public interface SqmyRyMapper extends BaseMapper<SqmyRyEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param sqmyRy 查询参数
	 * @return List<SqmyRyVO>
	 */
	List<SqmyRyVO> selectSqmyRyPage(IPage page, SqmyRyVO sqmyRy);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<SqmyRyExcel>
	 */
	List<SqmyRyExcel> exportSqmyRy(@Param("ew") Wrapper<SqmyRyEntity> queryWrapper);

}
