package org.springblade.modules.sqmy.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.sqmy.excel.ZatbInfoExcel;
import org.springblade.modules.sqmy.pojo.entity.ZatbInfoEntity;
import org.springblade.modules.sqmy.pojo.vo.ZatbInfoVO;

import java.util.List;
import java.util.Map;

/**
 * 季度治安通报 Mapper 接口
 *
 * @author wth
 * @since 2024-11-12
 */
public interface ZatbInfoMapper extends BaseMapper<ZatbInfoEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page     分页参数
	 * @param params 查询参数
	 * @return List<ZatbInfoVO>
	 */
	List<ZatbInfoVO> selectZatbInfoPage(IPage page, @Param("params") Map<String, Object> params);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<ZatbInfoExcel>
	 */
	List<ZatbInfoExcel> exportZatbInfo(@Param("ew") Wrapper<ZatbInfoEntity> queryWrapper);

    ZatbInfoEntity getBjdZatb(@Param("params") Map<String, Object> params);
}
