package org.springblade.modules.sqmy.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.sqmy.excel.FzrhyInfoExcel;
import org.springblade.modules.sqmy.pojo.entity.FzrhyInfoEntity;
import org.springblade.modules.sqmy.pojo.entity.FzrhyRyEntity;
import org.springblade.modules.sqmy.pojo.vo.FzrhyInfoVO;

import java.util.List;
import java.util.Map;

/**
 * 每月安全负责人会议 服务类
 *
 * @author wth
 * @since 2024-11-12
 */
public interface IFzrhyInfoService extends BaseService<FzrhyInfoEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param params 查询参数
	 * @return IPage<FzrhyInfoVO>
	 */
	IPage<FzrhyInfoVO> selectFzrhyInfoPage(IPage<FzrhyInfoVO> page, Map<String, Object> params);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<FzrhyInfoExcel>
	 */
	List<FzrhyInfoExcel> exportFzrhyInfo(Wrapper<FzrhyInfoEntity> queryWrapper);

    FzrhyInfoEntity getByFzrhy(Map<String, Object> params);

	List<FzrhyRyEntity> selectFzrhyRy(Long id);
}
