package org.springblade.modules.sqmy.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.sqmy.excel.JmhInfoExcel;
import org.springblade.modules.sqmy.pojo.entity.JmhInfoEntity;
import org.springblade.modules.sqmy.pojo.vo.JmhInfoVO;

import java.util.List;
import java.util.Map;

/**
 * 每周见面会 服务类
 *
 * @author wth
 * @since 2024-11-12
 */
public interface IJmhInfoService extends BaseService<JmhInfoEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param params 查询参数
	 * @return IPage<JmhInfoVO>
	 */
	IPage<JmhInfoVO> selectJmhInfoPage(IPage<JmhInfoVO> page, Map<String, Object> params);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<JmhInfoExcel>
	 */
	List<JmhInfoExcel> exportJmhInfo(Wrapper<JmhInfoEntity> queryWrapper);

    JmhInfoEntity getBzJmh(Map<String, Object> params);

    JmhInfoVO detailById(Long id);
}
