package org.springblade.modules.sqmy.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.sqmy.excel.SqmyInfoExcel;
import org.springblade.modules.sqmy.pojo.entity.SqmyInfoEntity;
import org.springblade.modules.sqmy.pojo.vo.SqmyInfoVO;

import java.util.List;
import java.util.Map;

/**
 * 社情民意 服务类
 *
 * @author wth
 * @since 2024-11-12
 */
public interface ISqmyInfoService extends BaseService<SqmyInfoEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param params 查询参数
	 * @return IPage<SqmyInfoVO>
	 */
	IPage<SqmyInfoVO> selectSqmyInfoPage(IPage<SqmyInfoVO> page, Map<String, Object> params);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<SqmyInfoExcel>
	 */
	List<SqmyInfoExcel> exportSqmyInfo(Wrapper<SqmyInfoEntity> queryWrapper);

	int countByType(int type, Map<String, Object> params);
}
