package org.springblade.modules.sqmy.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.sqmy.excel.SqmyRyExcel;
import org.springblade.modules.sqmy.pojo.entity.SqmyRyEntity;
import org.springblade.modules.sqmy.pojo.vo.SqmyRyVO;

import java.util.List;

/**
 * 社情民意_线索提供人 服务类
 *
 * @author wth
 * @since 2024-11-12
 */
public interface ISqmyRyService extends BaseService<SqmyRyEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param sqmyRy 查询参数
	 * @return IPage<SqmyRyVO>
	 */
	IPage<SqmyRyVO> selectSqmyRyPage(IPage<SqmyRyVO> page, SqmyRyVO sqmyRy);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<SqmyRyExcel>
	 */
	List<SqmyRyExcel> exportSqmyRy(Wrapper<SqmyRyEntity> queryWrapper);

}
