package org.springblade.modules.sqmy.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.sqmy.excel.ZatbInfoExcel;
import org.springblade.modules.sqmy.pojo.entity.ZatbInfoEntity;
import org.springblade.modules.sqmy.pojo.vo.ZatbInfoVO;

import java.util.List;
import java.util.Map;

/**
 * 季度治安通报 服务类
 *
 * @author wth
 * @since 2024-11-12
 */
public interface IZatbInfoService extends BaseService<ZatbInfoEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param params 查询参数
	 * @return IPage<ZatbInfoVO>
	 */
	IPage<ZatbInfoVO> selectZatbInfoPage(IPage<ZatbInfoVO> page, Map<String, Object> params);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<ZatbInfoExcel>
	 */
	List<ZatbInfoExcel> exportZatbInfo(Wrapper<ZatbInfoEntity> queryWrapper);

    ZatbInfoEntity getBjdZatb(Map<String, Object> params);
}
