/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.system.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 实体类
 *
 * @author Chill
 */
@Data
@TableName("blade_dept")
@ApiModel(value = "Dept对象", description = "Dept对象")
public class Dept implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty(value = "主键")
	@TableId(value = "id", type = IdType.ASSIGN_ID)
	private Long id;

	/**
	 * 租户ID
	 */
	@ApiModelProperty(value = "租户ID")
	private String tenantId;

	/**
	 * 父主键
	 */
	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty(value = "父主键")
	private Long parentId;

	/**
	 * 机构全称
	 */
	@ApiModelProperty(value = "机构全称")
	private String fullName;

	/**
	 * 机构名
	 */
	@ApiModelProperty(value = "机构名")
	private String deptName;

	/**
	 * 祖级机构主键
	 */
	@ApiModelProperty(value = "祖级机构主键")
	private String ancestors;

	/**
	 * 机构类型
	 */
	@ApiModelProperty(value = "机构类型")
	private Integer deptCategory;

	/**
	 * 排序
	 */
	@ApiModelProperty(value = "排序")
	private Integer sort;

	/**
	 * 备注
	 */
	@ApiModelProperty(value = "备注")
	private String remark;

	/**
	 * 是否已删除
	 */
	@TableLogic
	@ApiModelProperty(value = "是否已删除")
	private Integer isDeleted;

	@TableField(exist = false)
	private String label;
	@TableField(exist = false)
	private String value;
	@TableField(exist = false)
	private String jxcs;
	@TableField(exist = false)
	private String jxcss;
	@TableField(exist = false)
	private String xxx;
	@TableField(exist = false)
	private String xyy;
	@TableField(exist = false)
	private String xsd;
	@TableField(exist = false)
	private String xcy;
	@TableField(exist = false)
	private String xlg;
	@TableField(exist = false)
	private String xgw;
	@TableField(exist = false)
	private String xwb;
	@TableField(exist = false)
	private String xmr;
	@TableField(exist = false)
	private String xsc;
	@TableField(exist = false)
	private String parentIds;
	@TableField(exist = false)
	private String jcsl;
	@TableField(exist = false)
	private String pcfxyh;
	@TableField(exist = false)
	private String zg;
	@TableField(exist = false)
	private String zgtsd;
	@TableField(exist = false)
	private String yjjl;
	@TableField(exist = false)
	private String kzxcjy = "0";
	@TableField(exist = false)
	private String ffxczl = "0";
	@TableField(exist = false)
	private String idsj;
	@TableField(exist = false)
	private String idfj;
	@TableField(exist = false)
	private String idpcs;
	@TableField(exist = false)
	private String idsq;
	@TableField(exist = false)
	private Long fjid;
	@TableField(exist = false)
	private String fjmc;
	@TableField(exist = false)
	private Long pcsid;
	@TableField(exist = false)
	private String pcsmc;
}
