/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.system.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.tenant.mp.TenantEntity;

import java.util.Date;

/**
 * 实体类
 *
 * @author Chill
 */
@Data
@TableName("blade_user")
@EqualsAndHashCode(callSuper = true)
public class User extends TenantEntity {

	private static final long serialVersionUID = 1L;

	/**
	 * 用户编号
	 */
	private String code;
	/**
	 * 用户平台
	 */
	private Integer userType;
	/**
	 * 账号
	 */
	private String account;
	/**
	 * 密码
	 */
	private String password;
	/**
	 * 昵称
	 */
	private String name;
	/**
	 * 真名
	 */
	private String realName;
	/**
	 * 头像
	 */
	private String avatar;
	/**
	 * 邮箱
	 */
	private String email;
	/**
	 * 手机
	 */
	private String phone;
	/**
	 * 生日
	 */
	private Date birthday;
	/**
	 * 性别
	 */
	private Integer sex;
	/**
	 * 角色id
	 */
	private String roleId;
	/**
	 * 部门id
	 */
	private String deptId;
	/**
	 * 岗位id
	 */
	private String postId;
	/**
	 * 身份证号
	 */
	private String sfzh;
	/**
	 * 照片
	 */
	private String zp;
	/**
	 * 警号
	 */
	private String jh;
	/**
	 * 民警id
	 */
	@TableField(exist = false)
	private Long mjId;
	@TableField(exist = false)
	private Long sssqBm;
	@TableField(exist = false)
	private Long sspcsBm;
	@TableField(exist = false)
	private Long ssfjBm;
	@TableField(exist = false)
	private String sssqName;
	@TableField(exist = false)
	private String username;
	@TableField(exist = false)
	private String refresh_token;
	@TableField(exist = false)
	private String grant_type;
	@TableField(exist = false)
	private String parentId;
	@TableField(exist = false)
	private String pcsDm;
	@TableField(exist = false)
	private String bmMc;
	@TableField(exist = false)
	public String str;
	@TableField(exist = false)
	public String strEnd;
	@TableField(exist = false)
	public String fjsl;
	@TableField(exist = false)
	public String fjxm;
	@TableField(exist = false)
	public String fjsfzh;
	@TableField(exist = false)
	public String fjlxdh;
	@TableField(exist = false)
	public String gzdw;
	@TableField(exist = false)
	public String ssmjxm;
	@TableField(exist = false)
	public String ssmjjh;
	@TableField(exist = false)
	public String mjname;
	@TableField(exist = false)
	public String sspcs;
	@TableField(exist = false)
	public String zxyy;
}
