/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.temDuizhao.service.impl;

import org.springblade.modules.temDuizhao.entity.TemDuizhaoEntity;
import org.springblade.modules.temDuizhao.vo.TemDuizhaoVO;
import org.springblade.modules.temDuizhao.excel.TemDuizhaoExcel;
import org.springblade.modules.temDuizhao.mapper.TemDuizhaoMapper;
import org.springblade.modules.temDuizhao.service.ITemDuizhaoService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;
import java.util.Map;

/**
 * 入户人员对照 服务实现类
 *
 * @author BladeX
 * @since 2024-04-30
 */
@Service
public class TemDuizhaoServiceImpl extends BaseServiceImpl<TemDuizhaoMapper, TemDuizhaoEntity> implements ITemDuizhaoService {

	@Override
	public IPage<TemDuizhaoVO> selectTemDuizhaoPage(IPage<TemDuizhaoVO> page, Map<String, String> params) {
		return page.setRecords(baseMapper.selectTemDuizhaoPage(page, params));
	}


	@Override
	public List<TemDuizhaoExcel> exportTemDuizhao(Wrapper<TemDuizhaoEntity> queryWrapper) {
		List<TemDuizhaoExcel> temDuizhaoList = baseMapper.exportTemDuizhao(queryWrapper);
		//temDuizhaoList.forEach(temDuizhao -> {
		//	temDuizhao.setTypeName(DictCache.getValue(DictEnum.YES_NO, TemDuizhao.getType()));
		//});
		return temDuizhaoList;
	}

}
