/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.temDuizhao.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.temDuizhao.entity.TemDuizhaoEntity;
import org.springblade.modules.temDuizhao.vo.TemDuizhaoVO;
import java.util.Objects;

/**
 * 入户人员对照 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-04-30
 */
public class TemDuizhaoWrapper extends BaseEntityWrapper<TemDuizhaoEntity, TemDuizhaoVO>  {

	public static TemDuizhaoWrapper build() {
		return new TemDuizhaoWrapper();
 	}

	@Override
	public TemDuizhaoVO entityVO(TemDuizhaoEntity temDuizhao) {
		TemDuizhaoVO temDuizhaoVO = Objects.requireNonNull(BeanUtil.copy(temDuizhao, TemDuizhaoVO.class));

		//User createUser = UserCache.getUser(temDuizhao.getCreateUser());
		//User updateUser = UserCache.getUser(temDuizhao.getUpdateUser());
		//temDuizhaoVO.setCreateUserName(createUser.getName());
		//temDuizhaoVO.setUpdateUserName(updateUser.getName());

		return temDuizhaoVO;
	}


}
