/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.wgr.check.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 外国人检查 实体类
 *
 * @author BladeX
 * @since 2023-12-14
 */
@Data
@TableName("wgr_check")
@ApiModel(value = "Check对象", description = "外国人检查")
@EqualsAndHashCode(callSuper = true)
public class CheckEntity extends BaseEntity {

	/**
	 * 关联wgr_info表id
	 */
	@ApiModelProperty(value = "关联wgr_info表id")
	private Long wgrId;
	/**
	 * 证件号码是否变更(是/否)
	 */
	@ApiModelProperty(value = "证件号码是否变更(是/否)")
	private String zjhmSfbg;
	/**
	 * 证件号码变更情况
	 */
	@ApiModelProperty(value = "证件号码变更情况")
	private String zjhmBgqk;
	/**
	 * 签证种类(普通签证/居留签证/停留签证)
	 */
	@ApiModelProperty(value = "签证种类(普通签证/居留签证/停留签证)")
	private String qzzl;
	/**
	 * 是否在此居住(是/否)
	 */
	@ApiModelProperty(value = "是否在此居住(是/否)")
	private String zcjz;
	/**
	 * 住宿登记信息是否属实(是/否)
	 */
	@ApiModelProperty(value = "住宿登记信息是否属实(是/否)")
	private String zsdjxx;
	/**
	 * 在职/在校状态(在职/离职/人职分离/单位内无此人)
	 */
	@ApiModelProperty(value = "在职/在校状态(在职/离职/人职分离/单位内无此人)")
	private String zzzxzt;
	/**
	 * 在职/在校详细情况
	 */
	@ApiModelProperty(value = "在职/在校详细情况")
	private String zzzxqk;
	/**
	 * 动态活动详细情况
	 */
	@ApiModelProperty(value = "动态活动详细情况")
	private String dthdqk;
	/**
	 * 备注
	 */
	@ApiModelProperty(value = "备注")
	private String bz;
	/**
	 * 合影照片
	 */
	@ApiModelProperty(value = "合影照片")
	private String hyzp;
	/**
	 * 经度
	 */
	@ApiModelProperty(value = "经度")
	private String jd;
	/**
	 * 维度
	 */
	@ApiModelProperty(value = "维度")
	private String wd;
}
