/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.wgr.check.excel;


import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;


/**
 * 外国人检查 Excel实体类
 *
 * @author BladeX
 * @since 2023-12-14
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class CheckExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 关联wgr_info表id
	 */
	@ColumnWidth(20)
	@ExcelProperty("关联wgr_info表id")
	private Integer wgrId;
	/**
	 * 证件号码是否变更(是/否)
	 */
	@ColumnWidth(20)
	@ExcelProperty("证件号码是否变更(是/否)")
	private String zjhmSfbg;
	/**
	 * 证件号码变更情况
	 */
	@ColumnWidth(20)
	@ExcelProperty("证件号码变更情况")
	private String zjhmBgqk;
	/**
	 * 签证种类(普通签证/居留签证/停留签证)
	 */
	@ColumnWidth(20)
	@ExcelProperty("签证种类(普通签证/居留签证/停留签证)")
	private String qzzl;
	/**
	 * 是否在此居住(是/否)
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否在此居住(是/否)")
	private String zcjz;
	/**
	 * 住宿登记信息是否属实(是/否)
	 */
	@ColumnWidth(20)
	@ExcelProperty("住宿登记信息是否属实(是/否)")
	private String zsdjxx;
	/**
	 * 在职/在校状态(在职/离职/人职分离/单位内无此人)
	 */
	@ColumnWidth(20)
	@ExcelProperty("在职/在校状态(在职/离职/人职分离/单位内无此人)")
	private String zzzxzt;
	/**
	 * 在职/在校详细情况
	 */
	@ColumnWidth(20)
	@ExcelProperty("在职/在校详细情况")
	private String zzzxqk;
	/**
	 * 动态活动详细情况
	 */
	@ColumnWidth(20)
	@ExcelProperty("动态活动详细情况")
	private String dthdqk;
	/**
	 * 备注
	 */
	@ColumnWidth(20)
	@ExcelProperty("备注")
	private String bz;
	/**
	 * 合影照片
	 */
	@ColumnWidth(20)
	@ExcelProperty("合影照片")
	private String hyzp;
	/**
	 *
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Integer isDeleted;

}
