/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.wgr.check.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.wgr.check.entity.CheckEntity;
import org.springblade.modules.wgr.check.excel.CheckExcel;
import org.springblade.modules.wgr.check.mapper.CheckMapper;
import org.springblade.modules.wgr.check.service.ICheckService;
import org.springblade.modules.wgr.check.vo.CheckVO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 外国人检查 服务实现类
 *
 * @author BladeX
 * @since 2023-12-14
 */
@Service
public class CheckServiceImpl extends BaseServiceImpl<CheckMapper, CheckEntity> implements ICheckService {

	@Override
	public IPage<CheckVO> selectCheckPage(IPage<CheckVO> page, Map<String, Object> params) {
		return page.setRecords(baseMapper.selectCheckPage(page, params));
	}


	@Override
	public List<CheckExcel> exportCheck(Wrapper<CheckEntity> queryWrapper) {
		List<CheckExcel> checkList = baseMapper.exportCheck(queryWrapper);
		//checkList.forEach(check -> {
		//	check.setTypeName(DictCache.getValue(DictEnum.YES_NO, Check.getType()));
		//});
		return checkList;
	}

	@Override
	public IPage<CheckVO> getChecked(IPage<CheckVO> page, Map<String, Object> params) {
		return page.setRecords(baseMapper.getChecked(page, params));
	}

}
