/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.wgr.check.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.wgr.check.entity.CheckEntity;
import org.springblade.modules.wgr.check.vo.CheckVO;

import java.util.Objects;

/**
 * 外国人检查 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-12-14
 */
public class CheckWrapper extends BaseEntityWrapper<CheckEntity, CheckVO> {

	public static CheckWrapper build() {
		return new CheckWrapper();
 	}

	@Override
	public CheckVO entityVO(CheckEntity check) {
		CheckVO checkVO = Objects.requireNonNull(BeanUtil.copy(check, CheckVO.class));

		//User createUser = UserCache.getUser(check.getCreateUser());
		//User updateUser = UserCache.getUser(check.getUpdateUser());
		//checkVO.setCreateUserName(createUser.getName());
		//checkVO.setUpdateUserName(updateUser.getName());

		return checkVO;
	}


}
