/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.wgr.info.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 出入境_外国人信息表 实体类
 *
 * @author BladeX
 * @since 2023-12-04
 */
@Data
@ApiModel(value = "WgrInfo对象", description = "出入境_外国人信息表")
@EqualsAndHashCode(callSuper = true)
public class WgrInfoEntity extends BaseEntity {

	/**
	 * 证件号码
	 */
	@ApiModelProperty(value = "证件号码")
	private String zjhm;
	/**
	 * 证件种类
	 */
	@ApiModelProperty(value = "证件种类")
	private String zjzl;
	/**
	 * 国家地区
	 */
	@ApiModelProperty(value = "国家地区")
	private String gjdq;
	/**
	 * 英文姓名
	 */
	@ApiModelProperty(value = "英文姓名")
	private String ywxm;
	/**
	 * 性别
	 */
	@ApiModelProperty(value = "性别")
	private String xb;
	/**
	 * 出生日期
	 */
	@ApiModelProperty(value = "出生日期")
	private String csrq;
	/**
	 * 居留事由
	 */
	@ApiModelProperty(value = "居留事由")
	private String jlsy;
	/**
	 * 居住地详细地址
	 */
	@ApiModelProperty(value = "居住地详细地址")
	private String jzddz;
	/**
	 * 居住地所在区县
	 */
	@ApiModelProperty(value = "居住地所在区县")
	private String jzdqx;
	/**
	 * 录入时间
	 */
	@ApiModelProperty(value = "录入时间")
	private String lrsj;
	/**
	 * 联系电话
	 */
	@ApiModelProperty(value = "联系电话")
	private String lxdh;
	/**
	 * 居留证许可(签证)号码
	 */
	@ApiModelProperty(value = "居留证许可(签证)号码")
	private String qzhm;
	/**
	 * 工作单位
	 */
	@ApiModelProperty(value = "工作单位")
	private String gzdw;
	/**
	 * 所属分局编码
	 */
	@ApiModelProperty(value = "所属分局编码")
	private Long ssfjBm;
	/**
	 * 所属派出所编码
	 */
	@ApiModelProperty(value = "所属派出所编码")
	private Long sspcsBm;
	/**
	 * 所属社区编码
	 */
	@ApiModelProperty(value = "所属社区编码")
	private Long sssqBm;
	/**
	 * 部门id
	 */
	@TableField(exist = false)
	private Long deptId;
}
