package org.springblade.modules.wgr.info.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/**
 * 出入境_外国人信息表 Excel实体类
 *
 * @author BladeX
 * @since 2023-12-04
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class WgrInfoExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 证件号码
	 */
	@ColumnWidth(20)
	@ExcelProperty("证件号码")
	private String zjhm;
	/**
	 * 证件种类
	 */
	@ColumnWidth(20)
	@ExcelProperty("证件种类")
	private String zjzl;
	/**
	 * 国家地区
	 */
	@ColumnWidth(20)
	@ExcelProperty("国家地区")
	private String gjdq;
	/**
	 * 英文姓名
	 */
	@ColumnWidth(20)
	@ExcelProperty("英文姓名")
	private String ywxm;
	/**
	 * 性别
	 */
	@ColumnWidth(20)
	@ExcelProperty("性别")
	private String xb;
	/**
	 * 出生日期
	 */
	@ColumnWidth(20)
	@ExcelProperty("出生日期")
	private String csrq;
	/**
	 * 居留事由
	 */
	@ColumnWidth(20)
	@ExcelProperty("居留事由")
	private String jlsy;
	/**
	 * 居住地详细地址
	 */
	@ColumnWidth(20)
	@ExcelProperty("居住地详细地址")
	private String jzddz;
	/**
	 * 居住地所在区县
	 */
	@ColumnWidth(20)
	@ExcelProperty("居住地所在区县")
	private String jzdqx;
	/**
	 * 录入时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("录入时间")
	private String lrsj;
	/**
	 * 联系电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("联系电话")
	private String lxdh;
	/**
	 * 居留证许可(签证)号码
	 */
	@ColumnWidth(20)
	@ExcelProperty("居留证许可(签证)号码")
	private String qzhm;
	/**
	 * 工作单位
	 */
	@ColumnWidth(20)
	@ExcelProperty("工作单位")
	private String gzdw;

}
