/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.wgr.info.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.wgr.info.entity.WgrInfoEntity;
import org.springblade.modules.wgr.info.vo.WgrInfoVO;

import java.util.Objects;

/**
 * 出入境_外国人信息表 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-12-04
 */
public class WgrInfoWrapper extends BaseEntityWrapper<WgrInfoEntity, WgrInfoVO> {

	public static WgrInfoWrapper build() {
		return new WgrInfoWrapper();
 	}

	@Override
	public WgrInfoVO entityVO(WgrInfoEntity wgrinfo) {
		WgrInfoVO wgrinfoVO = Objects.requireNonNull(BeanUtil.copy(wgrinfo, WgrInfoVO.class));

		//User createUser = UserCache.getUser(wgrinfo.getCreateUser());
		//User updateUser = UserCache.getUser(wgrinfo.getUpdateUser());
		//wgrinfoVO.setCreateUserName(createUser.getName());
		//wgrinfoVO.setUpdateUserName(updateUser.getName());

		return wgrinfoVO;
	}


}
