package org.springblade.modules.xlfk.excel;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;

/**
 * 巡逻防控 Excel实体类
 *
 * @author BladeX
 * @since 2024-11-06
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class XlfkExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 巡逻路线
	 */
	@ColumnWidth(20)
	@ExcelProperty("巡逻路线")
	private String xllx;
	/**
	 * 巡逻里程数
	 */
	@ColumnWidth(20)
	@ExcelProperty("巡逻里程数")
	private String xllcs;
	/**
	 * 巡逻开始时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("巡逻开始时间")
	private LocalDateTime startTime;
	/**
	 * 巡逻结束时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("巡逻结束时间")
	private LocalDateTime endTime;
	/**
	 * 巡逻照片
	 */
	@ColumnWidth(20)
	@ExcelProperty("巡逻照片")
	private String zp;

}
