package org.springblade.modules.xlfk.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.xlfk.excel.XlfkExcel;
import org.springblade.modules.xlfk.pojo.entity.XlfkEntity;
import org.springblade.modules.xlfk.pojo.vo.XlfkVO;

import java.util.List;
import java.util.Map;

/**
 * 巡逻防控 Mapper 接口
 *
 * @author BladeX
 * @since 2024-11-06
 */
public interface XlfkMapper extends BaseMapper<XlfkEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param params 查询参数
	 * @return List<XlfkVO>
	 */
	List<XlfkVO> selectXlfkPage(IPage page, @Param("params") Map<String, Object> params);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<XlfkExcel>
	 */
	List<XlfkExcel> exportXlfk(@Param("ew") Wrapper<XlfkEntity> queryWrapper);

}
