package org.springblade.modules.xlfk.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.xlfk.excel.XlfkExcel;
import org.springblade.modules.xlfk.pojo.entity.XlfkEntity;
import org.springblade.modules.xlfk.pojo.vo.XlfkVO;

import java.util.List;
import java.util.Map;

/**
 * 巡逻防控 服务类
 *
 * @author BladeX
 * @since 2024-11-06
 */
public interface IXlfkService extends BaseService<XlfkEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param params 查询参数
	 * @return IPage<XlfkVO>
	 */
	IPage<XlfkVO> selectXlfkPage(IPage<XlfkVO> page, Map<String, Object> params);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<XlfkExcel>
	 */
	List<XlfkExcel> exportXlfk(Wrapper<XlfkEntity> queryWrapper);

}
