/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.xpgxb.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 下派关系表 实体类
 *
 * @author BladeX
 * @since 2023-07-09
 */
@Data
@TableName("jlrh_xpgxb")
@ApiModel(value = "Xpgxb对象", description = "下派关系表")
@EqualsAndHashCode(callSuper = true)
public class XpgxbEntity extends BaseEntity {

	/**
	 * 下派民警姓名
	 */
	@ApiModelProperty(value = "下派民警姓名")
	private String xpmjxm;
	/**
	 * 证件号码
	 */
	@ApiModelProperty(value = "证件号码")
	private String xpmjzzjhm;
	/**
	 * 联系电话
	 */
	@ApiModelProperty(value = "联系电话")
	private String xpmjlxdh;
	/**
	 * 所属单位
	 */
	@ApiModelProperty(value = "所属单位")
	private String xpmjssdw;
	/**
	 * 所属单位代码
	 */
	@ApiModelProperty(value = "所属单位代码")
	private Long xpmjssdwdm;
	/**
	 * 下派分局
	 */
	@ApiModelProperty(value = "下派分局")
	private String xpfj;
	/**
	 * 下派分局代码
	 */
	@ApiModelProperty(value = "下派分局代码")
	private String xpfjdm;
	/**
	 * 下派派出所
	 */
	@ApiModelProperty(value = "下派派出所")
	private String xppcs;
	/**
	 * 下派派出所代码
	 */
	@ApiModelProperty(value = "下派派出所代码")
	private String xppcsdm;
	/**
	 * 下派警务室
	 */
	@ApiModelProperty(value = "下派警务室")
	private String xpjws;
	/**
	 * 下派警务室(社区)id
	 */
	@ApiModelProperty(value = "下派警务室(社区)id")
	private String xpjwsid;
	/**
	 * 下派网格
	 */
	@ApiModelProperty(value = "下派网格")
	private String xpwg;
	/**
	 * 结对民警警号
	 */
	@ApiModelProperty(value = "结对民警警号")
	private String jdmjjh;
	/**
	 * 结对民警电话号
	 */
	@ApiModelProperty(value = "结对民警电话号")
	private String jdmjdhh;
	/**
	 * 结对民警证件号码
	 */
	@ApiModelProperty(value = "结对民警证件号码")
	private String jdmjzjhm;
	/**
	 * 下派截止日期
	 */
	@ApiModelProperty(value = "下派截止日期")
	private Date xpqx;

	@TableField(exist = false)
	private Long userId;
}
