/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.xpgxb.excel;


import lombok.Data;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serializable;


/**
 * 下派关系表 Excel实体类
 *
 * @author BladeX
 * @since 2023-07-09
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class XpgxbExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 下派民警姓名
	 */
	@ColumnWidth(20)
	@ExcelProperty("下派民警姓名")
	private String xpmjxm;
	/**
	 * 证件号码
	 */
	@ColumnWidth(20)
	@ExcelProperty("证件号码")
	private String xpmjzzjhm;
	/**
	 * 联系电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("联系电话")
	private String xpmjlxdh;
	/**
	 * 所属单位
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属单位")
	private String xpmjssdw;
	/**
	 * 所属单位代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属单位代码")
	private String xpmjssdwdm;
	/**
	 * 下派分局
	 */
	@ColumnWidth(20)
	@ExcelProperty("下派分局")
	private String xpfj;
	/**
	 * 下派分局代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("下派分局代码")
	private String xpfjdm;
	/**
	 * 下派派出所
	 */
	@ColumnWidth(20)
	@ExcelProperty("下派派出所")
	private String xppcs;
	/**
	 * 下派派出所代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("下派派出所代码")
	private String xppcsdm;
	/**
	 * 下派警务室
	 */
	@ColumnWidth(20)
	@ExcelProperty("下派警务室")
	private String xpjws;
	/**
	 * 下派警务室(社区)id
	 */
	@ColumnWidth(20)
	@ExcelProperty("下派警务室(社区)id")
	private String xpjwsid;
	/**
	 * 下派网格
	 */
	@ColumnWidth(20)
	@ExcelProperty("下派网格")
	private String xpwg;
	/**
	 * 结对民警警号
	 */
	@ColumnWidth(20)
	@ExcelProperty("结对民警警号")
	private String jdmjjh;
	/**
	 * 结对民警电话号
	 */
	@ColumnWidth(20)
	@ExcelProperty("结对民警电话号")
	private String jdmjdhh;
	/**
	 * 结对民警证件号码
	 */
	@ColumnWidth(20)
	@ExcelProperty("结对民警证件号码")
	private String jdmjzjhm;
	/**
	 * 是否已删除
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否已删除")
	private Integer isDeleted;
	/**
	 * 下派截止日期
	 */
	@ColumnWidth(20)
	@ExcelProperty("下派截止日期")
	private Date xpqx;

}
