/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.xpgxb.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.xpgxb.entity.XpgxbEntity;
import org.springblade.modules.xpgxb.vo.XpgxbVO;
import java.util.Objects;

/**
 * 下派关系表 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-07-09
 */
public class XpgxbWrapper extends BaseEntityWrapper<XpgxbEntity, XpgxbVO>  {

	public static XpgxbWrapper build() {
		return new XpgxbWrapper();
 	}

	@Override
	public XpgxbVO entityVO(XpgxbEntity xpgxb) {
		XpgxbVO xpgxbVO = Objects.requireNonNull(BeanUtil.copy(xpgxb, XpgxbVO.class));

		//User createUser = UserCache.getUser(xpgxb.getCreateUser());
		//User updateUser = UserCache.getUser(xpgxb.getUpdateUser());
		//xpgxbVO.setCreateUserName(createUser.getName());
		//xpgxbVO.setUpdateUserName(updateUser.getName());

		return xpgxbVO;
	}


}
