/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.xxy.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 信息员 实体类
 *
 * @author BladeX
 * @since 2023-07-07
 */
@Data
@TableName("xxy_info")
@ApiModel(value = "Xxy对象", description = "信息员")
@EqualsAndHashCode(callSuper = true)
public class XxyEntity extends BaseEntity {

	/**
	 * 三长类别(网格长/单元长/楼栋长)
	 */
	@ApiModelProperty(value = "三长类别(网格长/单元长/楼栋长)")
	private String szlb;
	/**
	 * 姓名
	 */
	@ApiModelProperty(value = "姓名")
	private String xm;
	/**
	 * 身份证号
	 */
	@ApiModelProperty(value = "身份证号")
	private String sfzh;
	/**
	 * 联系方式
	 */
	@ApiModelProperty(value = "联系方式")
	private String lxfs;
	/**
	 * 政治面貌
	 */
	@ApiModelProperty(value = "政治面貌")
	private String zzmm;
	/**
	 * 单位职务
	 */
	@ApiModelProperty(value = "单位职务")
	private String dwzw;
	/**
	 * 住址
	 */
	@ApiModelProperty(value = "住址")
	private String zz;
	/**
	 * 所属楼栋id
	 */
	@ApiModelProperty(value = "所属楼栋id")
	private Long ldId;
	/**
	 * 单元号
	 */
	@ApiModelProperty(value = "单元号")
	private String dyh;
	@TableField(exist = false)
	private String bName;
	@TableField(exist = false)
	private String unit;
	@TableField(exist = false)
	private String sqmc;
	@TableField(exist = false)
	private Long sqId;
	@TableField(exist = false)
	private String ssOrgName;
	@TableField(exist = false)
	private Long ssOrgId;
}
