package org.springblade.modules.xxy.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/**
 * 信息员 Excel实体类
 *
 * @author BladeX
 * @since 2023-07-07
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class XxyExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 姓名
	 */
	@ColumnWidth(20)
	@ExcelProperty("姓名")
	private String xm;
	/**
	 * 身份证号
	 */
	@ColumnWidth(20)
	@ExcelProperty("身份证号")
	private String sfzh;
	/**
	 * 联系电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("联系电话")
	private String lxfs;
	/**
	 * 楼栋名
	 */
	@ColumnWidth(20)
	@ExcelProperty("楼栋名")
	private String ldmc;
	/**
	 * 所属社区
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属社区")
	private String sqmc;
	/**
	 * 三长类别
	 */
	@ColumnWidth(20)
	@ExcelProperty("三长类别")
	private String szlb;
}
