/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.xxy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.rhzf.fwInfo.vo.LdBzdzVO;
import org.springblade.modules.xxy.entity.XxyEntity;
import org.springblade.modules.xxy.excel.XxyExcel;
import org.springblade.modules.xxy.vo.DyVO;
import org.springblade.modules.xxy.vo.XxyVO;

import java.util.List;
import java.util.Map;

/**
 * 信息员 Mapper 接口
 *
 * @author BladeX
 * @since 2023-07-07
 */
public interface XxyMapper extends BaseMapper<XxyEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param Xxy
	 * @return
	 */
	List<XxyEntity> selectXxyPage(IPage page, XxyEntity Xxy);


	/**
	 * 获取导出数据
	 *
	 * @return
	 */
	List<XxyExcel> exportXxy(@Param("params") Map<String, Object> params);

	List<XxyVO> getXxyList(IPage<XxyVO> page, @Param("params") Map<String, Object> params);

    List<LdBzdzVO> getJzwList(@Param("params") Map<String, Object> params);

	List<DyVO> getDyList(@Param("params") Map<String, Object> params);

	List<XxyVO> selectXxyList(@Param("params") Map<String, Object> params);
}
