package org.springblade.modules.yhyj.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 消防检查——隐患移交三方 实体类
 *
 * @author BladeX
 * @since 2024-04-28
 */
@Data
@TableName("jdrh.csjc_yhyj")
@ApiModel(value = "Yhyj对象", description = "消防检查——隐患移交三方")
@EqualsAndHashCode(callSuper = true)
public class YhyjEntity extends BaseEntity {

	/**
	 * 场所id
	 */
	@ApiModelProperty(value = "场所id")
	private Long csId;
	/**
	 * 社会统一信用代码
	 */
	@ApiModelProperty(value = "社会统一信用代码")
	private String tyxydm;
	/**
	 * 场所检查id
	 */
	@ApiModelProperty(value = "场所检查id")
	private Long csjcId;
	/**
	 * 三方返回的检查单id
	 */
	@ApiModelProperty(value = "三方返回的检查单id")
	private String jcdId;
	/**
	 * 三方返回的检查结果
	 */
	@ApiModelProperty(value = "三方返回的检查结果")
	private String result;
	@TableField(exist = false)
	private String csmc;
	@TableField(exist = false)
	private String zgzt;
	@TableField(exist = false)
	private String deptId;
	@TableField(exist = false)
	private String userName;
	@TableField(exist = false)
	private String startTime;
	@TableField(exist = false)
	private String endTime;
}
