/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.yhyj.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.modules.csInfo.entity.CsInfoEntity;
import org.springblade.modules.yhyj.entity.YhyjEntity;
import org.springblade.modules.yhyj.vo.YhyjVO;
import org.springblade.modules.yhyj.excel.YhyjExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import java.util.List;

/**
 * 消防检查——隐患移交三方 服务类
 *
 * @author BladeX
 * @since 2024-04-28
 */
public interface IYhyjService extends BaseService<YhyjEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param yhyj
	 * @return
	 */
	IPage<YhyjVO> selectYhyjPage(IPage<YhyjVO> page, YhyjVO yhyj);


	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<YhyjExcel> exportYhyj(Wrapper<YhyjEntity> queryWrapper);

    void updateByJcdId(YhyjEntity yhyjEntity);

    List<CsInfoEntity> getJxcsList(CsInfoEntity csInfoEntity);
}
