/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.yhyj.service.impl;

import org.springblade.modules.csInfo.entity.CsInfoEntity;
import org.springblade.modules.yhyj.entity.YhyjEntity;
import org.springblade.modules.yhyj.vo.YhyjVO;
import org.springblade.modules.yhyj.excel.YhyjExcel;
import org.springblade.modules.yhyj.mapper.YhyjMapper;
import org.springblade.modules.yhyj.service.IYhyjService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 消防检查——隐患移交三方 服务实现类
 *
 * @author BladeX
 * @since 2024-04-28
 */
@Service
public class YhyjServiceImpl extends BaseServiceImpl<YhyjMapper, YhyjEntity> implements IYhyjService {

	@Override
	public IPage<YhyjVO> selectYhyjPage(IPage<YhyjVO> page, YhyjVO yhyj) {
		return page.setRecords(baseMapper.selectYhyjPage(page, yhyj));
	}


	@Override
	public List<YhyjExcel> exportYhyj(Wrapper<YhyjEntity> queryWrapper) {
		List<YhyjExcel> yhyjList = baseMapper.exportYhyj(queryWrapper);
		//yhyjList.forEach(yhyj -> {
		//	yhyj.setTypeName(DictCache.getValue(DictEnum.YES_NO, Yhyj.getType()));
		//});
		return yhyjList;
	}

	@Override
	public void updateByJcdId(YhyjEntity yhyjEntity) {
		baseMapper.updateByJcdId(yhyjEntity);
	}

	@Override
	public List<CsInfoEntity> getJxcsList(CsInfoEntity csInfoEntity) {
		return baseMapper.getJxcsList(csInfoEntity);
	}

}
