/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.yhyj.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.yhyj.entity.YhyjEntity;
import org.springblade.modules.yhyj.vo.YhyjVO;
import java.util.Objects;

/**
 * 消防检查——隐患移交三方 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-04-28
 */
public class YhyjWrapper extends BaseEntityWrapper<YhyjEntity, YhyjVO>  {

	public static YhyjWrapper build() {
		return new YhyjWrapper();
 	}

	@Override
	public YhyjVO entityVO(YhyjEntity yhyj) {
		YhyjVO yhyjVO = Objects.requireNonNull(BeanUtil.copy(yhyj, YhyjVO.class));

		//User createUser = UserCache.getUser(yhyj.getCreateUser());
		//User updateUser = UserCache.getUser(yhyj.getUpdateUser());
		//yhyjVO.setCreateUserName(createUser.getName());
		//yhyjVO.setUpdateUserName(updateUser.getName());

		return yhyjVO;
	}


}
