/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.zdb.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 字典表 实体类
 *
 * @author BladeX
 * @since 2023-12-28
 */
@Data
@TableName("public.zdb")
@ApiModel(value = "Zdb对象", description = "字典表")
public class ZdbEntity extends BaseEntity {

	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String zddm;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String zdz;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String shi;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String qv;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String jiedao;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String parentId;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String parents;
	/**
	 *
	 */
	@ApiModelProperty(value = "")
	private String lb;
	@TableField(exist = false)
	private String pcsid;
	@TableField(exist = false)
	private String fjid;
	@TableField(exist = false)
	private String jdid;
}
