/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.zdb.mapper;

import org.springblade.modules.system.vo.ZdbVo;
import org.springblade.modules.zdb.entity.ZdbEntity;
import org.springblade.modules.zdb.vo.JdVo;
import org.springblade.modules.zdb.vo.SqVo;
import org.springblade.modules.zdb.vo.ZdbVO;
import org.springblade.modules.zdb.excel.ZdbExcel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import java.util.List;

/**
 * 字典表 Mapper 接口
 *
 * @author BladeX
 * @since 2023-12-28
 */
public interface ZdbMapper extends BaseMapper<ZdbEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param zdb
	 * @return
	 */
	List<ZdbVO> selectZdbPage(IPage page, ZdbVO zdb);


	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<ZdbExcel> exportZdb(@Param("ew") Wrapper<ZdbEntity> queryWrapper);

	List<JdVo> getJdByZddm(String zddm);
	List<SqVo> getSqByZddm(String zddm);
	List<ZdbEntity> getParentsBySqbm(String zddm);
	ZdbEntity getDeptByZddm(String zddm);
	ZdbEntity getDetailByZddm(String zddm);
	void saveZdb(ZdbEntity zdbEntity);

	ZdbEntity selectZddm(String jdid);

	ZdbEntity selectParent(String jdid);
}
