/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.zdb.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.zdb.entity.ZdbEntity;
import org.springblade.modules.zdb.vo.ZdbVO;
import java.util.Objects;

/**
 * 字典表 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2023-12-28
 */
public class ZdbWrapper extends BaseEntityWrapper<ZdbEntity, ZdbVO>  {

	public static ZdbWrapper build() {
		return new ZdbWrapper();
 	}

	@Override
	public ZdbVO entityVO(ZdbEntity zdb) {
		ZdbVO zdbVO = Objects.requireNonNull(BeanUtil.copy(zdb, ZdbVO.class));

		//User createUser = UserCache.getUser(zdb.getCreateUser());
		//User updateUser = UserCache.getUser(zdb.getUpdateUser());
		//zdbVO.setCreateUserName(createUser.getName());
		//zdbVO.setUpdateUserName(updateUser.getName());

		return zdbVO;
	}


}
